
/*
'***************************************************************************
'Copyright (C) 2010-2011 KBasic Software: www.kbasic.com. All rights reserved.
'Source codes are created by Bernd Noetscher sales@kbasic.com 
'
'You may use this source codes under the terms of the GNU Public License (Version 3) as published 
'by the Free Software Foundation. 
'
'If you are interested in using the source codes for other licenses or 
'commercial development, you must buy commercial licenses from KBasic Software.
'***************************************************************************
*/
 #ifndef application_h
#define application_h

#include <QtGui>


#ifdef Q_WS_X11
  #include <phonon>
#else
  #include <Phonon>
#endif
#include "Q7BRuntime.h"

#include "Global.h"

extern Q7B Q7B_idAPPLICATION;
class Application;
 extern Application *q7b_Application_sharedSingleton;
 extern Q7B q7b_Application_sharedSingletonQ7B;
extern bool q7b_Application_sharedSingletonFinalized;
extern bool q7b_Application_sharedSingletonInit;
class Application : public QObject
{
Q_OBJECT
public:
Application(Q7B _q7b_this);

public slots:
void Q7B_on_lastWindowClosed();
void on_lastWindowClosed()
{
  this->Q7B_on_lastWindowClosed();
}

public:


private:
Q7B q7b_this;


public:
static Q7B q7b_sharedSingletonQ7B()
{
q7b_sharedSingleton();
return q7b_Application_sharedSingletonQ7B;
};


static Application* q7b_sharedSingleton()
{
if (q7b_Application_sharedSingletonFinalized) return 0;
if (q7b_Application_sharedSingleton == 0){
q7b_Application_sharedSingletonInit = true;
q7b_Application_sharedSingleton = new Application(q7b_Application_sharedSingletonQ7B);
}
return q7b_Application_sharedSingleton;
}


};
#endif
