
/*
'***************************************************************************
'Copyright (C) 2010-2011 KBasic Software: www.kbasic.com. All rights reserved.
'Source codes are created by Bernd Noetscher sales@kbasic.com 
'
'You may use this source codes under the terms of the GNU Public License (Version 3) as published 
'by the Free Software Foundation. 
'
'If you are interested in using the source codes for other licenses or 
'commercial development, you must buy commercial licenses from KBasic Software.
'***************************************************************************
*/
 #include "Q7BRuntime.h"

#include "Global.h"
#include "Q7BCodeView.h"

#include "Q7BCompiler.h"

#include <typeinfo>
#include "Application.h"

#include "FindReplaceFile.h"

FindReplaceFile *q7b_FindReplaceFile_sharedSingleton = 0;
Q7B q7b_FindReplaceFile_sharedSingletonQ7B;
bool q7b_FindReplaceFile_sharedSingletonFinalized = false;
bool q7b_FindReplaceFile_sharedSingletonInit = false;
extern Q7B Q7B_idGLOBAL;
extern Q7B Q7B_idAPPLICATION;
extern Q7B Q7B_idSTATUSBAR;
extern Q7B Q7B_idSOUNDS;
extern Q7B Q7B_idDATABASE;
extern Q7B Q7B_idTABLE;
extern Q7B Q7B_idRECORDS;
extern Q7B Q7B_idQUERY;
extern Q7B Q7B_idPIXMAPS;
extern Q7B Q7B_idCOLORS;
extern Q7B Q7B_idFONTS;
extern Q7B Q7B_idTOOLBAR;
extern Q7B Q7B_idSYSTEMTRAY;
extern Q7B Q7B_idMAINWINDOW;
extern Q7B Q7B_idDEBUG;
extern Q7B Q7B_idFILE;
extern Q7B Q7B_idPREFERENCES;
extern Q7B Q7B_idDIR;
extern Q7B Q7B_idDESKTOP;
extern Q7B Q7B_idOPENFILEDIALOG;
extern Q7B Q7B_idSAVEFILEDIALOG;
extern Q7B Q7B_idCOLORDIALOG;
extern Q7B Q7B_idFONTDIALOG;
extern Q7B Q7B_idPROGRESSDIALOG;
extern Q7B Q7B_idINPUTDIALOG;
extern Q7B Q7B_idMESSAGEBOX;
extern Q7B Q7B_idOS;
#define CommandButton Q7B_CommandButton
#define CommandLinkButton Q7B_CommandLinkButton
#define ImageButton Q7B_ImageButton
#define ToolButton Q7B_ToolButton
#define CheckBox Q7B_CheckBox
#define RadioButton Q7B_RadioButton
#define Label Q7B_Label
#define Frame Q7B_Frame
#define ImageBox Q7B_ImageBox
#define TextBox Q7B_TextBox
#define uiClass Q7B_uiClass
#define Class Q7B_Class
#define Module Q7B_Module
#define Control QWidget
#include "MainWindow.h"
#include "Project.h"

#include "ui_FindReplaceFile.h"

FindReplaceFile::FindReplaceFile(Q7B _q7b_this, QWidget *parent)
 : QDialog(parent), ui(new Ui::FindReplaceFile)
{
q7b_this = _q7b_this;
  ui->setupUi(this);
  Q7B q;
  QObject *o;
  o = findChild<QObject *>("cbFind"); if (o){ q = Q7B(new Q7B_id(typeid(QComboBox).name(), o)); cbFind = q; }
  o = findChild<QObject *>("cbReplace"); if (o){ q = Q7B(new Q7B_id(typeid(QComboBox).name(), o)); cbReplace = q; }
  o = findChild<QObject *>("cbIgnoreCase"); if (o){ q = Q7B(new Q7B_id(typeid(QCheckBox).name(), o)); cbIgnoreCase = q; }
  o = findChild<QObject *>("cbIgnoreCommentLines"); if (o){ q = Q7B(new Q7B_id(typeid(QCheckBox).name(), o)); cbIgnoreCommentLines = q; }
  o = findChild<QObject *>("cbCurrentFileOnly"); if (o){ q = Q7B(new Q7B_id(typeid(QCheckBox).name(), o)); cbCurrentFileOnly = q; }
  o = findChild<QObject *>("lInfo"); if (o){ q = Q7B(new Q7B_id(typeid(QLabel).name(), o)); lInfo = q; }
  o = findChild<QObject *>("tableWidget"); if (o){ q = Q7B(new Q7B_id(typeid(QTableWidget).name(), o)); tableWidget = q; }
if (q7b_FindReplaceFile_sharedSingletonInit){ q7b_FindReplaceFile_sharedSingletonInit = false; q7b_FindReplaceFile_sharedSingletonQ7B = q7b_this = Q7B(new Q7B_id(typeid(FindReplaceFile).name(), this)); } else q7b_this = Q7B(new Q7B_id(typeid(FindReplaceFile).name(), this)); 
if (tableWidget->ref) connect(((QTableWidget*)tableWidget->ref), SIGNAL(cellDoubleClicked(int, int)), this, SLOT(Q7B_on_tableWidget_cellDoubleClicked_(int, int)));
files = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_List::init())));
bFirst = Q7B__QOBJECT(Q7B_BOOLEAN(Q7B_QOBJECT(true)));
                      Q7BS("FindReplaceFile.QDialog", "Init", "30", 0);
                      Q7BS("FindReplaceFile.QDialog", "Init", "30", 1);
Q7B_QCOMBOBOX_SETNOCOMPLETER(cbFind);
                      Q7BS("FindReplaceFile.QDialog", "Init", "31", 1);
Q7B_QCOMBOBOX_SETNOCOMPLETER(cbReplace);
                      Q7BS("FindReplaceFile.QDialog", "Init", "33", 2);
}
FindReplaceFile::FindReplaceFile(QWidget *parent)
 : QDialog(parent), ui(new Ui::FindReplaceFile)
{
q7b_this = Q7B(new Q7B_id(typeid(FindReplaceFile).name(), this, false));
  ui->setupUi(this);
  Q7B q;
  QObject *o;
  o = findChild<QObject *>("cbFind"); if (o){ q = Q7B(new Q7B_id(typeid(QComboBox).name(), o)); cbFind = q; }
  o = findChild<QObject *>("cbReplace"); if (o){ q = Q7B(new Q7B_id(typeid(QComboBox).name(), o)); cbReplace = q; }
  o = findChild<QObject *>("cbIgnoreCase"); if (o){ q = Q7B(new Q7B_id(typeid(QCheckBox).name(), o)); cbIgnoreCase = q; }
  o = findChild<QObject *>("cbIgnoreCommentLines"); if (o){ q = Q7B(new Q7B_id(typeid(QCheckBox).name(), o)); cbIgnoreCommentLines = q; }
  o = findChild<QObject *>("cbCurrentFileOnly"); if (o){ q = Q7B(new Q7B_id(typeid(QCheckBox).name(), o)); cbCurrentFileOnly = q; }
  o = findChild<QObject *>("lInfo"); if (o){ q = Q7B(new Q7B_id(typeid(QLabel).name(), o)); lInfo = q; }
  o = findChild<QObject *>("tableWidget"); if (o){ q = Q7B(new Q7B_id(typeid(QTableWidget).name(), o)); tableWidget = q; }
if (q7b_FindReplaceFile_sharedSingletonInit){ q7b_FindReplaceFile_sharedSingletonInit = false; q7b_FindReplaceFile_sharedSingletonQ7B = q7b_this = Q7B(new Q7B_id(typeid(FindReplaceFile).name(), this)); } else q7b_this = Q7B(new Q7B_id(typeid(FindReplaceFile).name(), this)); 
if (tableWidget->ref) connect(((QTableWidget*)tableWidget->ref), SIGNAL(cellDoubleClicked(int, int)), this, SLOT(Q7B_on_tableWidget_cellDoubleClicked_(int, int)));
files = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_List::init())));
bFirst = Q7B__QOBJECT(Q7B_BOOLEAN(Q7B_QOBJECT(true)));
                      Q7BS("FindReplaceFile.QDialog", "Init", "30", 0);
                      Q7BS("FindReplaceFile.QDialog", "Init", "30", 1);
Q7B_QCOMBOBOX_SETNOCOMPLETER(cbFind);
                      Q7BS("FindReplaceFile.QDialog", "Init", "31", 1);
Q7B_QCOMBOBOX_SETNOCOMPLETER(cbReplace);
                      Q7BS("FindReplaceFile.QDialog", "Init", "33", 2);
}

FindReplaceFile::~FindReplaceFile()
{
  delete ui;
  q7b_this->ref = 0;
}


FindReplaceFile::FindReplaceFile(Q7B _q7b_this) : QDialog()
{
q7b_this = _q7b_this;
if (q7b_FindReplaceFile_sharedSingletonInit){ q7b_FindReplaceFile_sharedSingletonInit = false; q7b_FindReplaceFile_sharedSingletonQ7B = q7b_this = Q7B(new Q7B_id(typeid(FindReplaceFile).name(), this)); } else q7b_this = Q7B(new Q7B_id(typeid(FindReplaceFile).name(), this)); 
if (tableWidget->ref) connect(((QTableWidget*)tableWidget->ref), SIGNAL(cellDoubleClicked(int, int)), this, SLOT(Q7B_on_tableWidget_cellDoubleClicked_(int, int)));
files = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_List::init())));
bFirst = Q7B__QOBJECT(Q7B_BOOLEAN(Q7B_QOBJECT(true)));
                      Q7BS("FindReplaceFile.QDialog", "Init", "30", 0);
                      Q7BS("FindReplaceFile.QDialog", "Init", "30", 1);
Q7B_QCOMBOBOX_SETNOCOMPLETER(cbFind);
                      Q7BS("FindReplaceFile.QDialog", "Init", "31", 1);
Q7B_QCOMBOBOX_SETNOCOMPLETER(cbReplace);
                      Q7BS("FindReplaceFile.QDialog", "Init", "33", 2);

}

void FindReplaceFile::Q7B_on_FindInFile_clicked(Q7B Checked)
{
                      Q7BS("FindReplaceFile.QDialog", "on_FindInFile_clicked", "36", 0);
                      Q7BS("FindReplaceFile.QDialog", "on_FindInFile_clicked", "37", 1);
this->perform_pbFindAll();
                      Q7BS("FindReplaceFile.QDialog", "on_FindInFile_clicked", "38", 2);

}

void FindReplaceFile::perform_pbFindAll()
{
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "42", 0);
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "43", 1);
if (Q7B_CBOOLEAN((Q7B_CBOOLEAN(Q7B_EQUAL(Q7B_QOBJECT(Q7B_QCOMBOBOX_LENGTH(cbFind)), Q7B_QOBJECT(0))) || Q7B_CBOOLEAN(Q7B_UNEQUAL(Q7B_QOBJECT(Q7B_QCOMBOBOX_OBJECT(cbFind, Q7B_QOBJECT(0))), Q7B_QOBJECT(Q7B_QCOMBOBOX_TEXT(cbFind))))))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "44", 1);
Q7B_QCOMBOBOX_APPEND(cbFind, Q7B_QOBJECT(Q7B_QCOMBOBOX_TEXT(cbFind)));
}
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "48", 1);
Q7B_LIST_REMOVEALL(files);
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "50", 1);
Q7B i; i = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT((qint64) 0)));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "51", 1);
Q7B n2; n2 = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(0)));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "53", 1);
Q7B sCurrentFilename; sCurrentFilename = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_FILENAME(Q7B_QOBJECT(MainWindow::q7b_sharedSingleton()->getCurrentFileName())))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "57", 1);
for (i = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(0))); Q7B_CBOOLEAN(Q7B_SMALLEREQUAL(Q7B_QOBJECT(i), Q7B_QOBJECT(Q7B_SUB(Q7B_QOBJECT(Q7B_LIST_LENGTH(Q7B_QOBJECT(((Project *) Project::q7b_sharedSingleton())->Get_aProjectFiles()))), Q7B_QOBJECT(1))))); Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "57", 1),i = Q7B__QOBJECT(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(i), Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(1))))))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "61", 1);
if (Q7B_CBOOLEAN((Q7B_CBOOLEAN(Q7B_EQUAL(Q7B_QOBJECT(Q7B_QABSTRACTBUTTON_CHECKED(cbCurrentFileOnly)), Q7B_QOBJECT(false))) || Q7B_CBOOLEAN(Q7B_EQUAL(Q7B_QOBJECT(Q7B_LIST_OBJECT(Q7B_QOBJECT(((Project *) Project::q7b_sharedSingleton())->Get_aProjectFiles()), Q7B_QOBJECT(i))), Q7B_QOBJECT(sCurrentFilename)))))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "63", 1);
Q7B s; s = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_READSTRING(Q7B_QOBJECT(Q7B_LIST_OBJECT(Q7B_QOBJECT(((Project *) Project::q7b_sharedSingleton())->Get_aProjectFiles()), Q7B_QOBJECT(i))), Q7B_QOBJECT("")))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "68", 1);
Q7B n; n = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(0)));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "70", 1);
while(Q7B_CBOOLEAN(true)){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "71", 1);
Q7B_ASSIGNMENT(&n, &Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_INSTR(Q7B_QOBJECT(s), Q7B_QOBJECT(Q7B_QCOMBOBOX_TEXT(cbFind)), Q7B_QOBJECT(n), Q7B_QOBJECT(Q7B_BOOLEAN(Q7B_QOBJECT(Q7B_QABSTRACTBUTTON_CHECKED(cbIgnoreCase)), Q7B_QOBJECT(false))))))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "75", 1);
if (Q7B_CBOOLEAN(Q7B_GREATER(Q7B_QOBJECT(n), Q7B_QOBJECT(-1)))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "76", 1);
Q7B r; r = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_INSTR(Q7B_QOBJECT(s), Q7B_QOBJECT("\n"), Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(n), Q7B_QOBJECT(1))), Q7B_QOBJECT(false)))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "77", 1);
if (Q7B_CBOOLEAN(Q7B_GREATER(Q7B_QOBJECT(r), Q7B_QOBJECT(Q7B_LEN(Q7B_QOBJECT(s)))))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "78", 1);
Q7B_ASSIGNMENT(&r, &Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_LEN(Q7B_QOBJECT(s))))));
}
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "80", 1);
Q7B l; l = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(Q7B_INSTRREV(Q7B_QOBJECT(s), Q7B_QOBJECT("\n"), Q7B_QOBJECT(n), Q7B_QOBJECT(false))), Q7B_QOBJECT(1)))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "81", 1);
if (Q7B_CBOOLEAN((Q7B_CBOOLEAN(Q7B_SMALLER(Q7B_QOBJECT(r), Q7B_QOBJECT(0))) && Q7B_CBOOLEAN(Q7B_GREATER(Q7B_QOBJECT(l), Q7B_QOBJECT(-1)))))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "82", 1);
Q7B_ASSIGNMENT(&r, &Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_LEN(Q7B_QOBJECT(s))))));
}
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "85", 1);
if (Q7B_CBOOLEAN(Q7B_SMALLER(Q7B_QOBJECT(l), Q7B_QOBJECT(1)))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "86", 1);
Q7B_ASSIGNMENT(&l, &Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(0))));
}
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "88", 1);
Q7B ss; ss = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_MID(Q7B_QOBJECT(s), Q7B_QOBJECT(l), Q7B_QOBJECT(Q7B_SUB(Q7B_QOBJECT(r), Q7B_QOBJECT(l)))))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "89", 1);
if (Q7B_CBOOLEAN(Q7B_OR(Q7B_QOBJECT(Q7B_EQUAL(Q7B_QOBJECT(Q7B_QABSTRACTBUTTON_CHECKED(cbIgnoreCommentLines)), Q7B_QOBJECT(false))), Q7B_QOBJECT(Q7B_NOT(Q7B_QOBJECT(Q7B_STARTSWITH(Q7B_QOBJECT(Q7B_TRIM(Q7B_QOBJECT(ss))), Q7B_QOBJECT("'"), Q7B_QOBJECT(true)))))))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "93", 1);
Q7B nLine; nLine = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(Q7B_COUNT(Q7B_QOBJECT(Q7B_LEFT(Q7B_QOBJECT(s), Q7B_QOBJECT(n))), Q7B_QOBJECT("\n"), Q7B_QOBJECT(false))), Q7B_QOBJECT(1)))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "94", 1);
Q7B_LIST_APPEND(files, Q7B_QOBJECT(Q7B_List::init(Q7B_QOBJECT(Q7B_LIST_OBJECT(Q7B_QOBJECT(((Project *) Project::q7b_sharedSingleton())->Get_aProjectFiles()), Q7B_QOBJECT(i))), Q7B_QOBJECT(nLine), Q7B_QOBJECT(ss))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "95", 1);
Q7B_ASSIGNMENT(&n2, &Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(n2), Q7B_QOBJECT(1))))));
}
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "97", 1);
Q7B_ASSIGNMENT(&n, &Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(n), Q7B_QOBJECT(1))))));
} else {
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "99", 1);
break;
}
}
}
}
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "107", 1);
if (Q7B_CBOOLEAN(Q7B_GREATER(Q7B_QOBJECT(n2), Q7B_QOBJECT(0)))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "108", 1);
Q7B_QLABEL_TEXT(lInfo, Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(""), Q7B_QOBJECT(n2))), Q7B_QOBJECT(" found"))));
} else {
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "110", 1);
Q7B_QLABEL_TEXT(lInfo, Q7B_QOBJECT("Not found"));
}
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "113", 1);
this->ReloadData();
                      Q7BS("FindReplaceFile.QDialog", "perform_pbFindAll", "115", 2);

}

void FindReplaceFile::Q7B_on_ReplaceInFile_clicked(Q7B Checked)
{
                      Q7BS("FindReplaceFile.QDialog", "on_ReplaceInFile_clicked", "119", 0);
                      Q7BS("FindReplaceFile.QDialog", "on_ReplaceInFile_clicked", "119", 1);
this->perform_pbReplaceAll();
                      Q7BS("FindReplaceFile.QDialog", "on_ReplaceInFile_clicked", "120", 2);

}

void FindReplaceFile::perform_pbReplaceAll()
{
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "123", 0);
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "124", 1);
if (Q7B_CBOOLEAN((Q7B_CBOOLEAN(Q7B_EQUAL(Q7B_QOBJECT(Q7B_QCOMBOBOX_LENGTH(cbFind)), Q7B_QOBJECT(0))) || Q7B_CBOOLEAN(Q7B_UNEQUAL(Q7B_QOBJECT(Q7B_QCOMBOBOX_OBJECT(cbFind, Q7B_QOBJECT(0))), Q7B_QOBJECT(Q7B_QCOMBOBOX_TEXT(cbFind))))))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "125", 1);
Q7B_QCOMBOBOX_APPEND(cbFind, Q7B_QOBJECT(Q7B_QCOMBOBOX_TEXT(cbFind)));
}
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "127", 1);
if (Q7B_CBOOLEAN((Q7B_CBOOLEAN(Q7B_EQUAL(Q7B_QOBJECT(Q7B_QCOMBOBOX_LENGTH(cbReplace)), Q7B_QOBJECT(0))) || Q7B_CBOOLEAN(Q7B_UNEQUAL(Q7B_QOBJECT(Q7B_QCOMBOBOX_OBJECT(cbReplace, Q7B_QOBJECT(0))), Q7B_QOBJECT(Q7B_QCOMBOBOX_TEXT(cbReplace))))))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "128", 1);
Q7B_QCOMBOBOX_APPEND(cbReplace, Q7B_QOBJECT(Q7B_QCOMBOBOX_TEXT(cbReplace)));
}
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "132", 1);
Q7B_LIST_REMOVEALL(files);
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "134", 1);
Q7B i; i = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT((qint64) 0)));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "135", 1);
Q7B n2; n2 = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(0)));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "137", 1);
for (i = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(0))); Q7B_CBOOLEAN(Q7B_SMALLEREQUAL(Q7B_QOBJECT(i), Q7B_QOBJECT(Q7B_SUB(Q7B_QOBJECT(Q7B_LIST_LENGTH(Q7B_QOBJECT(((Project *) Project::q7b_sharedSingleton())->Get_aProjectFiles()))), Q7B_QOBJECT(1))))); Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "137", 1),i = Q7B__QOBJECT(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(i), Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(1))))))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "139", 1);
Q7B s; s = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_READSTRING(Q7B_QOBJECT(Q7B_LIST_OBJECT(Q7B_QOBJECT(((Project *) Project::q7b_sharedSingleton())->Get_aProjectFiles()), Q7B_QOBJECT(i))), Q7B_QOBJECT("")))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "140", 1);
Q7B n; n = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(0)));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "141", 1);
Q7B bFound; bFound = Q7B__QOBJECT(Q7B_BOOLEAN(Q7B_QOBJECT(false)));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "143", 1);
while(Q7B_CBOOLEAN(true)){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "144", 1);
Q7B_ASSIGNMENT(&n, &Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_INSTR(Q7B_QOBJECT(s), Q7B_QOBJECT(Q7B_QCOMBOBOX_TEXT(cbFind)), Q7B_QOBJECT(n), Q7B_QOBJECT(Q7B_BOOLEAN(Q7B_QOBJECT(Q7B_QABSTRACTBUTTON_CHECKED(cbIgnoreCase)), Q7B_QOBJECT(false))))))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "146", 1);
if (Q7B_CBOOLEAN(Q7B_GREATER(Q7B_QOBJECT(n), Q7B_QOBJECT(-1)))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "147", 1);
Q7B_ASSIGNMENT(&bFound, &Q7B__QOBJECT(Q7B_BOOLEAN(Q7B_QOBJECT(true))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "148", 1);
Q7B r; r = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_INSTR(Q7B_QOBJECT(s), Q7B_QOBJECT("\n"), Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(n), Q7B_QOBJECT(1))), Q7B_QOBJECT(false)))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "149", 1);
if (Q7B_CBOOLEAN(Q7B_GREATER(Q7B_QOBJECT(r), Q7B_QOBJECT(Q7B_LEN(Q7B_QOBJECT(s)))))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "150", 1);
Q7B_ASSIGNMENT(&r, &Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_LEN(Q7B_QOBJECT(s))))));
}
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "152", 1);
Q7B l; l = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(Q7B_INSTRREV(Q7B_QOBJECT(s), Q7B_QOBJECT("\n"), Q7B_QOBJECT(n), Q7B_QOBJECT(false))), Q7B_QOBJECT(1)))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "153", 1);
if (Q7B_CBOOLEAN(Q7B_SMALLER(Q7B_QOBJECT(l), Q7B_QOBJECT(1)))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "154", 1);
Q7B_ASSIGNMENT(&l, &Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(0))));
}
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "156", 1);
Q7B ss; ss = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_MID(Q7B_QOBJECT(s), Q7B_QOBJECT(l), Q7B_QOBJECT(Q7B_SUB(Q7B_QOBJECT(r), Q7B_QOBJECT(l)))))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "158", 1);
Q7B nLine; nLine = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(Q7B_COUNT(Q7B_QOBJECT(Q7B_LEFT(Q7B_QOBJECT(s), Q7B_QOBJECT(n))), Q7B_QOBJECT("\n"), Q7B_QOBJECT(false))), Q7B_QOBJECT(1)))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "159", 1);
Q7B_LIST_APPEND(files, Q7B_QOBJECT(Q7B_List::init(Q7B_QOBJECT(Q7B_LIST_OBJECT(Q7B_QOBJECT(((Project *) Project::q7b_sharedSingleton())->Get_aProjectFiles()), Q7B_QOBJECT(i))), Q7B_QOBJECT(nLine), Q7B_QOBJECT(ss))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "160", 1);
Q7B_ASSIGNMENT(&n, &Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(n), Q7B_QOBJECT(1))))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "161", 1);
Q7B_ASSIGNMENT(&n2, &Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(n2), Q7B_QOBJECT(1))))));
} else {
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "163", 1);
if (Q7B_CBOOLEAN(bFound)){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "165", 1);
Q7B_ASSIGNMENT(&s, &Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_REPLACE(Q7B_QOBJECT(s), Q7B_QOBJECT(Q7B_QCOMBOBOX_TEXT(cbFind)), Q7B_QOBJECT(Q7B_QCOMBOBOX_TEXT(cbReplace)), Q7B_QOBJECT(Q7B_BOOLEAN(Q7B_QOBJECT(Q7B_QABSTRACTBUTTON_CHECKED(cbIgnoreCase)), Q7B_QOBJECT(false))))))));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "168", 1);
Q7B_WRITESTRING(Q7B_QOBJECT(s), Q7B_QOBJECT(Q7B_LIST_OBJECT(Q7B_QOBJECT(((Project *) Project::q7b_sharedSingleton())->Get_aProjectFiles()), Q7B_QOBJECT(i))), Q7B_QOBJECT(""));
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "170", 1);
MainWindow::q7b_sharedSingleton()->ReopenCodeAndLoadBefore(Q7B_QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_LIST_OBJECT(Q7B_QOBJECT(((Project *) Project::q7b_sharedSingleton())->Get_aProjectFiles()), Q7B_QOBJECT(i))))), Q7B_QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(-1))));
}
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "172", 1);
break;
}
}
}
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "178", 1);
if (Q7B_CBOOLEAN(Q7B_GREATER(Q7B_QOBJECT(n2), Q7B_QOBJECT(0)))){
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "179", 1);
Q7B_QLABEL_TEXT(lInfo, Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(""), Q7B_QOBJECT(n2))), Q7B_QOBJECT(" replaced"))));
} else {
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "181", 1);
Q7B_QLABEL_TEXT(lInfo, Q7B_QOBJECT("Not found"));
}
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "184", 1);
this->ReloadData();
                      Q7BS("FindReplaceFile.QDialog", "perform_pbReplaceAll", "186", 2);

}

void FindReplaceFile::ReloadData()
{
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "190", 0);
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "193", 1);
Q7B_HIDE(Q7B_QOBJECT(tableWidget));
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "195", 1);
Q7B_QTABLEWIDGET_ROWCOUNT(tableWidget, Q7B_QOBJECT(0));
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "196", 1);
Q7B_QTABLEWIDGET_CLEARCONTENTS(tableWidget);
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "197", 1);
Q7B_QTABLEWIDGET_ROWCOUNT(tableWidget, Q7B_QOBJECT(Q7B_LIST_LENGTH(files)));
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "203", 1);
Q7B a; a = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(files)));
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "204", 1);
Q7B i; i = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT((qint64) 0)));
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "206", 1);
for (i = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(0))); Q7B_CBOOLEAN(Q7B_SMALLEREQUAL(Q7B_QOBJECT(i), Q7B_QOBJECT(Q7B_SUB(Q7B_QOBJECT(Q7B_LIST_LENGTH(a)), Q7B_QOBJECT(1))))); Q7BS("FindReplaceFile.QDialog", "ReloadData", "206", 1),i = Q7B__QOBJECT(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(i), Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(1))))))){
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "207", 1);
Q7B w; w = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_LIST_OBJECT(a, Q7B_QOBJECT(i)))));
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "209", 1);
Q7B_QTABLEWIDGET_SETITEMTEXT(tableWidget, Q7B_QOBJECT(i), Q7B_QOBJECT(0), Q7B_QOBJECT(Q7B_LIST_OBJECT(w, Q7B_QOBJECT(2))));
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "210", 1);
Q7B_QTABLEWIDGET_SETITEMFLAGS(tableWidget, Q7B_QOBJECT(i), Q7B_QOBJECT(0), Q7B_QOBJECT(Q7B_OR(Q7B_QOBJECT(1), Q7B_QOBJECT(32))));
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "213", 1);
Q7B_QTABLEWIDGET_SETITEMTEXT(tableWidget, Q7B_QOBJECT(i), Q7B_QOBJECT(1), Q7B_QOBJECT(Q7B_FILENAME(Q7B_QOBJECT(Q7B_LIST_OBJECT(w, Q7B_QOBJECT(0))))));
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "214", 1);
Q7B_QTABLEWIDGET_SETITEMFLAGS(tableWidget, Q7B_QOBJECT(i), Q7B_QOBJECT(1), Q7B_QOBJECT(Q7B_OR(Q7B_QOBJECT(1), Q7B_QOBJECT(32))));
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "216", 1);
Q7B_QTABLEWIDGET_SETITEMTEXT(tableWidget, Q7B_QOBJECT(i), Q7B_QOBJECT(2), Q7B_QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_LIST_OBJECT(w, Q7B_QOBJECT(1))), Q7B_QOBJECT(false))));
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "217", 1);
Q7B_QTABLEWIDGET_SETITEMFLAGS(tableWidget, Q7B_QOBJECT(i), Q7B_QOBJECT(2), Q7B_QOBJECT(Q7B_OR(Q7B_QOBJECT(1), Q7B_QOBJECT(32))));
}
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "222", 1);
Q7B_QTABLEVIEW_SETCOLUMNWIDTH(tableWidget, Q7B_QOBJECT(0), Q7B_QOBJECT(250));
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "223", 1);
Q7B_QTABLEVIEW_SETCOLUMNWIDTH(tableWidget, Q7B_QOBJECT(1), Q7B_QOBJECT(250));
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "225", 1);
Q7B_SHOW(Q7B_QOBJECT(tableWidget));
                      Q7BS("FindReplaceFile.QDialog", "ReloadData", "226", 2);

}

void FindReplaceFile::Q7B_on_tableWidget_cellDoubleClicked(Q7B row, Q7B column)
{
                      Q7BS("FindReplaceFile.QDialog", "on_tableWidget_cellDoubleClicked", "231", 0);
                      Q7BS("FindReplaceFile.QDialog", "on_tableWidget_cellDoubleClicked", "232", 1);
Q7B n; n = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(row)));
                      Q7BS("FindReplaceFile.QDialog", "on_tableWidget_cellDoubleClicked", "234", 1);
if (Q7B_CBOOLEAN(Q7B_AND(Q7B_QOBJECT(Q7B_GREATER(Q7B_QOBJECT(n), Q7B_QOBJECT(-1))), Q7B_QOBJECT(Q7B_SMALLER(Q7B_QOBJECT(n), Q7B_QOBJECT(Q7B_LIST_LENGTH(files))))))){
                      Q7BS("FindReplaceFile.QDialog", "on_tableWidget_cellDoubleClicked", "235", 1);
Q7B r; r = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_LIST_OBJECT(files, Q7B_QOBJECT(n)))));
                      Q7BS("FindReplaceFile.QDialog", "on_tableWidget_cellDoubleClicked", "236", 1);
Q7B f; f = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_LIST_OBJECT(r, Q7B_QOBJECT(0)))));
                      Q7BS("FindReplaceFile.QDialog", "on_tableWidget_cellDoubleClicked", "238", 1);
MainWindow::q7b_sharedSingleton()->ReopenCode(Q7B_QOBJECT(Q7B_STRING(Q7B_QOBJECT(f))), Q7B_QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(Q7B_LIST_OBJECT(r, Q7B_QOBJECT(1))))));
}
                      Q7BS("FindReplaceFile.QDialog", "on_tableWidget_cellDoubleClicked", "240", 2);

}


