
/*
'***************************************************************************
'Copyright (C) 2010-2011 KBasic Software: www.kbasic.com. All rights reserved.
'Source codes are created by Bernd Noetscher sales@kbasic.com 
'
'You may use this source codes under the terms of the GNU Public License (Version 3) as published 
'by the Free Software Foundation. 
'
'If you are interested in using the source codes for other licenses or 
'commercial development, you must buy commercial licenses from KBasic Software.
'***************************************************************************
*/
 #ifndef global_h
#define global_h

#include <QtGui>


#ifdef Q_WS_X11
  #include <phonon>
#else
  #include <Phonon>
#endif
#include "Q7BRuntime.h"

#include "Global.h"

extern Q7B Q7B_idGLOBAL;
class Global;
 extern Global *q7b_Global_sharedSingleton;
 extern Q7B q7b_Global_sharedSingletonQ7B;
extern bool q7b_Global_sharedSingletonFinalized;
extern bool q7b_Global_sharedSingletonInit;
class Global : public QObject
{
Q_OBJECT
public:

void addClass(Q7B s, Q7B o);
void addObject(Q7B s, Q7B o);
void addFunction(Q7B s, Q7B ss);
void addConst(Q7B s);
Global(Q7B _q7b_this);

public slots:
public:
Q7B dCompletion2function;
Q7B CPPKeywords;
Q7B Keywords;
Q7B Consts;
Q7B Types;
Q7B Functions;
Q7B Classes;
Q7B Objects;
Q7B Signals;
Q7B Signals_Tree;
Q7B Events;
static Q7B dClassCompletion;
static Q7B dObjectCompletion;
static Q7B ObjectiveBasicConsts;


private:
Q7B q7b_this;


public:
static Q7B q7b_sharedSingletonQ7B()
{
q7b_sharedSingleton();
return q7b_Global_sharedSingletonQ7B;
};


static Global* q7b_sharedSingleton()
{
if (q7b_Global_sharedSingletonFinalized) return 0;
if (q7b_Global_sharedSingleton == 0){
q7b_Global_sharedSingletonInit = true;
q7b_Global_sharedSingleton = new Global(q7b_Global_sharedSingletonQ7B);
}
return q7b_Global_sharedSingleton;
}



void Set_dCompletion2function(Q7B q7b_var){ dCompletion2function = q7b_var; }
Q7B Get_dCompletion2function(){ return dCompletion2function; }
void Set_CPPKeywords(Q7B q7b_var){ CPPKeywords = q7b_var; }
Q7B Get_CPPKeywords(){ return CPPKeywords; }
void Set_Keywords(Q7B q7b_var){ Keywords = q7b_var; }
Q7B Get_Keywords(){ return Keywords; }
void Set_Consts(Q7B q7b_var){ Consts = q7b_var; }
Q7B Get_Consts(){ return Consts; }
void Set_Types(Q7B q7b_var){ Types = q7b_var; }
Q7B Get_Types(){ return Types; }
void Set_Functions(Q7B q7b_var){ Functions = q7b_var; }
Q7B Get_Functions(){ return Functions; }
void Set_Classes(Q7B q7b_var){ Classes = q7b_var; }
Q7B Get_Classes(){ return Classes; }
void Set_Objects(Q7B q7b_var){ Objects = q7b_var; }
Q7B Get_Objects(){ return Objects; }
void Set_Signals(Q7B q7b_var){ Signals = q7b_var; }
Q7B Get_Signals(){ return Signals; }
void Set_Signals_Tree(Q7B q7b_var){ Signals_Tree = q7b_var; }
Q7B Get_Signals_Tree(){ return Signals_Tree; }
void Set_Events(Q7B q7b_var){ Events = q7b_var; }
Q7B Get_Events(){ return Events; }

};
#endif
