
/*
'***************************************************************************
'Copyright (C) 2010-2011 KBasic Software: www.kbasic.com. All rights reserved.
'Source codes are created by Bernd Noetscher sales@kbasic.com 
'
'You may use this source codes under the terms of the GNU Public License (Version 3) as published 
'by the Free Software Foundation. 
'
'If you are interested in using the source codes for other licenses or 
'commercial development, you must buy commercial licenses from KBasic Software.
'***************************************************************************
*/
 #ifndef project_h
#define project_h

#include <QtGui>


#ifdef Q_WS_X11
  #include <phonon>
#else
  #include <Phonon>
#endif
#include "Q7BRuntime.h"

#include "Global.h"

class Project;
 extern Project *q7b_Project_sharedSingleton;
 extern Q7B q7b_Project_sharedSingletonQ7B;
extern bool q7b_Project_sharedSingletonFinalized;
extern bool q7b_Project_sharedSingletonInit;
class Project : public QObject
{
Q_OBJECT
public:

Project(Q7B _q7b_this);
Q7B Open(Q7B Path);
Q7B IsSingleFileProject();
Q7B OpenInternal(Q7B Path);
Q7B IsOpened();
void OpenCodeView(Q7B f);
void SaveAll();
public:
Q7B sProjectPath;
Q7B sProjectName;
Q7B aProjectFiles;


private:
Q7B q7b_this;


public:
static Q7B q7b_sharedSingletonQ7B()
{
q7b_sharedSingleton();
return q7b_Project_sharedSingletonQ7B;
};


static Project* q7b_sharedSingleton()
{
if (q7b_Project_sharedSingletonFinalized) return 0;
if (q7b_Project_sharedSingleton == 0){
q7b_Project_sharedSingletonInit = true;
q7b_Project_sharedSingleton = new Project(q7b_Project_sharedSingletonQ7B);
}
return q7b_Project_sharedSingleton;
}



void Set_sProjectPath(Q7B q7b_var){ sProjectPath = q7b_var; }
Q7B Get_sProjectPath(){ return sProjectPath; }
void Set_sProjectName(Q7B q7b_var){ sProjectName = q7b_var; }
Q7B Get_sProjectName(){ return sProjectName; }
void Set_aProjectFiles(Q7B q7b_var){ aProjectFiles = q7b_var; }
Q7B Get_aProjectFiles(){ return aProjectFiles; }

};
#endif
