
/*
'***************************************************************************
'Copyright (C) 2010-2011 KBasic Software: www.kbasic.com. All rights reserved.
'Source codes are created by Bernd Noetscher sales@kbasic.com 
'
'You may use this source codes under the terms of the GNU Public License (Version 3) as published 
'by the Free Software Foundation. 
'
'If you are interested in using the source codes for other licenses or 
'commercial development, you must buy commercial licenses from KBasic Software.
'***************************************************************************
*/
 #include "Q7BRuntime.h"

#include "Global.h"
#include "Q7BCodeView.h"

#include "Q7BCompiler.h"

#include <typeinfo>
#include "Application.h"

#include "Application.h"

Application *q7b_Application_sharedSingleton = 0;
Q7B q7b_Application_sharedSingletonQ7B;
bool q7b_Application_sharedSingletonFinalized = false;
bool q7b_Application_sharedSingletonInit = false;
extern Q7B Q7B_idGLOBAL;
extern Q7B Q7B_idAPPLICATION;
extern Q7B Q7B_idSTATUSBAR;
extern Q7B Q7B_idSOUNDS;
extern Q7B Q7B_idDATABASE;
extern Q7B Q7B_idTABLE;
extern Q7B Q7B_idRECORDS;
extern Q7B Q7B_idQUERY;
extern Q7B Q7B_idPIXMAPS;
extern Q7B Q7B_idCOLORS;
extern Q7B Q7B_idFONTS;
extern Q7B Q7B_idTOOLBAR;
extern Q7B Q7B_idSYSTEMTRAY;
extern Q7B Q7B_idMAINWINDOW;
extern Q7B Q7B_idDEBUG;
extern Q7B Q7B_idFILE;
extern Q7B Q7B_idPREFERENCES;
extern Q7B Q7B_idDIR;
extern Q7B Q7B_idDESKTOP;
extern Q7B Q7B_idOPENFILEDIALOG;
extern Q7B Q7B_idSAVEFILEDIALOG;
extern Q7B Q7B_idCOLORDIALOG;
extern Q7B Q7B_idFONTDIALOG;
extern Q7B Q7B_idPROGRESSDIALOG;
extern Q7B Q7B_idINPUTDIALOG;
extern Q7B Q7B_idMESSAGEBOX;
extern Q7B Q7B_idOS;
#define CommandButton Q7B_CommandButton
#define CommandLinkButton Q7B_CommandLinkButton
#define ImageButton Q7B_ImageButton
#define ToolButton Q7B_ToolButton
#define CheckBox Q7B_CheckBox
#define RadioButton Q7B_RadioButton
#define Label Q7B_Label
#define Frame Q7B_Frame
#define ImageBox Q7B_ImageBox
#define TextBox Q7B_TextBox
#define uiClass Q7B_uiClass
#define Class Q7B_Class
#define Module Q7B_Module
#define Control QWidget
#include "Project.h"


Application::Application(Q7B _q7b_this)
{
q7b_this = _q7b_this;
if (q7b_Application_sharedSingletonInit){ q7b_Application_sharedSingletonInit = false; Q7B_idAPPLICATION = q7b_Application_sharedSingletonQ7B = q7b_this = Q7B(new Q7B_id(typeid(Application).name(), this)); } else q7b_this = Q7B(new Q7B_id(typeid(Application).name(), this)); 
connect(qApp, SIGNAL(lastWindowClosed()), this, SLOT(on_lastWindowClosed()));
setObjectName("Application");
}


void Application::Q7B_on_lastWindowClosed()
{
                      Q7BS("Application.QApplication", "on_lastWindowClosed", "13", 0);
                      Q7BS("Application.QApplication", "on_lastWindowClosed", "13", 1);
Project::q7b_sharedSingleton()->SaveAll();
                      Q7BS("Application.QApplication", "on_lastWindowClosed", "14", 1);
Q7B_APPLICATION_CLOSEALLWINDOWS(Application::q7b_sharedSingletonQ7B());
                      Q7BS("Application.QApplication", "on_lastWindowClosed", "15", 2);

}


