
#include "Q7BCodeView.h"

#define WINDOWS true


/*
()As In -> () As In    space!

static zur klasse Q7BCodeWindow  liste breakpoints/bookmarks fr alle windows
*/


QString kbasicPath(QString)
{
  return "";
}

QString DefaultFontName()
{
    QString sFamily = "";//DefaultFontSize();//EXTERN_my_mainwindow->getPreference("FontSize").toInt();
if (sFamily.isEmpty()){
#ifdef Q_OS_WIN32
sFamily = "Courier New";
#elif defined Q_WS_MAC
sFamily = "Monaco";
#elif defined Q_WS_X11
sFamily = "Monospace";
#endif
  
}
return sFamily;
}

int DefaultFontSize()
{
    int nSize = 0;//EXTERN_my_mainwindow->getPreference("FontSize").toInt();
if (nSize == 0) nSize = 10;
#ifdef Q_OS_MAC
     nSize += 2;
#endif
  return nSize;
}
   
QSet<QString> Q7B_keyword_set;
QMap<QString, QString> Q7B_keyword;
//QMap<QString, QString> Q7Bkeywords;
//QMap<QString, QString> types;  // todo qtbasic types
//QMap<QString, QString> classes;  // todo qtbasic und user classes
//QMap<QString, QString> methods;  // todo qtbasic methods + builtins und user methods
//QMap<QString, QString> consts;  // todo qtbasic und user consts
//QMap<QString, QString> variables;  // todo user variables
// qtbasic_identifiers    user_identifiers

QSet<QString> Q7B_type_set;
QMap<QString, QString> Q7B_type;



// TODO2 nur eine SyntaxHighlighter fr alle codeviews
CodeSyntaxHighlighter::CodeSyntaxHighlighter(QTextDocument *parent) : QSyntaxHighlighter(parent)
 {
     //HighlightingRule rule;
/*
     if (set.count() == 0){

        // create normal list

         set << "Abs" << "Access" << "Acs" << "AddDays" << "AddHandler" << "AddHours" << "AddMinutes" << "AddMonths" << "AddSeconds" << "AddYears" << "AppActiviate" << "Append" << "Array" << "Asc" << "Asn" << "Atn" << "Beep" << "Bin" << "Bin$" << "Binary (Builtin)" << "BLOAD" << "BSAVE" << "CBCD" << "CBool" << "CByte" << "CChar" << "CCur" << "CDate" << "CDbl" << "CDec" << "CEXT" << "CFIX" << "ChDir" << "ChDrive" << "Chr" << "Chr$" << "CInt" << "Circle" << "Class" << "Clear" << "CLng" << "Close" << "CLS" << "CObj" << "Color" << "Command" << "Command$" << "Compare" << "Contains" << "Count" << "Cos" << "CQUD" << "CreateObject" << "CShort" << "CSng" << "CsrLin" << "CType" << "CurDir" << "CurDir$" << "CVD" << "CVDMBF" << "CVERR" << "CVI" << "CVL" << "CVS" << "CVSMBF" << "Date" << "Date$" << "DateAdd" << "DateDiff" << "DatePart" << "DateSerial" << "DateValue" << "Day" << "DayName" << "DayOfWeek" << "DayOfYear" << "DaysInMonth" << "DaysInYear" << "DDB" << "Debug" << "Deg" << "DeleteSetting" << "Decode" << "DiffDay" << "DiffSeconds" << "Dir" << "Dir$" << "DoEvents" << "DOF" << "Draw" << "Encode" << "EndsWith" << "Environ" << "Environ$" << "EOF" << "ErDev" << "ErDev$" << "Erl" << "Err" << "Error" << "Error$" << "Exp" << "Fact" << "Field" << "FileAttr" << "FileCopy" << "FileDateTime" << "FileLen" << "File" << "Files" << "Fill" << "Filter" << "Fix" << "FN" << "Format" << "Format$" << "FormatCurrency" << "FormatDateTime" << "FormatNumber" << "FormatPercent" << "Frac" << "FRE" << "FreeFile" << "Function" << "FV" << "Get" << "GetAllSettings" << "GetAttr" << "GetAutoServerSettings" << "GetObject" << "GetSetting" << "GetType" << "Hex" << "Hex$" << "Hour" << "Hypot" << "IMEStatus" << "IndexOf" << "Inkey" << "Inkey$" << "Inp" << "Input" << "Input$" << "InputBox" << "Insert" << "InStr" << "InStRev" << "Int" << "IOCtl" << "IOCtl$" << "IPMT" << "IRR" << "IsArray" << "IsBoolean" << "IsByte" << "IsCharacter" << "IsCollection" << "IsCString" << "IsCurrency" << "IsDate" << "IsDateValid" << "IsDateTimeValid" << "IsDouble" << "IsEmpty" << "IsError" << "IsInteger" << "IsMissing" << "IsLinux" << "IsMac" << "IsNull" << "IsNumeric" << "IsObject" << "IsShort" << "IsSingle" << "IsLeapYear" << "IsLong" << "IsString" << "IsTimeValid" << "IsVariant" << "IsWindows" << "Join" << "KBasicDir" << "Kill" << "LastIndexOf" << "LCase" << "LCase$" << "Left" << "Left$" << "LeftJustified" << "Len" << "Length" << "Line (Debug)" << "Ln" << "Load" << "LoadPicture" << "LoadResData" << "LoadResPicture" << "LoadResString" << "Loc" << "Locate" << "Lock" << "LOF" << "Log" << "Logb" << "Lower" << "LPos" << "LPrint" << "LTrim" << "LTrim$" << "Max" << "Mid (Builtin)" << "Mid$ (Builtin)" << "Min" << "Minute" << "MIRR" << "MKD$" << "MkDir" << "MKDMBF$" << "MKI$" << "#MKL$" << "MKS" << "MKS$" << "MKSMBF$, Module" << "Month" << "MonthName" << "MsgBox" << "MTIMER" << "Name" << "Now" << "NPER" << "NPV" << "Nz" << "Oct" << "Oct$" << "Open" << "Out" << "Output" << "Paint" << "Palette" << "Partition" << "PCopy" << "Peek" << "PMAP" << "PMT" << "Point" << "Poke" << "Pos" << "PPMT" << "Prepend" << "Preset" << "Print" << "PrintScreen" << "PSet" << "Put" << "PV" << "QBCOLOR" << "Rad" << "Raise" << "RaiseEvent" << "RaiseSignal" << "Random" << "Randomize" << "Rate" << "ReadBinary" << "Remove" << "RemoveHandler" << "Replace" << "Return" << "Reset" << "Reversed" << "RGB" << "Right" << "Right$" << "RightJustified" << "RmDir" << "RND" << "Round" << "RTrim" << "RTrim$" << "SavePicture" << "SaveSetting" << "Screen" << "Sec" << "Second" << "Section" << "Seek" << "SeekBinary" << "Seg" << "SendKeys" << "SetAttr" << "Sgn" << "Shell" << "Simplified" << "Sin" << "Size" << "Sleep" << "Sln" << "Sound" << "Space" << "Space$" << "Spc" << "Split" << "Sqr" << "Stick" << "StartsWith" << "Str" << "Str$" << "StrComp" << "StrConv" << "String" << "String$" << "StrReverse" << "Sub" << "SubDays" << "SubHours" << "SubMinutes" << "SubMonths" << "SubSeconds" << "SubYears" << "SYD" << "Tab" << "Tan" << "Time" << "Time$" << "TimeSerial" << "TimeValue" << "Trim" << "Trim$" << "Trimmed" << "Truncate" << "Type" << "TypeName" << "UCase" << "UCase$" << "Unicode" << "UnLoad" << "UnLock" << "Upper" << "Using" << "Utf8" << "Utf16" << "Val" << "Value" << "VarType" << "View" << "Weekday" << "WeekdayName" << "WeekNumber" << "Width" << "Window" << "Write" << "WriteBinary" << "Year";


/ *
        // create uppercase list
        foreach (QString value, list){
          set << value.toUpper();
        }
* /
        // create lowercase list
        QList<QString> list = set.toList();
        list = set.toList();
        foreach (QString value, list){
          Q7Bkeywords[value.toLower()] = value;
        }
        / *
        Q7Bkeywords["true"] = "True";
        Q7Bkeywords["false"] = "False";
        Q7Bkeywords["treeview1"] = "TreeView1";
        Q7Bkeywords["sethidden"] = "SetHidden";
        Q7Bkeywords["string"] = "String";* /
     }*/

     QString sFamily = DefaultFontName();//EXTERN_my_mainwindow->getPreference("FontName");
     int nSize = DefaultFontSize();//EXTERN_my_mainwindow->getPreference("FontSize").toInt();

     normalFormat.setFontFamily(sFamily); 
     normalFormat.setFontPointSize(nSize);

     typeFormat.setForeground(Qt::darkCyan);
     typeFormat.setFontFamily(sFamily); 
     typeFormat.setFontPointSize(nSize);

     keywordFormat.setForeground(Qt::blue);
     keywordFormat.setFontFamily(sFamily); 
     keywordFormat.setFontPointSize(nSize);

     commentFormat.setForeground(Qt::darkGreen);
     commentFormat.setFontFamily(sFamily); 
     commentFormat.setFontPointSize(nSize);

     quotationFormat.setForeground(Qt::darkBlue);
     quotationFormat.setFontFamily(sFamily); 
     quotationFormat.setFontPointSize(nSize);

     signalFormat.setForeground(Qt::darkGray);
     signalFormat.setFontFamily(sFamily); 
     signalFormat.setFontPointSize(nSize);     

     static QColor c1 = QColor(194, 150, 264).darker();
     static QBrush b1 = c1;
     eventFormat.setForeground(Qt::darkMagenta); // WORKAROUND                 c1 does not work???
     eventFormat.setFontFamily(sFamily); 
     eventFormat.setFontPointSize(nSize);

     static QColor c2 = QColor(61, 208, 244).darker();
     static QBrush b2 = c2;
     outletFormat.setForeground(b2);
     outletFormat.setFontFamily(sFamily); 
     outletFormat.setFontPointSize(nSize);


     bString_string = false;

 }

 void CodeSyntaxHighlighter::highlightBlock(const QString &text)
 {
   int nLen = text.length();
  // QString ss;

     setFormat(0, nLen, normalFormat);
//     else ss = text;

     int index = 0;
     int index2 = 0;
     int nString = 0;
     bool b = false;
     bool bString = false;

     if (bString_string){
       nString = 0;
     }

     if (text.startsWith("Signal on_")){
        setFormat(7, 3, signalFormat);    
        int n = text.indexOf("(");
        int n2 = text.lastIndexOf("_", n);
        if (n >= 0 && n2 >= 0){
          setFormat(10, n - 10, outletFormat); 
          setFormat(n2, n - n2, signalFormat);       
        }
     }
     
     if (text.startsWith("Event ")){
        int n = text.indexOf("(");
        if (n >= 0) setFormat(6, n - 6, eventFormat);    
     }
n:
     while (index < nLen){
       int i;
       for (i = index; i < nLen; i++){
         QChar c = text.at(i);
         QChar c2 = 0; if (i > 0) c2 = text.at(i - 1);

         QString string;

         if (c == '>' && i - 7 > 0){
           string = text.mid(i - 7, 8);

           if (string == "<string>"){
             bString_string = true;
             nString = i + 1;
           } 
         }        

         if (c == '>' && i - 8 > 0){
           string = text.mid(i - 8, 9);

           if (string == "</string>"){
             bString_string = false;
             setFormat(nString, i - nString + 1 - 9, quotationFormat);                           
           }
         }        

         if (bString_string == false && c == '\"' && c2 != '\\'){
           if (bString){
              setFormat(nString, i - nString + 1, quotationFormat);              
           } else {
             nString = i;
           }
           bString = !bString;
         }
         if (!bString_string && !bString && c == '\''){
           QString r = text.mid(index, i - index);

          if (Q7B_type_set.contains(r)){
            setFormat(index, i - index, typeFormat);
          } else 
          if (Q7B_keyword_set.contains(r)){
            setFormat(index, i - index, keywordFormat);
          }

           setFormat(i, nLen - i, commentFormat);
           return; // goto r;
         }

       
         if (!bString_string && !bString && ((!c.isLetter() && i == index && c != '_') || c.isSpace() || c.isMark() || c == '(')) break;

       }

       if (bString_string){
         setFormat(nString, i, quotationFormat);                           
       } else {
         if (Q7B_type_set.contains(text.mid(index, i - index))/* && c2.isSpace()*/){
           setFormat(index, i - index, typeFormat);
           index2 = index + (i - index);
         } else if (Q7B_keyword_set.contains(text.mid(index, i - index))/* && c2.isSpace()*/){
           setFormat(index, i - index, keywordFormat);
           index2 = index + (i - index);
         }
       }
       index = i + 1;
       
     }

     index = index2;


     if (b == false && index == -1 && index2 && index2 + 1 < nLen){
       b = true;
       index = index2;
       goto n;
     }
//r:
//;
 }

 
CodeCompletion2::CodeCompletion2(QWidget *parent, Q7BCodeWindow *_cw) : QLabel (parent)
{
  cw = _cw;  
  //setFrameShape(QFrame::StyledPanel);
  setAutoFillBackground(true);
    setMargin(0);
    setIndent(4);    
 QPalette p = palette();
  //p.setColor(QPalette::Window, QColor(0, 0, 0, 128));  
 p.setColor(QPalette::Base, QColor(0xFFFF9F));
  //p.setColor(QPalette::Button, QColor(0, 0, 0, 128));  
 setPalette(p);
 setFrameShape(QFrame::Box);

}

void CodeCompletion2::ShowUp(QString _sSignature)
{
  sSignature = _sSignature;
  setLabel("", 0, true);
  this->adjustSize();
  show();  
  setFocus();
}

void CodeCompletion2::setLabel(QString sLine, int nCursorPos, bool bStart)
{
 // bool b = bStart;
  QString s = sSignature;
  int nStart = 0;
  int nEnd = 0;

  int nComma = 0;
  int nParamPos = 0;
  int h = 1;

  while (h > 0){
    h = sSignature.indexOf(",", h + 1);
    if (h > 0) nComma++;
  }  
  
  h = 1;

  while (h > 0){
    h = sLine.indexOf(",", h + 1);
    if (h > 0) nParamPos++;
  }

  if (nParamPos > nComma) nParamPos = nComma;

  if (nParamPos == 0){
    nStart = s.indexOf("(");
    nEnd = s.indexOf(",");
    if (nEnd == -1) nEnd = s.indexOf(")");   
  } else {
    nStart = s.indexOf("(");
    for (int i = 0; i < nParamPos; i++){
      int n = s.indexOf(",", nStart + 1);
      if (n == -1) n = s.indexOf(")");   
      nStart = n;      
    }
    nEnd = s.indexOf(",", nStart + 1);
    if (nEnd == -1) nEnd = s.indexOf(")", nStart);   
  }

  if (nCursorPos > 0){
    s.insert(nEnd, "</b></font>");
    s.insert(nStart + 1, "<font color=\"#111183\"><b>");
  }
  //s = s + "<br><i> <font color=\"blue\">" + sSignatureDesc + "</i></font>";
  setText(s + " ");
  adjustSize();
  show();
}


CodeCompletion1::CodeCompletion1(QWidget *parent, Q7BCodeWindow *_cw) : QListWidget (parent)
{
  cw = _cw;  
  //setFrameShadow(QFrame::Raised);
  //setFrameShape(QFrame::StyledPanel);
/*
  this->addItem("Integer");
  this->addItem("Boolean");
  this->addItem("String");

  QStringList l; l << "Integer" << "Boolean" << "String" << "Abs" << "Access" << "Acs" << "AddDays" << "AddHandler" << "AddHours" << "AddMinutes" << "AddMonths" << "AddSeconds" << "AddYears" << "AppActiviate" << "Append" << "Array" << "Asc" << "Asn" << "Atn" << "Beep" << "Bin" << "Bin$" << "Binary (Builtin)" << "BLOAD" << "BSAVE" << "CBCD" << "CBool" << "CByte" << "CChar" << "CCur" << "CDate" << "CDbl" << "CDec" << "CEXT" << "CFIX" << "ChDir" << "ChDrive" << "Chr" << "Chr$" << "CInt" << "Circle" << "Class" << "Clear" << "CLng" << "Close" << "CLS" << "CObj" << "Color" << "Command" << "Command$" << "Compare" << "Contains" << "Count" << "Cos" << "CQUD" << "CreateObject" << "CShort" << "CSng" << "CsrLin" << "CType" << "CurDir" << "CurDir$" << "CVD" << "CVDMBF" << "CVERR" << "CVI" << "CVL" << "CVS" << "CVSMBF" << "Date" << "Date$" << "DateAdd" << "DateDiff" << "DatePart" << "DateSerial" << "DateValue" << "Day" << "DayName" << "DayOfWeek" << "DayOfYear" << "DaysInMonth" << "DaysInYear" << "DDB" << "Debug" << "Deg" << "DeleteSetting" << "Decode" << "DiffDay" << "DiffSeconds" << "Dir" << "Dir$" << "DoEvents" << "DOF" << "Draw" << "Encode" << "EndsWith" << "Environ" << "Environ$" << "EOF" << "ErDev" << "ErDev$" << "Erl" << "Err" << "Error" << "Error$" << "Exp" << "Fact" << "Field" << "FileAttr" << "FileCopy" << "FileDateTime" << "FileLen" << "File" << "Files" << "Fill" << "Filter" << "Fix" << "FN" << "Format" << "Format$" << "FormatCurrency" << "FormatDateTime" << "FormatNumber" << "FormatPercent" << "Frac" << "FRE" << "FreeFile" << "Function" << "FV" << "Get" << "GetAllSettings" << "GetAttr" << "GetAutoServerSettings" << "GetObject" << "GetSetting" << "GetType" << "Hex" << "Hex$" << "Hour" << "Hypot" << "IMEStatus" << "IndexOf" << "Inkey" << "Inkey$" << "Inp" << "Input" << "Input$" << "InputBox" << "Insert" << "InStr" << "InStRev" << "Int" << "IOCtl" << "IOCtl$" << "IPMT" << "IRR" << "IsArray" << "IsBoolean" << "IsByte" << "IsCharacter" << "IsCollection" << "IsCString" << "IsCurrency" << "IsDate" << "IsDateValid" << "IsDateTimeValid" << "IsDouble" << "IsEmpty" << "IsError" << "IsInteger" << "IsMissing" << "IsLinux" << "IsMac" << "IsNull" << "IsNumeric" << "IsObject" << "IsShort" << "IsSingle" << "IsLeapYear" << "IsLong" << "IsString" << "IsTimeValid" << "IsVariant" << "IsWindows" << "Join" << "KBasicDir" << "Kill" << "LastIndexOf" << "LCase" << "LCase$" << "Left" << "Left$" << "LeftJustified" << "Len" << "Length" << "Line (Debug)" << "Ln" << "Load" << "LoadPicture" << "LoadResData" << "LoadResPicture" << "LoadResString" << "Loc" << "Locate" << "Lock" << "LOF" << "Log" << "Logb" << "Lower" << "LPos" << "LPrint" << "LTrim" << "LTrim$" << "Max" << "Mid (Builtin)" << "Mid$ (Builtin)" << "Min" << "Minute" << "MIRR" << "MKD$" << "MkDir" << "MKDMBF$" << "MKI$" << "#MKL$" << "MKS" << "MKS$" << "MKSMBF$, Module" << "Month" << "MonthName" << "MsgBox" << "MTIMER" << "Name" << "Now" << "NPER" << "NPV" << "Nz" << "Oct" << "Oct$" << "Open" << "Out" << "Output" << "Paint" << "Palette" << "Partition" << "PCopy" << "Peek" << "PMAP" << "PMT" << "Point" << "Poke" << "Pos" << "PPMT" << "Prepend" << "Preset" << "Print" << "PrintScreen" << "PSet" << "Put" << "PV" << "QBCOLOR" << "Rad" << "Raise" << "RaiseEvent" << "RaiseSignal" << "Random" << "Randomize" << "Rate" << "ReadBinary" << "Remove" << "RemoveHandler" << "Replace" << "Return" << "Reset" << "Reversed" << "RGB" << "Right" << "Right$" << "RightJustified" << "RmDir" << "RND" << "Round" << "RTrim" << "RTrim$" << "SavePicture" << "SaveSetting" << "Screen" << "Sec" << "Second" << "Section" << "Seek" << "SeekBinary" << "Seg" << "SendKeys" << "SetAttr" << "Sgn" << "Shell" << "Simplified" << "Sin" << "Size" << "Sleep" << "Sln" << "Sound" << "Space" << "Space$" << "Spc" << "Split" << "Sqr" << "Stick" << "StartsWith" << "Str" << "Str$" << "StrComp" << "StrConv" << "String" << "String$" << "StrReverse" << "Sub" << "SubDays" << "SubHours" << "SubMinutes" << "SubMonths" << "SubSeconds" << "SubYears" << "SYD" << "Tab" << "Tan" << "Time" << "Time$" << "TimeSerial" << "TimeValue" << "Trim" << "Trim$" << "Trimmed" << "Truncate" << "Type" << "TypeName" << "UCase" << "UCase$" << "Unicode" << "UnLoad" << "UnLock" << "Upper" << "Using" << "Utf8" << "Utf16" << "Val" << "Value" << "VarType" << "View" << "Weekday" << "WeekdayName" << "WeekNumber" << "Width" << "Window" << "Write" << "WriteBinary" << "Year";
  this->addItems(l);*/

  connect(this, SIGNAL(itemActivated(QListWidgetItem *)), this, SLOT(this_itemActivated(QListWidgetItem *)));
  connect(this, SIGNAL(itemClicked(QListWidgetItem *)), this, SLOT(this_itemActivated(QListWidgetItem *)));

  setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOff);


/*
  Shadow = new QLineEdit(parent);
  Shadow->setReadOnly(true);
  Shadow->setFrame(false);
  Shadow->lower();
  QPalette p = Shadow->palette();
  //p.setColor(QPalette::Window, QColor(0, 0, 0, 128));  
  p.setColor(QPalette::Base, QColor(0, 0, 0, 128));  
  //p.setColor(QPalette::Button, QColor(0, 0, 0, 128));  
  Shadow->setPalette(p);
  

  Shadow->resize(100, 200);
  Shadow->setHidden(true);*/

}

void CodeCompletion1::this_itemActivated(QListWidgetItem *item)
{

  QString s = "";

  if (currentText().isEmpty()) return;

  s = currentText();    
  
  if (s.startsWith(sInputedText, Qt::CaseInsensitive) && !s.isEmpty()){
    cw->PerformInsertText(s.mid(sInputedText.length()));
  }
  cw->setFocus();
  hide();       
}

void CodeCompletion1::ShowUp(QStringList & _items)
{
  clear();
  sInputedText = "";  
  items = _items;
  addItems(items);
  setCurrentRow(0);
  //qApp->processEvents(QEventLoop::AllEvents, 1000);
  
  show();  
  setFocus();
 // cw->setFocus();
 // cw->code->setCursorWidth(1); cw->code->setCursorWidth(2); // make the cursor reappear
 // setFocus();
 // cw->code->viewport()->update();
}

void CodeCompletion1::focusOutEvent(QFocusEvent *e)
{  
  QListWidget::focusOutEvent(e);
  cw->code->setFocus();
  hide();
}
/*
void CodeCompletion1::focusInEvent(QFocusEvent *e)
{  
  QListWidget::focusInEvent(e);
  cw->code->setCursorWidth(1); cw->code->setCursorWidth(2); // make the cursor reappear
}*/

void CodeCompletion1::keyPressEvent(QKeyEvent *e)
{

  int n  = e->key();

  if (n == Qt::Key_Return || n == Qt::Key_Enter){        

    QString s = currentText();
    if (s.startsWith(sInputedText, Qt::CaseInsensitive)){
      cw->PerformInsertText(s.mid(sInputedText.length()));
    }
    cw->setFocus();
    hide(); 

  } else if (n == Qt::Key_BraceLeft){    // TODO    

    QString s = currentText();
    if (s.startsWith(sInputedText, Qt::CaseInsensitive)){
      cw->PerformInsertText(s.mid(sInputedText.length()));
    }
    cw->setFocus();
    hide(); 

  } else if (n == Qt::Key_Escape){
    cw->setFocus();
    hide(); 
  } else if (n == Qt::Key_Backspace){  
    int k = sInputedText.length() - 1;

    e->ignore();
    if (k == -1){      
      hide(); 
      cw->setFocus();
    } else {      
      sInputedText = sInputedText.left(k);

      QListWidgetItem *k = itemWithText(sInputedText);
      if (k == 0){
        clearSelection();
      } else {

        clear();
        foreach(QString s, items)
        {
          if (s.startsWith(sInputedText, Qt::CaseInsensitive)){
            addItem(s);
          }
        }
        QListWidgetItem *k = itemWithText(sInputedText);
        if (k == 0){
          hide(); 
          cw->setFocus();
        } else {
          setCurrentItem(k);
        }
        
      }

    }
  } else {
    cw->code->setCursorWidth(1); cw->code->setCursorWidth(2); // make the cursor reappear
    QString s = e->text();
    if (!s.isNull() && s.length() > 0){
      e->ignore();

      sInputedText.append(s);

      QListWidgetItem *k = itemWithText(sInputedText);
      if (k == 0){
        hide(); 
        cw->setFocus();
       // clearSelection();
      } else {

        clear();
        foreach(QString s, items)
        {
          if (s.startsWith(sInputedText, Qt::CaseInsensitive)){
            addItem(s);
          }
        }
        QListWidgetItem *k = itemWithText(sInputedText);
        if (k == 0){
          hide(); 
          cw->setFocus();
        } else {
          setCurrentItem(k);
        }
        
      }
    } else {

      if (n == Qt::Key_Up && currentRow() == 0){}
      else if (n == Qt::Key_Down && currentRow() == count() - 1){}
      else { 

        QListWidget::keyPressEvent(e);
      }
    }
  }

}



Code::Code(Q7BCodeWindow *parent = 0) : QPlainTextEdit (parent)
{
  cw = parent;
  
  //setAcceptRichText(false);
  setCursorWidth(2);
  setFrameStyle(QFrame::NoFrame);
  setVerticalScrollBarPolicy(Qt::ScrollBarAlwaysOn);
  //viewport()->setMouseTracking(true);
  document()->setDocumentMargin(18);

  connect(this, SIGNAL(textChanged(void)), cw, SLOT(code_textChanged(void)));

  connect(this, SIGNAL(cursorPositionChanged(void)), cw, SLOT(code_cursorPositionChanged(void)));
  //connect(this, SIGNAL(selectionChanged(void)), cw, SLOT(code_selectionChanged(void)));
 // connect(this, SIGNAL(updateRequest(const QRect & , int )), this, SLOT(updateRequest(const QRect & , int )));
  
  connect(this, SIGNAL(blockCountChanged(int)), this, SLOT(this_blockCountChanged(int)));

  bUpdateForChangedText = false;

  codecompletion1 = new CodeCompletion1(viewport(), cw);
  codecompletion1->resize(100, 200);
  codecompletion1->setHidden(true);
  codecompletion1->setCursor(Qt::ArrowCursor);

  codecompletion2 = new CodeCompletion2(viewport(), cw);
  //codecompletion2->setFont(QFont(DefaultFontName(), DefaultFontSize()));
  codecompletion2->resize(100, 20);
  codecompletion2->setHidden(true);
  codecompletion2->setCursor(Qt::ArrowCursor);

  

/*
  QLineEdit *Shadow = new QLineEdit(viewport());
  Shadow->resize(100, 200);
  Shadow->move(11, 11);
  Shadow->show();
  QPalette p = Shadow->palette();
  p.setColor(QPalette::Window, QColor(0, 0, 0, 128));  
  p.setColor(QPalette::Base, QColor(0, 0, 0, 128));  
  p.setColor(QPalette::Button, QColor(0, 0, 0, 128));  
  Shadow->setPalette(p);
  */
 // ee = new QTextEdit();
 // ee->showMaximized();

/*
  Layout *l = new Layout(document());
  document()->setDocumentLayout(l);

  document->documentLayout()->draw(painter, ctx);
*/

}


void Code::mousePressEvent(QMouseEvent* e)
{
  if (codecompletion1->isVisible()){
    codecompletion1->hide();
  }
  if (codecompletion2->isVisible()){
    codecompletion2->hide();
  }  
  QPlainTextEdit::mousePressEvent(e);
}

void Code::wheelEvent(QWheelEvent* e)
{
  if (codecompletion1->isVisible()){
    codecompletion1->hide();
  }
  if (codecompletion2->isVisible()){
    codecompletion2->hide();
  }  
  QPlainTextEdit::wheelEvent(e);
  viewport()->update();
}


void Code::this_blockCountChanged(int)
{
  bUpdateForChangedText = true;
  //this->viewport()->update();
}


/*
void BaseTextEditor::indent(QTextDocument *doc, const QTextCursor &cursor, QChar typedChar)
{
    if (cursor.hasSelection()) {
        QTextBlock block = doc->findBlock(qMin(cursor.selectionStart(), cursor.selectionEnd()));
        const QTextBlock end = doc->findBlock(qMax(cursor.selectionStart(), cursor.selectionEnd())).next();
        do {
            indentBlock(doc, block, typedChar);
            block = block.next();
        } while (block.isValid() && block != end);
    } else {
        indentBlock(doc, cursor.block(), typedChar);
    }
}
*/

/*
void Code::scrollContentsBy ( int dx, int dy )
{
  QPlainTextEdit::scrollContentsBy(dx, dy);
  repaint();
}
*/


void Code::paintEvent ( QPaintEvent * e )
{
/*
  static bool bFirst = true;

  if (bFirst){
    bFirst = false;

    for (int k = 0; k < cw->breakpoints.count(); k++){
      QTextBlock block = firstVisibleBlock();

      block.setUserData(new aBreakpoint(cw->breakpoints.at(k)));
      findBlockByLineNumber 
    }


  }*/

/*
  void QPlainTextEdit::updateRequest ( const QRect & rect, int dy )   [signal]
  This signal is emitted when the text document needs an update of the specified rect. If the text is scrolled, rect will cover the entire viewport area. If the text is scrolled vertically, dy carries the amount of pixels the viewport was scrolled.

The purpose of the signal is to support extra widgets in plain text edit subclasses that e.g. show line numbers, breakpoints, or other extra information.

*/
    QPlainTextEdit::paintEvent(e);
/*
   QPainter painter(lineNumberArea);
     painter.fillRect(event->rect(), Qt::lightGray);


*/

    QPainter painter(viewport());
    QRect viewportRect = viewport()->rect();
    QPointF offset(contentOffset());
    QTextBlock block = firstVisibleBlock();
    QRectF r = blockBoundingRect(block).translated(offset);
    painter.translate(0, -(this->verticalScrollBar()->value() * r.height() - this->contentOffset().y()));

    // drawing breakpoint
    /*
    painter.setPen(Qt::darkRed);
    painter.setBrush(Qt::red);

    for (int k = 0; k < cw->breakpoints.count(); k++){
      if (cw->nCurrentDebugPosition != cw->breakpoints.at(k)){
        painter.drawEllipse(2, r.height() * (cw->breakpoints.at(k) - 1) + 2 , 11, r.height() - 6);    
      }
    }*/

    {
      painter.setPen(Qt::darkRed);
      painter.setBrush(Qt::red);

     QTextBlock block = firstVisibleBlock();
     int blockNumber = block.blockNumber();
     int top = (int) blockBoundingGeometry(block).translated(contentOffset()).top();
     int bottom = top + (int) blockBoundingRect(block).height();

     while (block.isValid() /*&& top <= e->rect().bottom()*/) {
       aBreakpoint *ud = (aBreakpoint*)block.userData();
       if (ud && ud->nBreakpointLine > 0 && block.isVisible() && bottom >= e->rect().top()) {
             painter.drawEllipse(2, r.height() * (blockNumber - 1) + 2 , 11, r.height() - 6);    
         }

         block = block.next();
         top = bottom;
         bottom = top + (int) blockBoundingRect(block).height();
         ++blockNumber;
     }
    }

    if (cw->nCurrentDebugPosition != 0){
      painter.setPen(Qt::darkRed);
      painter.setBrush(Qt::yellow);
      painter.drawEllipse(2, r.height() * (cw->nCurrentDebugPosition - 1) + 2 , 11, r.height() - 6);    
    }

/*
    {
     QTextBlock block = firstVisibleBlock();
     int blockNumber = block.blockNumber();
     int top = (int) blockBoundingGeometry(block).translated(contentOffset()).top();
     int bottom = top + (int) blockBoundingRect(block).height();

     while (block.isValid() && top <= e->rect().bottom()) {
         if (block.isVisible() && bottom >= e->rect().top()) {
             QString number = QString::number(blockNumber + 1);
             painter.setPen(Qt::black);
             painter.drawText(0, top, 11, fontMetrics().height(),
                              Qt::AlignRight, number);
         }

         block = block.next();
         top = bottom;
         bottom = top + (int) blockBoundingRect(block).height();
         ++blockNumber;
     }
    }*/

    QTextCursor cc = textCursor();
    int nBlockNumber = cc.blockNumber();

    int u = r.height() / 2;
    painter.setPen(Qt::lightGray);
    for (int i = 0; i < cw->browser->count(); i++){
      QVariant v = cw->browser->itemData(i);
      qint64 n = v.toLongLong();
      int l = n / 1000000;
      int m = n % 1000000;//n / 1000 % 1000;
      //int c = n % 1000;

      if (l && n > 0 && m > 0){
        if (bUpdateForChangedText == false || m < nBlockNumber){ 
          int y = r.height() * (m) - u;
          painter.drawLine(0, y, viewportRect.width(), y);
          /*
          if (y < 800){
            y = y;
          }*/
        }
//        painter.fillRect(0, r.height() * (m) , viewportRect.width(), 1, Qt::lightGray);
      }
    }    


   
}


void Code::move_codecompletion(QWidget *w)
{
  QPointF offset(contentOffset());
  QTextBlock block = firstVisibleBlock();
  QRectF r = blockBoundingRect(block).translated(offset);

  QTextCursor c = textCursor();
  int n = c.blockNumber() - block.blockNumber() + 1;

  int a = c.columnNumber();
  int b = QFontMetrics(currentCharFormat().font()).averageCharWidth();

  int x = a * b + offset.x() + document()->documentMargin();        
  int y = r.y() + r.height() * n;
  if (w == codecompletion2 || y + w->height() > viewport()->height()){
    y -= w->height() + r.height() + 1;
  }

  w->move(x, y);
}

void Code::focusInEvent(QFocusEvent* e)
{
  QPlainTextEdit::focusInEvent(e);
  cw->UndoRedoCut();
}

void Code::keyPressEvent(QKeyEvent* e)
{
  int n = e->key();

  if (n == Qt::Key_Return || n == Qt::Key_Enter){   
    QTextCursor f = textCursor();
    int nColumn = f.columnNumber();
    f.select(QTextCursor::LineUnderCursor);         

    QString r = f.selectedText();   
    if (!r.isEmpty() && nColumn == r.length()){
      QString k = cw->beautify(r);
      if (r != k){   
        f.beginEditBlock();
        f.insertText(k);
        setTextCursor(f);  
        f.endEditBlock();
      }
    }

  } else if (n == Qt::Key_Backtab){

    cw->PerformUnindent();
    return;
    
  } else if (n == Qt::Key_Tab){

    cw->PerformIndent();
    return;
  }

  bool bStart_codecompletion2 = false;
  QPlainTextEdit ::keyPressEvent(e);
  bool bAppend = false;

  if (!e->text().isNull()){
    QString s = e->text();
    if (false && s.compare(".") == 0){     

      

      move_codecompletion(codecompletion1);
       QStringList l;  //l << "left" <<  "right" << "mid";

       cw->emit_GetCompletion("");
       
       l = cw->lCompletion1;

       if (l.count()){
         codecompletion1->ShowUp(l);
       }
      /*
      if (my_inputtip == 0){
        
        nDotPressed = 1;

        bInputDot = true;
        bInputBrace = false;
        bInputAs = false;
      }*/

    } else if (s.compare("(") == 0){

      QString s = "";//"Sub testit(param1 As Integer, gut As String)";
      sLineBeforeInput = cw->getCurrentCompletionTrigger();
      nStartTrigger = textCursor().columnNumber();

      sLineBeforeInput = sLineBeforeInput.left(sLineBeforeInput.length() - 1); // remove ( at the end
      if (sLineBeforeInput.endsWith("$")){
        sLineBeforeInput = sLineBeforeInput.left(sLineBeforeInput.length() - 1); // remove $ at the end
      }

      //QMessageBox::information(this, "sLineBeforeInput", sLineBeforeInput);

      move_codecompletion(codecompletion2);

      cw->emit_GetCompletion2(sLineBeforeInput);

      s = cw->sCompletion2;

      if (!s.isEmpty())
      {
        codecompletion2->ShowUp(s);
        bStart_codecompletion2 = true;
      }
/*
      if (my_inputtip == 0){
        
        nDotPressed = 1;

        bInputDot = false;
        bInputBrace = true;
        bInputAs = false;
      }*/
    } else if (codecompletion2->isVisible() && s.compare(")") == 0){

      // getting count of braces
      QString s = cw->getCurrentLineAsString();
      int nStartTrigger2 = textCursor().columnNumber() - 1;

      s = s.mid(nStartTrigger, nStartTrigger2 - nStartTrigger);
      //s = s.mid(sLineBeforeInput.length());
      //s += ")";

      int nLeft = 0;
      int nRight = 0;
      int h = -1;

      do {
        h = s.indexOf("(", h + 1);
        if (h >= 0) nLeft++;
      } while (h >= 0);  
          
      h = -1;

      do {
        h = s.indexOf(")", h + 1);
        if (h >= 0) nRight++;
      } while (h >= 0);  
      

      if (nLeft == nRight && codecompletion2->isVisible()){
        cw->setFocus();
        codecompletion2->hide();
        sLineBeforeInput = "";
      }

    } else {
      QString s = cw->getCurrentLineAsString();
      int nIndex = cw->getCurrentColumn();
      s = s.left(nIndex);
      if (s.endsWith(" As ", Qt::CaseInsensitive) || (nIndex - 4 == 0 && s.endsWith("As ", Qt::CaseInsensitive))){                  
 
         move_codecompletion(codecompletion1);

       //  codecompletion1->Shadow->move(x + 2, y + 2);
         
         //codecompletion1->Shadow->show();

         QStringList l; //l << "Integer" << "Boolean" << "String" << "Abs" << "Access" << "Acs" << "AddDays" << "AddHandler" << "AddHours" << "AddMinutes" << "AddMonths" << "AddSeconds" << "AddYears" << "AppActiviate" << "Append" << "Array" << "Asc" << "Asn" << "Atn" << "Beep" << "Bin" << "Bin$" << "Binary (Builtin)" << "BLOAD" << "BSAVE" << "CBCD" << "CBool" << "CByte" << "CChar" << "CCur" << "CDate" << "CDbl" << "CDec" << "CEXT" << "CFIX" << "ChDir" << "ChDrive" << "Chr" << "Chr$" << "CInt" << "Circle" << "Class" << "Clear" << "CLng" << "Close" << "CLS" << "CObj" << "Color" << "Command" << "Command$" << "Compare" << "Contains" << "Count" << "Cos" << "CQUD" << "CreateObject" << "CShort" << "CSng" << "CsrLin" << "CType" << "CurDir" << "CurDir$" << "CVD" << "CVDMBF" << "CVERR" << "CVI" << "CVL" << "CVS" << "CVSMBF" << "Date" << "Date$" << "DateAdd" << "DateDiff" << "DatePart" << "DateSerial" << "DateValue" << "Day" << "DayName" << "DayOfWeek" << "DayOfYear" << "DaysInMonth" << "DaysInYear" << "DDB" << "Debug" << "Deg" << "DeleteSetting" << "Decode" << "DiffDay" << "DiffSeconds" << "Dir" << "Dir$" << "DoEvents" << "DOF" << "Draw" << "Encode" << "EndsWith" << "Environ" << "Environ$" << "EOF" << "ErDev" << "ErDev$" << "Erl" << "Err" << "Error" << "Error$" << "Exp" << "Fact" << "Field" << "FileAttr" << "FileCopy" << "FileDateTime" << "FileLen" << "File" << "Files" << "Fill" << "Filter" << "Fix" << "FN" << "Format" << "Format$" << "FormatCurrency" << "FormatDateTime" << "FormatNumber" << "FormatPercent" << "Frac" << "FRE" << "FreeFile" << "Function" << "FV" << "Get" << "GetAllSettings" << "GetAttr" << "GetAutoServerSettings" << "GetObject" << "GetSetting" << "GetType" << "Hex" << "Hex$" << "Hour" << "Hypot" << "IMEStatus" << "IndexOf" << "Inkey" << "Inkey$" << "Inp" << "Input" << "Input$" << "InputBox" << "Insert" << "InStr" << "InStRev" << "Int" << "IOCtl" << "IOCtl$" << "IPMT" << "IRR" << "IsArray" << "IsBoolean" << "IsByte" << "IsCharacter" << "IsCollection" << "IsCString" << "IsCurrency" << "IsDate" << "IsDateValid" << "IsDateTimeValid" << "IsDouble" << "IsEmpty" << "IsError" << "IsInteger" << "IsMissing" << "IsLinux" << "IsMac" << "IsNull" << "IsNumeric" << "IsObject" << "IsShort" << "IsSingle" << "IsLeapYear" << "IsLong" << "IsString" << "IsTimeValid" << "IsVariant" << "IsWindows" << "Join" << "KBasicDir" << "Kill" << "LastIndexOf" << "LCase" << "LCase$" << "Left" << "Left$" << "LeftJustified" << "Len" << "Length" << "Line (Debug)" << "Ln" << "Load" << "LoadPicture" << "LoadResData" << "LoadResPicture" << "LoadResString" << "Loc" << "Locate" << "Lock" << "LOF" << "Log" << "Logb" << "Lower" << "LPos" << "LPrint" << "LTrim" << "LTrim$" << "Max" << "Mid (Builtin)" << "Mid$ (Builtin)" << "Min" << "Minute" << "MIRR" << "MKD$" << "MkDir" << "MKDMBF$" << "MKI$" << "#MKL$" << "MKS" << "MKS$" << "MKSMBF$, Module" << "Month" << "MonthName" << "MsgBox" << "MTIMER" << "Name" << "Now" << "NPER" << "NPV" << "Nz" << "Oct" << "Oct$" << "Open" << "Out" << "Output" << "Paint" << "Palette" << "Partition" << "PCopy" << "Peek" << "PMAP" << "PMT" << "Point" << "Poke" << "Pos" << "PPMT" << "Prepend" << "Preset" << "Print" << "PrintScreen" << "PSet" << "Put" << "PV" << "QBCOLOR" << "Rad" << "Raise" << "RaiseEvent" << "RaiseSignal" << "Random" << "Randomize" << "Rate" << "ReadBinary" << "Remove" << "RemoveHandler" << "Replace" << "Return" << "Reset" << "Reversed" << "RGB" << "Right" << "Right$" << "RightJustified" << "RmDir" << "RND" << "Round" << "RTrim" << "RTrim$" << "SavePicture" << "SaveSetting" << "Screen" << "Sec" << "Second" << "Section" << "Seek" << "SeekBinary" << "Seg" << "SendKeys" << "SetAttr" << "Sgn" << "Shell" << "Simplified" << "Sin" << "Size" << "Sleep" << "Sln" << "Sound" << "Space" << "Space$" << "Spc" << "Split" << "Sqr" << "Stick" << "StartsWith" << "Str" << "Str$" << "StrComp" << "StrConv" << "String" << "String$" << "StrReverse" << "Sub" << "SubDays" << "SubHours" << "SubMinutes" << "SubMonths" << "SubSeconds" << "SubYears" << "SYD" << "Tab" << "Tan" << "Time" << "Time$" << "TimeSerial" << "TimeValue" << "Trim" << "Trim$" << "Trimmed" << "Truncate" << "Type" << "TypeName" << "UCase" << "UCase$" << "Unicode" << "UnLoad" << "UnLock" << "Upper" << "Using" << "Utf8" << "Utf16" << "Val" << "Value" << "VarType" << "View" << "Weekday" << "WeekdayName" << "WeekNumber" << "Width" << "Window" << "Write" << "WriteBinary" << "Year";
         l << Q7B_type_set.values();

         codecompletion1->ShowUp(l);
         //codecompletion1->setFocus();
      }
      /*


      if (s2.endsWith(" As", Qt::CaseInsensitive) || (s2.endsWith("As", Qt::CaseInsensitive)) || s2.endsWith(" New", Qt::CaseInsensitive) || (s2.endsWith("New", Qt::CaseInsensitive))){
        nDotPressed = 1;

        bInputDot = false;
        bInputBrace = false;
        bInputAs = true;
      }*/
    }
  }


  
  if (n == Qt::Key_Return || n == Qt::Key_Enter){   
    insertCorrectIdentForLine(bAppend);
  } else if (n == Qt::Key_Escape){   
    if (codecompletion2->isVisible()){
      setFocus();
      codecompletion2->hide();
    } else {
/*

      move_codecompletion(codecompletion1);
       QStringList l; 

       cw->emit_GetCompletion("!?$%&/()=?");
       
       l = cw->lCompletion1;

       if (l.count()){
         codecompletion1->ShowUp(l);
       }
       */

/*
      QString s = "";
      nStartTrigger = textCursor().columnNumber();

      sLineBeforeInput = "!?$%&/()=?";
      cw->emit_GetCompletion2(sLineBeforeInput);

      s = cw->sCompletion2;

      if (l.count()){
        codecompletion2->ShowUp(s);
        bStart_codecompletion2 = true;
      }
      */
    }
  }

  if (codecompletion2->isVisible()){
    QString s = cw->getCurrentLineAsString();
    int nIndex = cw->getCurrentColumn();

    if (/*!bStart_codecompletion2 && */s.length() < sLineBeforeInput.length()){
      setFocus();
      codecompletion2->hide();
    } else {
      if (nIndex > 1) codecompletion2->setLabel(s, nIndex, false);
      cw->code->setCursorWidth(1); cw->code->setCursorWidth(2); // make the cursor reappear
    }
  }

  /*
  keyPressedTime = QDateTime::currentDateTime().toTime_t();
  nDotPressed = 0;

  int index = 0;

  int n  = e->key();

  if (!e->text().isNull()){
    QString s = e->text();
    if (s.compare(".") == 0){      

      if (my_inputtip == 0){
        sLineBeforeInput = my_sourcecodeeditor->getCurrentLineAsString();
        nDotPressed = 1;

        bInputDot = true;
        bInputBrace = false;
        bInputAs = false;
      }

    } else if (s.compare("(") == 0){

      if (my_inputtip == 0){
        sLineBeforeInput = my_sourcecodeeditor->getCurrentLineAsString();
        nDotPressed = 1;

        bInputDot = false;
        bInputBrace = true;
        bInputAs = false;
      }
    } else if (s.compare(")") == 0){

      // getting count of braces
      QString s = my_sourcecodeeditor->getCurrentLineAsString();

      s = s.mid(sLineBeforeInput.length());
      s += ")";

      int nLeft = 0;
      int nRight = 0;
      int h = -1;

      do {
        h = s.indexOf("(", h + 1);
        if (h >= 0) nLeft++;
      } while (h >= 0);  
          
      h = -1;

      do {
        h = s.indexOf(")", h + 1);
        if (h >= 0) nRight++;
      } while (h >= 0);  
      

      if (nLeft == nRight && my_inputtip != 0 && my_inputtip->isUsedAsLabel()){
        hideInput();
      }

    } else {
      QString s = my_sourcecodeeditor->getCurrentLineAsString();
      index = my_sourcecodeeditor->getCurrentColumn();
      QString s2 = s.left(index);


      if (s2.endsWith(" As", Qt::CaseInsensitive) || (s2.endsWith("As", Qt::CaseInsensitive)) || s2.endsWith(" New", Qt::CaseInsensitive) || (s2.endsWith("New", Qt::CaseInsensitive))){
        nDotPressed = 1;

        bInputDot = false;
        bInputBrace = false;
        bInputAs = true;
      }
    }
  }

  bool bAppend = false;
  if (n == Qt::Key_Escape){
    if (!bInputAs){
      hideInput();
    }
    if (my_sourcecodeeditor->isFullScreen()){
      my_sourcecodeeditor->setNoFullscreen(true);
    }
    
  } else if (n == Qt::Key_Backtab){

    my_sourcecodeeditor->performUnindent();
    goto we;
  } else if (n == Qt::Key_Tab){

    my_sourcecodeeditor->performIndent();
    goto we;
  } else if (n == Qt::Key_Return || n == Qt::Key_Enter){        
    
    bAppend = my_sourcecodeeditor->beautifyCurrentLine();

    if (my_inputtip != 0){
      hideInput();
    }

  } else if (n == Qt::Key_F3){

    if (e->modifiers() == Qt::ShiftModifier){
       _find *o = new _find(my_sourcecodeeditor, false, true);
    } else {
       _find *o = new _find(my_sourcecodeeditor, true, false);
    }

    goto we;

  } else if (n == Qt::Key_Home){
  
    QTextCursor c = textCursor();
    int nn = c.columnNumber();

    c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);
    c.movePosition(QTextCursor::EndOfLine, QTextCursor::KeepAnchor);

    QString s = c.selectedText();

    int n = 0;

    for (; n < s.length(); n++){
      if (s.at(n).isSpace()){
      } else {
        break;
      }
    }        
    if (nn != n && nn > 0){      
      if (e->modifiers() == Qt::ShiftModifier){
        c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);
        c.movePosition(QTextCursor::Right, QTextCursor::MoveAnchor, nn);  
        c.movePosition(QTextCursor::Left, QTextCursor::KeepAnchor, nn - n);  
        setTextCursor(c);
        goto we;
      } else {
        c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);
        c.movePosition(QTextCursor::Right, QTextCursor::MoveAnchor, n);  
        setTextCursor(c);
        goto we;
      }
    }

  }

  QTextEdit::keyPressEvent(e);
  my_sourcecodeeditor->keyPressEvent(e);
we:
  if (n == Qt::Key_Return || n == Qt::Key_Enter){        
    my_sourcecodeeditor->insertCorrectIdentForLine(bAppend);
          
  } else if (n == Qt::Key_F1){

    QString s = my_sourcecodeeditor->getCurrentLineAsString();
    int index = my_sourcecodeeditor->getCurrentColumn();
    if (index - 1 < 0 || s[index - 1] != QChar(' ')){
      int l = index;
      int r = index;
      while (l - 1 >= 0){
        QChar c = s[--l];
        if (c != QChar('.') && (!c.isLetterOrNumber() || c == QChar(' '))) break;
      }
      int n = s.length();
      while (r < n && s[r++] != ' ');
      s = s.mid(l, r - l);

      s = s.trimmed();
      int mm = s.indexOf("(");
      if (mm >= 0){
        s = s.left(mm);
      }
      mm = s.indexOf("[");
      if (mm >= 0){
        s = s.left(mm);
      }
      if (s.contains(".")){
        int n = s.indexOf(".");
        QString l = s.left(n);
        QString r = s.mid(n + 1);
        n = r.indexOf("(");
        if (n >= 0) r = r.left(n);
        s = EXTERN_my_mainwindow->getForF1(l, r);
        if (s.length() && s[0] != QChar('\"')) QDesktopServices::openUrl(QUrl(s));
      } else {
        if (s.length() && s[0] != QChar('\"')) showHelpEntry(s);
      }
    }
  }

  if (my_inputtip != 0 && my_inputtip->isUsedAsLabel()){

    QString s = my_sourcecodeeditor->getCurrentLineAsString();
    index = my_sourcecodeeditor->getCurrentColumn();

    if (s.length() <= sLineBeforeInput.length()){
      hideInput();
    } else {
      if (index > 1) my_inputtip->setLabel(s, index, false);
    }

  }


  if (this->document()->blockCount() != nOldBlockCount){
    nOldBlockCount = this->document()->blockCount();

    EXTERN_my_mainwindow->updateBreakpointsByEditor();
  }
*/
  
}


void Code::insertCorrectIdentForLine(bool bAppend)
{  
//  return; // qt4 contains lots of bugs, that's really a shame for such a high price

  int x;
  QString d = cw->getBeforeCurrentLineAsString();  
  QString e = d.trimmed();

  for (x = 0; x < d.length(); x++){
    if (d.at(x) != ' ') break;
  }

  if (
    e.startsWith("IF ", Qt::CaseInsensitive) || e.startsWith("IF(", Qt::CaseInsensitive)
    || e.startsWith("SELECT ", Qt::CaseInsensitive) || e.startsWith("SELECT(", Qt::CaseInsensitive)
    || e.startsWith("WHILE ", Qt::CaseInsensitive) || e.startsWith("WHILE(", Qt::CaseInsensitive)
    || e.startsWith("DO ", Qt::CaseInsensitive) || e.startsWith("DO(", Qt::CaseInsensitive)
    || e.startsWith("FOR ", Qt::CaseInsensitive) || e.startsWith("FOR(", Qt::CaseInsensitive)
    || (e.startsWith("ELSE", Qt::CaseInsensitive) && e.length() == 4)
    || (e.startsWith("ELSEIF", Qt::CaseInsensitive) && e.length() == 6)
    || (e.startsWith("ELSE IF", Qt::CaseInsensitive) && e.length() == 7)
//    || e.startsWith("ELSE ", Qt::CaseInsensitive) || e.startsWith("ELSE(", Qt::CaseInsensitive)
    //|| e.startsWith("ELSEIF ", Qt::CaseInsensitive) || e.startsWith("ELSEIF(", Qt::CaseInsensitive)

    //|| e.startsWith("PUBLIC EVENT ", Qt::CaseInsensitive)
    //|| e.startsWith("PRIVATE EVENT ", Qt::CaseInsensitive)
    || e.startsWith("EVENT ", Qt::CaseInsensitive)

    || e.startsWith("CASE ", Qt::CaseInsensitive)
    || e.startsWith("CASE(", Qt::CaseInsensitive)
    //|| e.startsWith("STATIC SUB ", Qt::CaseInsensitive)
    || e.startsWith("PUBLIC SUB ", Qt::CaseInsensitive)
    //|| e.startsWith("PROTECTED SUB ", Qt::CaseInsensitive)
    || e.startsWith("PRIVATE SUB ", Qt::CaseInsensitive)
    || e.startsWith("GLOBAL SUB ", Qt::CaseInsensitive)
    || e.startsWith("PROPERTY SUB ", Qt::CaseInsensitive)
    || e.startsWith("PUBLIC PROPERTY SUB ", Qt::CaseInsensitive)
    || e.startsWith("PRIVATE PROPERTY SUB ", Qt::CaseInsensitive)
    //|| e.startsWith("STATIC PUBLIC SUB ", Qt::CaseInsensitive)
    //|| e.startsWith("STATIC PROTECTED SUB ", Qt::CaseInsensitive)
    //|| e.startsWith("STATIC PRIVATE SUB ", Qt::CaseInsensitive)
    //|| e.startsWith("STATIC PUBLIC SUB ", Qt::CaseInsensitive)
    //|| e.startsWith("STATIC PROTECTED SUB ", Qt::CaseInsensitive)
    //|| e.startsWith("STATIC PRIVATE SUB ", Qt::CaseInsensitive)
    || e.startsWith("SUB ", Qt::CaseInsensitive)
    //|| e.startsWith("STATIC FUNCTION ", Qt::CaseInsensitive)
    || e.startsWith("PUBLIC FUNCTION ", Qt::CaseInsensitive)
    //|| e.startsWith("PROTECTED FUNCTION ", Qt::CaseInsensitive)
    || e.startsWith("PRIVATE FUNCTION ", Qt::CaseInsensitive)
    || e.startsWith("GLOBAL FUNCTION ", Qt::CaseInsensitive)
    || e.startsWith("PROPERTY FUNCTION ", Qt::CaseInsensitive)
    || e.startsWith("PUBLIC PROPERTY FUNCTION ", Qt::CaseInsensitive)
    || e.startsWith("PRIVATE PROPERTY FUNCTION ", Qt::CaseInsensitive)
    //|| e.startsWith("PUBLIC STATIC FUNCTION ", Qt::CaseInsensitive)
    //|| e.startsWith("PROTECTED STATIC FUNCTION ", Qt::CaseInsensitive)
    //|| e.startsWith("PRIVATE STATIC FUNCTION ", Qt::CaseInsensitive)
    //|| e.startsWith("STATIC PUBLIC FUNCTION ", Qt::CaseInsensitive)
    //|| e.startsWith("STATIC PROTECTED FUNCTION ", Qt::CaseInsensitive)
    //|| e.startsWith("STATIC PRIVATE FUNCTION ", Qt::CaseInsensitive)
    || e.startsWith("FUNCTION ", Qt::CaseInsensitive)
    //|| e.startsWith("PUBLIC SIGNAL ", Qt::CaseInsensitive)
    //|| e.startsWith("PROTECTED SIGNAL ", Qt::CaseInsensitive)
    //|| e.startsWith("PRIVATE SIGNAL ", Qt::CaseInsensitive)
    || e.startsWith("SIGNAL ", Qt::CaseInsensitive)
    //|| e.startsWith("PUBLIC SLOT ", Qt::CaseInsensitive)
    //|| e.startsWith("PROTECTED SLOT ", Qt::CaseInsensitive)
    //|| e.startsWith("PRIVATE SLOT ", Qt::CaseInsensitive)
    || e.startsWith("SLOT ", Qt::CaseInsensitive)
    || e.startsWith("PUBLIC ENUM ", Qt::CaseInsensitive)
    || e.startsWith("PRIVATE ENUM ", Qt::CaseInsensitive)
    || e.startsWith("ENUM ", Qt::CaseInsensitive)
    || e.startsWith("PUBLIC TYPE ", Qt::CaseInsensitive)
    || e.startsWith("PRIVATE TYPE ", Qt::CaseInsensitive)
    || e.startsWith("TYPE ", Qt::CaseInsensitive)
    
    //|| e.startsWith("PUBLIC TYPE ", Qt::CaseInsensitive)
    //|| e.startsWith("PROTECTED TYPE ", Qt::CaseInsensitive)
    //|| e.startsWith("PRIVATE TYPE ", Qt::CaseInsensitive)
    //|| e.startsWith("TYPE ", Qt::CaseInsensitive)
    //|| e.startsWith("PUBLIC STRUCTURE ", Qt::CaseInsensitive)
    //|| e.startsWith("PROTECTED STRUCTURE ", Qt::CaseInsensitive)
    //|| e.startsWith("PRIVATE STRUCTURE ", Qt::CaseInsensitive)
    //|| e.startsWith("STRUCTURE ", Qt::CaseInsensitive)
    //|| e.startsWith("PUBLIC ENUM ", Qt::CaseInsensitive)
    //|| e.startsWith("PROTECTED ENUM ", Qt::CaseInsensitive)
    //|| e.startsWith("PRIVATE ENUM ", Qt::CaseInsensitive)
    //|| e.startsWith("ENUM ", Qt::CaseInsensitive)
    //|| e.startsWith("TRY ", Qt::CaseInsensitive)
    //|| e.startsWith("CATCH ", Qt::CaseInsensitive)
    //|| e.startsWith("CATCH(", Qt::CaseInsensitive)
    //|| e.startsWith("PUBLIC CLASS ", Qt::CaseInsensitive)
    //|| e.startsWith("PROTECTED CLASS ", Qt::CaseInsensitive)
    //|| e.startsWith("PRIVATE CLASS ", Qt::CaseInsensitive)
    //|| e.startsWith("CLASS ", Qt::CaseInsensitive)
    //|| e.startsWith("PUBLIC CONSTRUCTOR ", Qt::CaseInsensitive)
    //|| e.startsWith("PROTECTED CONSTRUCTOR ", Qt::CaseInsensitive)
    //|| e.startsWith("PRIVATE CONSTRUCTOR ", Qt::CaseInsensitive)
    //|| e.startsWith("CONSTRUCTOR ", Qt::CaseInsensitive)
    //|| e.startsWith("PUBLIC DESTRUCTOR ", Qt::CaseInsensitive)
    //|| e.startsWith("PROTECTED DESTRUCTOR ", Qt::CaseInsensitive)
    //|| e.startsWith("PRIVATE DESTRUCTOR ", Qt::CaseInsensitive)
    //|| e.startsWith("DESTRUCTOR ", Qt::CaseInsensitive)
    //|| e.startsWith("PUBLIC PROPERTY ", Qt::CaseInsensitive)
    //|| e.startsWith("PROTECTED PROPERTY ", Qt::CaseInsensitive)
    //|| e.startsWith("PRIVATE PROPERTY ", Qt::CaseInsensitive)
    //|| e.startsWith("PROPERTY ", Qt::CaseInsensitive)
    //|| e.startsWith("SET ", Qt::CaseInsensitive)
    //|| e.startsWith("SET(", Qt::CaseInsensitive)
    //|| e.startsWith("GET ", Qt::CaseInsensitive)
    //|| e.startsWith("DEF ", Qt::CaseInsensitive)
    //|| e.startsWith("WITH ", Qt::CaseInsensitive)
    || e.startsWith("WHILE ", Qt::CaseInsensitive)
    //|| e.startsWith("PUBLIC MODULE ", Qt::CaseInsensitive)
    //|| e.startsWith("PROTECTED MODULE ", Qt::CaseInsensitive)
    //|| e.startsWith("PRIVATE MODULE ", Qt::CaseInsensitive)
    //|| e.startsWith("MODULE ", Qt::CaseInsensitive)
    //|| e.startsWith("STATIC ", Qt::CaseInsensitive)
    //|| e.startsWith("PUBLIC INTERFACE ", Qt::CaseInsensitive)
    //|| e.startsWith("PROTECTED INTERFACE ", Qt::CaseInsensitive)
    //|| e.startsWith("PRIVATE INTERFACE ", Qt::CaseInsensitive)
    //|| e.startsWith("INTERFACE ", Qt::CaseInsensitive)

  ){
    d = d.left(x);

    if (e.startsWith("IF ", Qt::CaseInsensitive) || e.startsWith("IF(", Qt::CaseInsensitive)){
      int m = e.indexOf("THEN", 0, Qt::CaseInsensitive);
      static QString u; u = e.mid(m + 4);
      u = u.trimmed();
      if (u.length() == 0){
        d += "  ";
        if (bAppend){
          d += "\n";
          d += d.left(d.length() - 3);
          d += "End If";
        }
      }
      /*
    } else if (e.startsWith("GET ", Qt::CaseInsensitive)){
      if (!e.contains(",")){
        d += "  ";
      }
    } else if (e.startsWith("STATIC ", Qt::CaseInsensitive) && !e.contains("SUB", Qt::CaseInsensitive) && !e.contains("FUNCTION", Qt::CaseInsensitive)){
      static QString u; u = e;
      u = u.trimmed();
      if (u.length() == 6){
        d += "  ";
      }  */
    } else if (e.startsWith("SELECT ", Qt::CaseInsensitive) || e.startsWith("SELECT(", Qt::CaseInsensitive)){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Select";
      }
    } else if (e.startsWith("CASE ", Qt::CaseInsensitive) || e.startsWith("CASE(", Qt::CaseInsensitive)){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
      }    
    } else if (e.startsWith("FOR ", Qt::CaseInsensitive) || e.startsWith("FOR(", Qt::CaseInsensitive)){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "Next";
      }    
    } else if (
      //e.startsWith("STATIC SUB ", Qt::CaseInsensitive)
     // || 
      e.startsWith("PUBLIC SUB ", Qt::CaseInsensitive)
      //|| e.startsWith("PROTECTED SUB ", Qt::CaseInsensitive)
      || e.startsWith("PRIVATE SUB ", Qt::CaseInsensitive)
      || e.startsWith("GLOBAL SUB ", Qt::CaseInsensitive)
      //|| e.startsWith("STATIC PUBLIC SUB ", Qt::CaseInsensitive)
      //|| e.startsWith("STATIC PROTECTED SUB ", Qt::CaseInsensitive)
      //|| e.startsWith("STATIC PRIVATE SUB ", Qt::CaseInsensitive)
      //|| e.startsWith("STATIC PUBLIC SUB ", Qt::CaseInsensitive)
      //|| e.startsWith("STATIC PROTECTED SUB ", Qt::CaseInsensitive)
      //|| e.startsWith("STATIC PRIVATE SUB ", Qt::CaseInsensitive)
      || e.startsWith("SUB ", Qt::CaseInsensitive)

      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Sub";
      }    
    } else if (
   //   e.startsWith("PUBLIC EVENT ", Qt::CaseInsensitive)
   //   || e.startsWith("PRIVATE EVENT ", Qt::CaseInsensitive)
       e.startsWith("EVENT ", Qt::CaseInsensitive)

      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Event";
      }   
    } else if (
      //e.startsWith("STATIC FUNCTION ", Qt::CaseInsensitive)
      //||
      e.startsWith("PUBLIC FUNCTION ", Qt::CaseInsensitive)
      //|| e.startsWith("PROTECTED FUNCTION ", Qt::CaseInsensitive)
      || e.startsWith("PRIVATE FUNCTION ", Qt::CaseInsensitive)
      || e.startsWith("GLOBAL FUNCTION ", Qt::CaseInsensitive)
      //|| e.startsWith("PUBLIC STATIC FUNCTION ", Qt::CaseInsensitive)
      //|| e.startsWith("PROTECTED STATIC FUNCTION ", Qt::CaseInsensitive)
      //|| e.startsWith("PRIVATE STATIC FUNCTION ", Qt::CaseInsensitive)
      //|| e.startsWith("STATIC PUBLIC FUNCTION ", Qt::CaseInsensitive)
      //|| e.startsWith("STATIC PROTECTED FUNCTION ", Qt::CaseInsensitive)
      //|| e.startsWith("STATIC PRIVATE FUNCTION ", Qt::CaseInsensitive)
      || e.startsWith("FUNCTION ", Qt::CaseInsensitive)
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Function";
      }   
      /*
    } else if (
      e.startsWith("PUBLIC SIGNAL ", Qt::CaseInsensitive)
      || e.startsWith("PROTECTED SIGNAL ", Qt::CaseInsensitive)
      || e.startsWith("PRIVATE SIGNAL ", Qt::CaseInsensitive)
      || e.startsWith("SIGNAL ", Qt::CaseInsensitive)
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Signal";
      }    
    } else if (
      e.startsWith("PUBLIC SLOT ", Qt::CaseInsensitive)
      || e.startsWith("PROTECTED SLOT ", Qt::CaseInsensitive)
      || e.startsWith("PRIVATE SLOT ", Qt::CaseInsensitive)
      || e.startsWith("SLOT ", Qt::CaseInsensitive)
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Slot";
      }    
    } else if (
      e.startsWith("PUBLIC TYPE ", Qt::CaseInsensitive)
      || e.startsWith("PROTECTED TYPE ", Qt::CaseInsensitive)
      || e.startsWith("PRIVATE TYPE ", Qt::CaseInsensitive)
      || e.startsWith("TYPE ", Qt::CaseInsensitive)
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Type";
      }    
    } else if (
      e.startsWith("PUBLIC TYPE ", Qt::CaseInsensitive)
      || e.startsWith("PROTECTED TYPE ", Qt::CaseInsensitive)
      || e.startsWith("PRIVATE TYPE ", Qt::CaseInsensitive)
      || e.startsWith("TYPE ", Qt::CaseInsensitive)
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Type";
      }    
    } else if (
      e.startsWith("PUBLIC ENUM ", Qt::CaseInsensitive)
      || e.startsWith("PROTECTED ENUM ", Qt::CaseInsensitive)
      || e.startsWith("PRIVATE ENUM ", Qt::CaseInsensitive)
      || e.startsWith("ENUM ", Qt::CaseInsensitive)
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Enum";
      }    
    } else if (
      e.startsWith("TRY ", Qt::CaseInsensitive)
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Try";
      }    
    } else if (
      e.startsWith("PUBLIC CLASS ", Qt::CaseInsensitive)
      || e.startsWith("PROTECTED CLASS ", Qt::CaseInsensitive)
      || e.startsWith("PRIVATE CLASS ", Qt::CaseInsensitive)
      || e.startsWith("CLASS ", Qt::CaseInsensitive)
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Class";
      }    
    } else if (
      e.startsWith("PUBLIC CONSTRUCTOR ", Qt::CaseInsensitive)
      || e.startsWith("PROTECTED CONSTRUCTOR ", Qt::CaseInsensitive)
      || e.startsWith("PRIVATE CONSTRUCTOR ", Qt::CaseInsensitive)
      || e.startsWith("CONSTRUCTOR ", Qt::CaseInsensitive)
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Constructor";
      } 
    } else if (
      e.startsWith("PUBLIC DESTRUCTOR ", Qt::CaseInsensitive)
      || e.startsWith("PROTECTED DESTRUCTOR ", Qt::CaseInsensitive)
      || e.startsWith("PRIVATE DESTRUCTOR ", Qt::CaseInsensitive)
      || e.startsWith("DESTRUCTOR ", Qt::CaseInsensitive)
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Destructor";
      } 
    } else if (
      e.startsWith("PUBLIC MODULE ", Qt::CaseInsensitive)
      || e.startsWith("PROTECTED MODULE ", Qt::CaseInsensitive)
      || e.startsWith("PRIVATE MODULE ", Qt::CaseInsensitive)
      || e.startsWith("MODULE ", Qt::CaseInsensitive)
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Module";
      } 
    } else if (
      e.startsWith("WITH ", Qt::CaseInsensitive)
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End With";
      } 
    } else if (
      e.startsWith("PUBLIC PROPERTY ", Qt::CaseInsensitive)
      || e.startsWith("PROTECTED PROPERTY ", Qt::CaseInsensitive)
      || e.startsWith("PRIVATE PROPERTY ", Qt::CaseInsensitive)
      || e.startsWith("PROPERTY ", Qt::CaseInsensitive)
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Property";
      } 
    } else if (
      e.startsWith("GET ", Qt::CaseInsensitive) && !e.contains(",")
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Get";
      } 
    } else if (
      e.startsWith("SET ", Qt::CaseInsensitive)
      || e.startsWith("SET(", Qt::CaseInsensitive)
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Set";
      } 
    } else if (
      e.startsWith("STATIC ", Qt::CaseInsensitive) && e.trimmed().length() == 6
      ){
      d += "  ";
      if (bAppend){
        d += "\n";
        d += d.left(d.length() - 3);
        d += "End Static";
      } */
    } else {
      d += "  ";
    }

  } else {
    d = d.left(x);
  }
  
  QTextCursor f = textCursor();

  f.clearSelection();
  f.insertText(d);
  if (d.trimmed().length()){
    f.movePosition(QTextCursor::Up);
  }
  setTextCursor(f);  
}


Q7BCodeWindow::Q7BCodeWindow(QWidget *parent) : QFrame(parent)
{
  setAttribute(Qt::WA_DeleteOnClose);
  //setWindowIcon(kbasicIcon(kbasicPath("ide/PROJECT_NEW_CLASS.png")));
/*
  QStringList ll;
  ll << "If" << "Function" << "Sub";
  setKeywords(ll);
*/
//  bBlock = false;
  commands = 0;
//  controls = 0;
 // events = 0;
  info = 0;
/*
  commands = new QComboBox(this);
  connect(commands, SIGNAL(activated( const QString &)), this, SLOT(commands_activated( const QString &)));
  commands->setMaximumWidth(120);

  commands->addItem("PerformComment");
  commands->addItem("PerformUncomment");
  commands->addItem("PerformIndent");
  commands->addItem("PerformUnindent");
  commands->addItem("PerformUpper");
  commands->addItem("PerformLower");
  commands->addItem("PerformInsertFile");
  commands->addItem("PerformGotoLine");
*/
  /*
  controls = new QComboBox(this); 
  connect(controls, SIGNAL(activated(int)), this, SLOT(controls_activated(int)));
  controls->setMaximumWidth(120);

  events = new QComboBox(this); 
  connect(events, SIGNAL(activated(int)), this, SLOT(events_activated(int)));
  events->setMaximumWidth(120);
*/
  browser = new QComboBox(this); 
  connect(browser, SIGNAL(activated(int)), this, SLOT(browser_activated(int)));
  browser->setMaxVisibleItems(12);

  cbSub = new QToolButton(this); cbSub->setText("Sub"); cbSub->setMinimumWidth(80);
  cbSub->setPopupMode(QToolButton::InstantPopup);
  cbFunction = new QToolButton(this); cbFunction->setText("Function"); cbFunction->setMinimumWidth(80);
  cbFunction->setPopupMode(QToolButton::InstantPopup);
  cbOutlet = new QToolButton(this); cbOutlet->setText("Outlet"); cbOutlet->setMinimumWidth(80);
  cbOutlet->setPopupMode(QToolButton::InstantPopup);
  cbDim = new QToolButton(this); cbDim->setText("Dim"); cbDim->setMinimumWidth(80);
  cbDim->setPopupMode(QToolButton::InstantPopup);
  cbConst = new QToolButton(this); cbConst->setText("Const"); cbConst->setMinimumWidth(80);
  cbConst->setPopupMode(QToolButton::InstantPopup);
  cbEvent = new QToolButton(this); cbEvent->setText("Event"); cbEvent->setMinimumWidth(80);
  cbEvent->setPopupMode(QToolButton::InstantPopup);
  cbSignal = new QToolButton(this); cbSignal->setText("Signal"); cbSignal->setMinimumWidth(80);
  cbSignal->setPopupMode(QToolButton::InstantPopup);
  cbSlot = new QToolButton(this); cbSlot->setText("Slot"); cbSlot->setMinimumWidth(80);
  cbSlot->setPopupMode(QToolButton::InstantPopup);
  cbSlot->setHidden(true);
  cbEnum = new QToolButton(this); cbEnum->setText("Enum"); cbEnum->setMinimumWidth(80);
  cbEnum->setPopupMode(QToolButton::InstantPopup);
  cbType = new QToolButton(this); cbType->setText("Type"); cbType->setMinimumWidth(80);
  cbType->setPopupMode(QToolButton::InstantPopup);

  mSub = new QMenu(this); connect(mSub, SIGNAL(triggered(QAction *)), this, SLOT(triggered(QAction *)));
  mFunction = new QMenu(this); connect(mFunction, SIGNAL(triggered(QAction *)), this, SLOT(triggered(QAction *)));
  mOutlet = new QMenu(this); connect(mOutlet, SIGNAL(triggered(QAction *)), this, SLOT(triggered(QAction *)));
  mDim = new QMenu(this); connect(mDim, SIGNAL(triggered(QAction *)), this, SLOT(triggered(QAction *)));
  mConst = new QMenu(this); connect(mConst, SIGNAL(triggered(QAction *)), this, SLOT(triggered(QAction *)));
  mEvent = new QMenu(this); connect(mEvent, SIGNAL(triggered(QAction *)), this, SLOT(triggered(QAction *)));
  mSignal = new QMenu(this); connect(mSignal, SIGNAL(triggered(QAction *)), this, SLOT(triggered(QAction *)));
  mSlot = new QMenu(this);   connect(mSlot, SIGNAL(triggered(QAction *)), this, SLOT(triggered(QAction *)));
  mEnum = new QMenu(this);   connect(mEnum, SIGNAL(triggered(QAction *)), this, SLOT(triggered(QAction *)));
  mType = new QMenu(this);   connect(mType, SIGNAL(triggered(QAction *)), this, SLOT(triggered(QAction *)));

  

  code = new Code(this);
  code->setTabChangesFocus(false);
  code->setLineWrapMode(QPlainTextEdit::NoWrap);
  QFont f(DefaultFontName(), DefaultFontSize());
  code->document()->setDefaultFont(f);

/*
  lineNumberArea = new LineNumberArea(this);

  connect(code, SIGNAL(blockCountChanged(int)), this, SLOT(updateLineNumberAreaWidth(int)));

  updateLineNumberAreaWidth(0);
*/

/*
  controls->addItem( ("Objects"));
  controls->setEnabled(false);
  events->addItem( ("Class"));
  events->setEnabled(false);
*/
  setFocusProxy(code);

  browser->setFocusProxy(code);
  
//  controls->setFocusProxy(code);
 // events->setFocusProxy(code);
/*
  info = new QLabel(this);
  info->setText("");
  info->setMaximumWidth(120);
#ifdef MAC
  QFont f = info->font(); f.setPixelSize(10); info->setFont(f); 
#endif
  
  code_cursorPositionChanged();
*/


  QBoxLayout *l = new QBoxLayout(QBoxLayout::TopToBottom);
  
  l->addSpacing(2);
  QBoxLayout *j = new QBoxLayout(QBoxLayout::LeftToRight);
//  j->addWidget(commands);
  j->addWidget(browser);

  j->addWidget(cbSub);
  j->addWidget(cbFunction);
  j->addWidget(cbDim);
  j->addWidget(cbConst);
  j->addWidget(cbType);
  j->addWidget(cbEnum);
  j->addWidget(cbEvent);
  j->addWidget(cbOutlet);
  j->addWidget(cbSignal);
  j->addWidget(cbSlot);
  //j->addLayoutItem(QSpacerItem(10, 1));
  //j->addWidget(controls);
  //j->addWidget(events);

  //j->addWidget(info);

  j->setMargin(2);
  j->setSpacing(2);

  l->addLayout(j);
  l->addSpacing(2);


  l->addWidget(code);

  l->setMargin(0);
  l->setSpacing(0);
  setLayout(l);

  setFrameShape(QFrame::StyledPanel);

  codesyntaxhighlighter = new CodeSyntaxHighlighter(code->document());
  
  bUndoAvailable = false;
  bRedoAvailable = false;
  bCopyAvailable = false;

  connect(code, SIGNAL(copyAvailable(bool)), this, SLOT(code_copyAvailable(bool)));
  connect(code, SIGNAL(redoAvailable(bool)), this, SLOT(code_redoAvailable(bool)));
  connect(code, SIGNAL(undoAvailable(bool)), this, SLOT(code_undoAvailable(bool)));
//  connect(code, SIGNAL(textChanged()), this, SLOT(code_textChanged()));   
//  connect(code->document(), SIGNAL(contentsChange(int, int, int)), this, SLOT(code_contentsChange(int, int, int)));   


 timerbrowser = new QTimer(this);
 connect(timerbrowser, SIGNAL(timeout()), this, SLOT(timerbrowser_timeout()));

 connect(this, SIGNAL(cursorPositionChanged()), this, SLOT(highlightCurrentLine()));
/*
 setUnsetBreaktpoint(2);
 setUnsetBreaktpoint(10);
 setUnsetBreaktpoint(20);
*/
  highlightCurrentLine();


  nCurrentDebugPosition = 0;

  //Load("C:\\Users\\Bernd\\Desktop\\objb\\QtBasic\\CodeView.QWidget");

 

  //SLOT_Load(qApp->applicationDirPath() + "/" + "test.class");

  

}

 void Q7BCodeWindow::highlightCurrentLine()
 {
     code_pasteAvailable();

     QList<QTextEdit::ExtraSelection> extraSelections;

     if (!code->isReadOnly()) {
         QTextEdit::ExtraSelection selection;

         QColor lineColor = QColor(Qt::yellow).lighter(160);

         selection.format.setBackground(lineColor);
         selection.format.setProperty(QTextFormat::FullWidthSelection, true);
         selection.cursor = code->textCursor();
         selection.cursor.clearSelection();
         extraSelections.append(selection);
     }

     code->setExtraSelections(extraSelections);
 }




/*void Q7BCodeWindow::updateLineNumberArea(const QRect &rect, int dy)
{
   if (dy)
       lineNumberArea->scroll(0, dy);
   else
       lineNumberArea->update(0, rect.y(), lineNumberArea->width(), rect.height());

   if (code->rect.contains(code->viewport()->rect()))
       updateLineNumberAreaWidth(0);
}

*/
/*
void Q7BCodeWindow::resizeEvent(QResizeEvent *e)
{
   QPlainTextEdit::resizeEvent(e);

   QRect cr = contentsRect();
   lineNumberArea->setGeometry(QRect(cr.left(), cr.top(), lineNumberAreaWidth(), cr.height()));
}
*/

void Q7BCodeWindow::setCPPKeywords(QStringList l)
{
  static bool b = true;
  if (b == false) return;
/*
  if (Q7B_keyword_set.count() == 0){
    Q7B_keyword_set = QSet<QString>::fromList(l);
  } else {
    Q7B_keyword_set.unite(QSet<QString>::fromList(l));
  }
  for (int i = 0; i < l.size(); ++i) {
     Q7B_keyword[l.at(i).toLower()] = l.at(i);
  }*/
  b = false;
}

void Q7BCodeWindow::setConsts(QStringList l)
{
  static bool b = true;
  if (b == false) return;
/*
  if (Q7B_keyword_set.count() == 0){
    Q7B_keyword_set = QSet<QString>::fromList(l);
  } else {
    Q7B_keyword_set.unite(QSet<QString>::fromList(l));
  }
  for (int i = 0; i < l.size(); ++i) {
     Q7B_keyword[l.at(i).toLower()] = l.at(i);
  }*/
  b = false;
}

void Q7BCodeWindow::setFunctions(QStringList l)
{
  static bool b = true;
  if (b == false) return;
/*
  if (Q7B_keyword_set.count() == 0){
    Q7B_keyword_set = QSet<QString>::fromList(l);
  } else {
    Q7B_keyword_set.unite(QSet<QString>::fromList(l));
  }
  for (int i = 0; i < l.size(); ++i) {
     Q7B_keyword[l.at(i).toLower()] = l.at(i);
  }*/
  b = false;
}

void Q7BCodeWindow::setKeywords(QStringList l)
{
  static bool b = true;
  if (b == false) return;

  if (Q7B_keyword_set.count() == 0){
    Q7B_keyword_set = QSet<QString>::fromList(l);
  } else {
    Q7B_keyword_set.unite(QSet<QString>::fromList(l));
  }
  for (int i = 0; i < l.size(); ++i) {
     Q7B_keyword[l.at(i).toLower()] = l.at(i);
  }
  b = false;
}

void Q7BCodeWindow::setClasses(QStringList l)
{
  static bool b = true;
  if (b == false) return;

  if (Q7B_type_set.count() == 0){
    Q7B_type_set = QSet<QString>::fromList(l);
  } else {
    Q7B_type_set.unite(QSet<QString>::fromList(l));
  }
  for (int i = 0; i < l.size(); ++i) {
     Q7B_type[l.at(i).toLower()] = l.at(i);
  }
  b = false;
}

void Q7BCodeWindow::setObjects(QStringList l)
{
  static bool b = true;
  if (b == false) return;

  if (Q7B_type_set.count() == 0){
    Q7B_type_set = QSet<QString>::fromList(l);
  } else {
    Q7B_type_set.unite(QSet<QString>::fromList(l));
  }
  for (int i = 0; i < l.size(); ++i) {
     Q7B_type[l.at(i).toLower()] = l.at(i);
  }
  b = false;
}

void Q7BCodeWindow::setTypes(QStringList l)
{
  static bool b = true;
  if (b == false) return;

  if (Q7B_type_set.count() == 0){
    Q7B_type_set = QSet<QString>::fromList(l);
  } else {
    Q7B_type_set.unite(QSet<QString>::fromList(l));
  }
  for (int i = 0; i < l.size(); ++i) {
     Q7B_type[l.at(i).toLower()] = l.at(i);
  }
  b = false;
}

QString Q7BCodeWindow::beautify(QString k)
{  
  QString s = k;
  QString sRem;
  int n = s.indexOf('\'');
  if (n >= 0){
    sRem = s.mid(n);
    s = s.left(n);
  }
  if (s.simplified().isEmpty()){
    return k;
  }
  bool bDeclare = s.simplified().startsWith("Declare ", Qt::CaseInsensitive);

  if (bDeclare) return k; // keine code korrketur wenn declare statement

  int nLen = s.length();
  

     int index = 0;
     int index2 = 0;
     int nString = 0;
     bool b = false;
     bool bString = false;
n:
     while (index < s.length()){
       int i;
       for (i = index; i < s.length(); i++){
         QChar c = s.at(i);

         bool bString2 = bString;

         if (c == '\"'){
           if (bString){
           } else {
             nString = i;
           }
           bString = !bString;
         }
         if (!bString2 && c == '\''){
           QString r = s.mid(index, i - index);

          if (Q7B_type.contains(r)){
            s = s.replace(index, i - index, Q7B_type[r]);
            s = s.mid(index, i - index).toUpper();
          }

          if (Q7B_keyword.contains(r)){
            s = s.replace(index, i - index, Q7B_keyword[r]);
            s = s.mid(index, i - index).toUpper();
          }

           goto r;
         }


         if (!bString2 && ((c == '(' || c == '.' || c == ')') || i + 2 == s.length())){
           int nStart = i + 1;
           int n = 0;
           
           while(--i >= 0 && s.at(i).isSpace()){
             n++;
           }
           i++;
           if (n > 0){
             //if (n > 1){
               s = s.left(nStart - n - 1) + " " + s.mid(nStart - 1);
               i = nStart - n;
             //}
             nStart = i + 1;             
           }      
           //QString uopu = s.mid(i);
          // uopu = uopu;

           n = 0;
           while(++i < s.length() && s.at(i).isSpace()){
             n++;
           }
           
           i--;
           if (n > 0){
             s = s.left(nStart) + s.mid(nStart + n );
             i -= 4;
             if (i < 0) i = 0;
           }
           if (i < s.length() && i >= 0){
             c = s.at(i);
           }
           
       //    QString uu = s.mid(i);
        //   uu = uu;
         }
         if (!bString2 && (c == ',' || c == '+' || c == '-' || c == '/' || c == '*' || c == ':' || c == '<' || c == '>' || c == '=' || c == '&')){
           if (i + 1 < s.length() && s.at(i + 1).isSpace() == false){
             if (((c == '<' || c == '>') && s.at(i + 1) == '=')){
             } else if ((c == ':' && s.at(i + 1) == '=')){
             } else {
               s.insert(i + 1, ' ');
               if (c != ',' && s.at(i - 1).isSpace() == false){
                 if (c == '=' && (s.at(i - 1) == '<' || s.at(i - 1) == '>' || s.at(i - 1) == ':')){
                   s.insert(i - 1, ' ');
                   i++;
                 } else if (c == ':' && s.at(i - 1) == '='){
                   s.insert(i - 2, ' ');
                   i++;
                 } else {
                   s.insert(i, ' ');
                   i++;
                 }
               }
               i++;             
             }
             c = s.at(i);
           }

         }

         if ((!bString2 && (((!c.isLetter() && i == index && c != '_')) || c.isSpace() || c.isMark() || c == '(' || c == ')' || c == ',' || c == '.'))) break;

       }

       QString key = s.mid(index, i - index);
       if (!bDeclare && Q7B_type.contains(s.mid(index, i - index))){
         s = s.replace(index, i - index, Q7B_type[s.mid(index, i - index)]);
         index2 = index + (i - index);
       }
       if (!bDeclare && Q7B_keyword.contains(s.mid(index, i - index))){
         s = s.replace(index, i - index, Q7B_keyword[s.mid(index, i - index)]);
         index2 = index + (i - index);
       }
       index = i + 1;
       
     }

     index = index2;


     if (b == false && index == -1 && index2 && index2 + 1 < nLen){
       b = true;
       index = index2;
       goto n;
     }

  /*
  int length = s.length();
  for (int i = 0; i < length; i++){
    if (true 
      && i + 0 < length && ((s.at(i + 0) == 'I' || s.at(i + 0) == 'i'))
      && i + 1 < length && ((s.at(i + 1) == 'F' || s.at(i + 1) == 'f'))
      && i + 2 < length && ((s.at(i + 2).isMark() || s.at(i + 2).isSpace()))
    ){
      s = s.replace(i, 2, "If");
      i += 2;
    }
  }
  */
r:     
  s = s.replace("< string>", "<string>", Qt::CaseSensitive);
  s = s.replace("< string >", "<string>", Qt::CaseSensitive);
  s = s.replace("< / string >", "</string>", Qt::CaseSensitive);  
  s = s.replace(")Then", ") Then", Qt::CaseSensitive);
  s = s.replace(")-", ") -", Qt::CaseInsensitive);
  s = s.replace(")+", ") +", Qt::CaseInsensitive);
  s = s.replace(")/", ") +", Qt::CaseInsensitive);
  s = s.replace(")\\", ") \\", Qt::CaseInsensitive);
  s = s.replace(")*", ") *", Qt::CaseInsensitive);
  s = s.replace(")&", ") &", Qt::CaseInsensitive);
  s = s.replace("EndIf", "End If", Qt::CaseInsensitive);
  s = s.replace("ElseIf", "Else If", Qt::CaseInsensitive);
  s = s.replace("< >", "<>", Qt::CaseSensitive);

  return s + (sRem.isEmpty() ? "" : " " + sRem);
}

void Q7BCodeWindow::commands_activated( const QString &s)
{
  if (s == "PerformComment"){ PerformComment(); return; }
  if (s == "PerformUncomment"){ PerformUncomment(); return; }
  if (s == "PerformIndent"){ PerformIndent(); return; }
  if (s == "PerformUnindent"){ PerformUnindent(); return; }
  if (s == "PerformUpper"){ PerformUpper(); return; }
  if (s == "PerformLower"){ PerformLower(); return; }
  if (s == "PerformInsertFile"){ PerformInsertFile(); return; }
  if (s == "PerformGotoLine"){ PerformGotoLine(); return; }

}
/*
int Q7BCodeWindow::lineNumberAreaWidth()
{
   int digits = 1;
   int max = qMax(1, code->blockCount());
   while (max >= 10) {
       max /= 10;
       ++digits;
   }

   int space = 3 + code->fontMetrics().width(QLatin1Char('9')) * digits;

   return space;
}

void Q7BCodeWindow::lineNumberAreaPaintEvent(QPaintEvent *event)
 {
     QPainter painter(lineNumberArea);
     painter.fillRect(event->rect(), Qt::lightGray);


     QTextBlock block = code->firstVisibleBlock();
     int blockNumber = block.blockNumber();
     int top = (int) blockBoundingGeometry(block).translated(contentOffset()).top();
     int bottom = top + (int) blockBoundingRect(block).height();

     while (block.isValid() && top <= event->rect().bottom()) {
         if (block.isVisible() && bottom >= event->rect().top()) {
             QString number = QString::number(blockNumber + 1);
             painter.setPen(Qt::black);
             painter.drawText(0, top, lineNumberArea->width(), code->fontMetrics().height(),
                              Qt::AlignRight, number);
         }

         block = block.next();
         top = bottom;
         bottom = top + (int) code->blockBoundingRect(block).height();
         ++blockNumber;
     }
 }
*/

void Q7BCodeWindow::code_textChanged()
{
  timerbrowser->stop();
  timerbrowser->start(50);  
  emit textChanged();
}

void Q7BCodeWindow::timerbrowser_timeout()
{
  timerbrowser->stop();
  RefreshBrowser();
  // TODO codeinsight ber nderung mitteilen
}

void Q7BCodeWindow::code_cursorPositionChanged(void)
{
  emit cursorPositionChanged();

  //if (bBlock) return;
  
 // if (info == 0) return;
/*
  QTextCursor c = code->textCursor();
  int nBlock = c.blockNumber() + 1;
  QString s = tr("      Line: %1, Col: %2").arg(nBlock).arg(c.columnNumber() + 1);
  info->setText(s);
  

  c.movePosition(QTextCursor::StartOfLine);

  int nBlockBegin = 0;
  int nBlockEnd = 0;
  QString sSearch;
  QTextCursor cc = code->document()->find("End ", c);
  if (!cc.isNull() && cc.columnNumber() - 4 == 0){
    nBlockEnd = cc.blockNumber();
    QTextBlock tb = code->document()->findBlockByNumber(cc.blockNumber());
    sSearch = tb.text().mid(4).simplified() + " ";
  }

  int nOffset = sSearch.length();
  
  cc = code->document()->find(sSearch, cc, QTextDocument::FindBackward);
  if (!cc.isNull() && cc.columnNumber() - nOffset == 0){
    nBlockBegin = cc.blockNumber();
    if (c.blockNumber() >= nBlockBegin && c.blockNumber() <= nBlockEnd){
      QTextBlock tb = code->document()->findBlockByNumber(cc.blockNumber());
      QString mm = tb.text().mid(nOffset);
      int n = mm.indexOf("(");
      if (n >= 0){
        mm = mm.left(n);
      }
      int j = browser->findText(mm);
      if (j >= 0){
        browser->setCurrentIndex(j);
      } else {
        browser->setCurrentIndex(0);
      }
    } else {
      browser->setCurrentIndex(0);
    }


  } else {
    browser->setCurrentIndex(0);
  }
  */


  QString sAllText = code->toPlainText();
  QTextCursor c = code->textCursor();
  int nPosition = c.position();
  int n = sAllText.indexOf("\nEnd ", nPosition);
  QString qwert = sAllText.mid(n);
  if (n == -1){ browser->setCurrentIndex(0); return; }
  n += 5;

  int n2 = sAllText.indexOf("\n", n);
  if (n2 == -1) n2 = sAllText.length();
  int n3 = sAllText.indexOf("'", n);
  if (n3 != -1 && n3 < n2) n2 = n3;
  int n4 = sAllText.indexOf(" ", n);
  if (n4 != -1 && n4 < n2) n2 = n4;

  QString sSearch = sAllText.mid(n, n2 - n);


  

  int k = sAllText.lastIndexOf(QString("\n") + sSearch + " ", n);
  //if (k == -1)
  {
    int k2 = sAllText.lastIndexOf(QString("\nPublic ") + sSearch + " ", n);
    int k3 = sAllText.lastIndexOf(QString("\nPrivate ") + sSearch + " ", n);
    int k4 = sAllText.lastIndexOf(QString("\nGlobal ") + sSearch + " ", n);
    int k5 = sAllText.lastIndexOf(QString("\nProperty ") + sSearch + " ", n);

    if (k2 > k3 && k2 > k){
      k = k2 + 7; 
    } else if (k3 >= 0 && k3 > k){
      k = k3 + 8;
    } else if (k == -1){
      k = -1;
    }

    if (k4 > k){
      k = k4 + 7; 
    }

    if (k5 > k){
      k = k5 + 9; 
    }
  }

  if (k == -1 || k > nPosition){ browser->setCurrentIndex(0); return; }
  
  int kk = sAllText.indexOf("\n", k + 1);
  if (kk == -1){ browser->setCurrentIndex(0); return; }
  k += 2 + sSearch.length();
  QString mm = sAllText.mid(k, kk - k);
  int j = browser->findText(mm);
  if (j >= 0){
    browser->setCurrentIndex(j);
  } else {
    browser->setCurrentIndex(0);
  }
 // QTextBlock tb = code->document()->findBlockByNumber(c.blockNumber());
 // QString sSearch = tb.text().mid(4).simplified() + " ";


  //int nOffset = sSearch.length();
  /*
  cc = code->document()->find(sSearch, cc, QTextDocument::FindBackward);
  if (!cc.isNull() && cc.columnNumber() - nOffset == 0){
    nBlockBegin = cc.blockNumber();
    if (c.blockNumber() >= nBlockBegin && c.blockNumber() <= nBlockEnd){
      QTextBlock tb = code->document()->findBlockByNumber(cc.blockNumber());
      QString mm = tb.text().mid(nOffset);
      int n = mm.indexOf("(");
      if (n >= 0){
        mm = mm.left(n);
      }
      int j = browser->findText(mm);
      if (j >= 0){
        browser->setCurrentIndex(j);
      } else {
        browser->setCurrentIndex(0);
      }
    } else {
      browser->setCurrentIndex(0);
    }


  } else {
    browser->setCurrentIndex(0);
  }*/

  
}

void Q7BCodeWindow::code_contentsChange(int nPosition, int charsRemoved, int charsAdded)
{
  /*
  if (charsRemoved || charsAdded){
    bBlock = true;

    QTextDocument *d = code->document();
    QString r = d->findBlock(nPosition).text();   
    if (!r.isEmpty()){

      QString k = beautify(r);
      if (r != k){
        
        QTextCursor f = code->textCursor();
        int nColumn = f.columnNumber();
        f.select(QTextCursor::LineUnderCursor);         

        f.insertText(k);
        f.movePosition(QTextCursor::StartOfLine);
        f.movePosition(QTextCursor::Right, QTextCursor::MoveAnchor, nColumn);
        code->setTextCursor(f);  
      }
    }

    bBlock = false;
  }*/
}


void Q7BCodeWindow::browserGoto(QVariant vv)
{
  QVariant v = vv;
  qint64 n = v.toLongLong();
  int l = n / 1000000;
 // int m = n / 1000 % 1000;
//  int c = n % 1000;

  if (l && n > 0){
    GotoLineAndSelectLine(l);
    setFocus();
  }
}

void Q7BCodeWindow::triggered(QAction *action)
{
  browserGoto(action->data());
}

void Q7BCodeWindow::browser_activated(int index)
{
  browserGoto(browser->itemData(index));
}

void Q7BCodeWindow::GotoLineAndSelectLine(int nLine)
{  
  QTextCursor c = code->textCursor();
  c.movePosition(QTextCursor::Start, QTextCursor::MoveAnchor);
  c.movePosition(QTextCursor::Down, QTextCursor::MoveAnchor, nLine - 5);
  c.movePosition(QTextCursor::Right, QTextCursor::MoveAnchor, 1);  
  code->setTextCursor(c);

  c.movePosition(QTextCursor::Start, QTextCursor::MoveAnchor);
  c.movePosition(QTextCursor::Down, QTextCursor::MoveAnchor, nLine + 5);
  c.movePosition(QTextCursor::Right, QTextCursor::MoveAnchor, 1);  
  code->setTextCursor(c);

  c.movePosition(QTextCursor::Start, QTextCursor::MoveAnchor);
  c.movePosition(QTextCursor::Down, QTextCursor::MoveAnchor, nLine - 1);
  c.movePosition(QTextCursor::EndOfLine, QTextCursor::MoveAnchor);
  c.movePosition(QTextCursor::StartOfLine, QTextCursor::KeepAnchor);
  code->setTextCursor(c);  
}

void Q7BCodeWindow::GotoLine(int nLine, bool bTryToSaveCursorColumn)
{  
  QTextCursor c = code->textCursor();
  int n = -1;
  if (bTryToSaveCursorColumn){
    n = c.columnNumber();
  }
  c.movePosition(QTextCursor::Start, QTextCursor::MoveAnchor);
  c.movePosition(QTextCursor::Down, QTextCursor::MoveAnchor, nLine - 5);
 // c.movePosition(QTextCursor::Right, QTextCursor::MoveAnchor, 1);  
  code->setTextCursor(c);

  c.movePosition(QTextCursor::Start, QTextCursor::MoveAnchor);
  c.movePosition(QTextCursor::Down, QTextCursor::MoveAnchor, nLine + 5);
//  c.movePosition(QTextCursor::Right, QTextCursor::MoveAnchor, 1);  
  code->setTextCursor(c);

  c.movePosition(QTextCursor::Start, QTextCursor::MoveAnchor);
  c.movePosition(QTextCursor::Down, QTextCursor::MoveAnchor, nLine - 1);
  c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);
  if (bTryToSaveCursorColumn){
    c.movePosition(QTextCursor::Right, QTextCursor::MoveAnchor, n);
  } else 
 // c.movePosition(QTextCursor::EndOfLine, QTextCursor::MoveAnchor);
  code->setTextCursor(c);  
}

void Q7BCodeWindow::RefreshControls()
{
  //controls->clear();
  // TODO liste von form erfragen QStringList Names, QStringList Types
 // for (int i = 0; i < Names.size(); i++){
  //  controls->addItem(Names.at(i), Types.at(i));    
 // }
}


void Q7BCodeWindow::emit_GetCompletion(QString s)
{
  emit GetCompletion(s);
}

void Q7BCodeWindow::emit_GetCompletion2(QString s)
{
  emit GetCompletion2(s);
}

void Q7BCodeWindow::RefreshEvents()
{
  //events->clear();

  // TODO list von codeinsight erfragen
  // TODO if (browser.contains(Names.at(i) then bold font
}

void Q7BCodeWindow::RefreshBrowser()
{


/*
  if (bBrowserNeedsUpdate){
    static int nUpdateCounter = 0;
    static bool bLock = false;

    if (bLock){
      nUpdateCounter++;
      return;
    }
  re:

    bLock = true;

   // EXTERN_my_mainwindow->ci_parse(getFilename(), cw->document()->toPlainText());
    if (bClosing){
      bLock = false;
      return;
    }
*/

//   bBrowserNeedsUpdate = false;

    //QString sCurrentText = browser->currentText();
    
    static QStringList l;
    
    if (l.count() == 0){
      
      l << "\nPublic Sub" << "\nPrivate Sub" << "\nGlobal Sub" << "\nPublic Property Sub" << "\nPrivate Property Sub" << "\nProperty Sub" << "\nSub" << "@";
      l << "\nPublic Function" << "\nPrivate Function" << "\nGlobal Function" << "\nPublic Property Function" << "\nPrivate Property Function" << "\nProperty Function" << "\nFunction" << "@";
      l << "\nPublic Outlet" << "\nPrivate Outlet" << "\nOutlet" << "@";
      l << "\nPublic Dim" << "\nPrivate Dim" << "\nGlobal Dim" << "\nDim" << "@";
      l << "\nPublic Const" << "\nPrivate Const" << "\nGlobal Const" << "\nConst" << "@";
      l << "\nEvent" << "@";
      l << "\nSignal" << "@";
      l << "\nSlot" << "@";
      l << "\nEnum" << "@";
      l << "\nType" << "@";

      /*
      l << "Public Property" << "Public Sub" << "Public Function" << "Public Signal" << "Public Slot" << "Public Event" << "Public Static Sub" << "Public Static Function" << "Public Sub Static" << "Public Function Static";
      l << "Protected Property" << "Protected Sub" << "Protected Function" << "Protected Signal" << "Protected Slot" << "Protected Event" << "Protected Static Sub" << "Protected Static Function" << "Protected Sub Static" << "Protected Function Static";
      l << "Private Property" << "Private Sub" << "Private Function" << "Private Signal" << "Private Slot" << "Private Event" << "Private Static Sub" << "Private Static Function" << "Private Sub Static" << "Private Function Static";
      l << "Property" << "Sub" << "Function" << "Signal" << "Slot" << "Event" << "Static Sub" << "Static Function" << "Sub Static" << "Function Static";
      l << "Constructor" << "Destructor";
      
      l << "PUBLIC PROPERTY" << "PUBLIC SUB" << "PUBLIC FUNCTION" << "PUBLIC SIGNAL" << "PUBLIC SLOT" << "PUBLIC EVENT" << "PUBLIC STATIC SUB" << "PUBLIC STATIC FUNCTION" << "PUBLIC SUB STATIC" << "PUBLIC FUNCTION STATIC";
      l << "PROTECTED PROPERTY" << "PROTECTED SUB" << "PROTECTED FUNCTION" << "PROTECTED SIGNAL" << "PROTECTED SLOT" << "PROTECTED EVENT" << "PROTECTED STATIC SUB" << "PROTECTED STATIC FUNCTION" << "PROTECTED SUB STATIC" << "PROTECTED FUNCTION STATIC";
      l << "PRIVATE PROPERTY" << "PRIVATE SUB" << "PRIVATE FUNCTION" << "PRIVATE SIGNAL" << "PRIVATE SLOT" << "PRIVATE EVENT" << "PRIVATE STATIC SUB" << "PRIVATE STATIC FUNCTION" << "PRIVATE SUB STATIC" << "PRIVATE FUNCTION STATIC";
      l << "PROPERTY" << "SUB" << "FUNCTION" << "SIGNAL" << "SLOT" << "EVENT" << "STATIC SUB" << "STATIC FUNCTION" << "SUB STATIC" << "FUNCTION STATIC";
      l << "CONSTRUCTOR" << "DESTRUCTOR";     
      */
    }


    cbSub->setMenu(0); mSub->clear();
    cbFunction->setMenu(0); mFunction->clear();
    cbOutlet->setMenu(0); mOutlet->clear();
    cbDim->setMenu(0); mDim->clear();
    cbConst->setMenu(0); mConst->clear();
    cbEvent->setMenu(0); mEvent->clear();
    cbSignal->setMenu(0); mSignal->clear();
    cbSlot->setMenu(0); mSlot->clear();

    /*
    controls->clear();
    controls->addItem( ("Objects"));
    events->addItem( ("Class"));
    */

    while (!actions.isEmpty()){
     delete actions.takeFirst();
    }

    QMap<QString, QVariant> data;

    QString sAllText = "\n" + code->toPlainText();

    QIcon *icon;
    QIcon iSub = QIcon(":/Resources/Sub.png");
    QIcon iFunction = QIcon(":/Resources/Function.png");
    QIcon iDim = QIcon(":/Resources/Dim.png");
    QIcon iConst = QIcon(":/Resources/Const.png");
    QIcon iEvent = QIcon(":/Resources/Event.png");
    QIcon iOutlet = QIcon(":/Resources/Outlet.png");
    QIcon iSignal = QIcon(":/Resources/Signal.png");
    QIcon iSlot = QIcon(":/Resources/Slot.png");
    QIcon iEnum = QIcon(":/Resources/Enum.png");
    QIcon iType = QIcon(":/Resources/Type.png");

    browser->clear();

    QMap<QString, QAction*> mapSub;
    QMap<QString, QAction*> mapFunction;
    QMap<QString, QAction*> mapDim;
    QMap<QString, QAction*> mapConst;
    QMap<QString, QAction*> mapEvent;
    QMap<QString, QAction*> mapOutlet;
    QMap<QString, QAction*> mapSignal;
    QMap<QString, QAction*> mapSlot;
    QMap<QString, QAction*> mapEnum;
    QMap<QString, QAction*> mapType;

    int nCount = 0;
    foreach(QString s, l){
      /*
      if (bClosing){
        bLock = false;
        return;
      }*/

      if (qApp->closingDown()) return;
      //qApp->processEvents(QEventLoop::AllEvents, 100);
      //if (qApp->closingDown()) return;

    //  s += " \\b[A-Za-z0-9_]*";
    //  QRegExp e(s);

      int nn = 0;
      QTextCursor c;
      
      QTextDocument *d = code->document();

      QToolButton *cb = 0;
      if (s == "@"){
        nCount = 0;
        continue;
      }
      
      do {
        /*
        if (bClosing){
          bLock = false;
          return;
        }*/
        if (qApp->closingDown()) return;
        //qApp->processEvents(QEventLoop::AllEvents, 100);
        //if (qApp->closingDown()) return;

        QString www = s;
        QString hhhhhh = sAllText.mid(nn);
        nn = sAllText.indexOf(s, nn);
        if (nn == -1) break;
       // c = d->find(e, nn);
       // if (!c.hasSelection()) break;
       // nn = c.position() + 1;
        
        int nn2 = sAllText.indexOf("\n", nn + 1);

        if (nn2 == -1){
          nn2 = sAllText.length();
        } else {
       //   nn2--;
       //   if (nn2 < 0) nn2 = 0;
        }
 
       // QString suu = tr("%1").arg(c.selectedText());
       // nn -= c.selectedText().length() - 3;
        QString s = sAllText.mid(nn, nn2 - nn);
        QString k = "";
        c = code->textCursor();
        c.setPosition(nn2);
        nn = nn2;// + 1;
 
/*
        if (s.indexOf("Sub", 0, Qt::CaseInsensitive) >= 0){ 
         // if (!s.startsWith("_") && s.contains("_On")){
         //   k = kbasicPath("ide/Event.png"); s.replace("Sub ", "", Qt::CaseInsensitive); 
         // } else {
            k = kbasicPath("ide/Sub.png"); s.replace("Sub ", "", Qt::CaseInsensitive); 
         // }
        }
        */
        int n;
        QMenu *m;
        if ((n = s.indexOf("Sub ", 0, Qt::CaseInsensitive)) >= 0){ n += 4; icon = &iSub; m = mSub; }
        else if ((n = s.indexOf("Function ", 0, Qt::CaseInsensitive)) >= 0){ n += 9; icon = &iFunction; m = mFunction; }
        else if ((n = s.indexOf("Outlet ", 0, Qt::CaseInsensitive)) >= 0){ n += 7; icon = &iOutlet; m = mOutlet; }
        else if ((n = s.indexOf("Dim ", 0, Qt::CaseInsensitive)) >= 0){ n += 4; icon = &iDim; m = mDim; }
        else if ((n = s.indexOf("Const ", 0, Qt::CaseInsensitive)) >= 0){ 
          n += 6; icon = &iConst; m = mConst; 
        }
        else if ((n = s.indexOf("Event ", 0, Qt::CaseInsensitive)) >= 0){ n += 6; icon = &iEvent; m = mEvent; }
        else if ((n = s.indexOf("Signal ", 0, Qt::CaseInsensitive)) >= 0){ n += 7; icon = &iSignal; m = mSignal; }
        else if ((n = s.indexOf("Slot ", 0, Qt::CaseInsensitive)) >= 0){ n += 5; icon = &iSlot; m = mSlot; }
        else if ((n = s.indexOf("Enum ", 0, Qt::CaseInsensitive)) >= 0){ n += 5; icon = &iEnum; m = mEnum; }
        else if ((n = s.indexOf("Type ", 0, Qt::CaseInsensitive)) >= 0){ n += 5; icon = &iType; m = mType; }
        else break;

        nCount++;
        //else if (s.indexOf("Signal", 0, Qt::CaseInsensitive) >= 0){ k = kbasicPath("ide/Signal.png"); s.replace("Signal ", "", Qt::CaseInsensitive); }
        //else if (s.indexOf("Slot", 0, Qt::CaseInsensitive) >= 0){ k = kbasicPath("ide/Slot.png"); s.replace("Slot ", "", Qt::CaseInsensitive); }
        //else if (s.indexOf("Constructor", 0, Qt::CaseInsensitive) >= 0){ k = kbasicPath("ide/Constructor.png"); s.replace("Constructor ", "", Qt::CaseInsensitive); }
        //else if (s.indexOf("Destructor", 0, Qt::CaseInsensitive) >= 0){ k = kbasicPath("ide/Destructor.png"); s.replace("Destructor ", "", Qt::CaseInsensitive); }
        //else if (s.indexOf("Property", 0, Qt::CaseInsensitive) >= 0){ k = kbasicPath("ide/Property.png"); s.replace("Property ", "", Qt::CaseInsensitive); }


/*
        s.replace("Public ", "", Qt::CaseInsensitive);
        s.replace("Protected ", "", Qt::CaseInsensitive);
        s.replace("Private ", "", Qt::CaseInsensitive);
        s.replace("Static ", "", Qt::CaseInsensitive);
*/

       // s = s.trimmed();
        
        int nLineMark = c.blockNumber() - 1;
        QTextDocument *d = code->document();
        bool bLineMarkNeeded = false;
        for (int i = nLineMark; i >= 0; i--){
          QString s = d->findBlockByNumber(i).text();   
          if (s.simplified().isEmpty()){
            nLineMark = i + 1;
            bLineMarkNeeded = true;
            break;
          }
        }

        if (!bLineMarkNeeded){
          nLineMark = 0;
        }

          /*
          int nnnn;
          int ccccccc;
          if (c.blockNumber() + 1 == 1038 || nLineMark <= 100){
            nnnn = c.blockNumber() + 1;
            ccccccc = c.columnNumber() + 1;
            nLineMark = nLineMark;
          }*/

          qint64 ll = ((c.blockNumber() + 0) * 1000000) + ((nLineMark) * 1); // (nLineMark) * 1000) + ((c.columnNumber() + 1));
          //qint64 lkkl = (1037 * 1000) + 72;
          //lkkl += (1038 * 1000000);

          QVariant v(ll);
  /*
          if (nLineMark < 50){
            nLineMark = nLineMark;
          }
  */

          QString mm = s.mid(n);
          //if (browser->findData(v) == -1){
            data[mm] = v;

            
            QAction *a = new QAction(*icon, mm, 0);
            a->setData(v);
            
            if (m == mSub){ mapSub[mm] = a; } 
            else if (m == mFunction){ mapFunction[mm] = a; } 
            else if (m == mDim){ mapDim[mm] = a; } 
            else if (m == mConst){ mapConst[mm] = a; } 
            else if (m == mEvent){ mapEvent[mm] = a; } 
            else if (m == mOutlet){ mapOutlet[mm] = a; } 
            else if (m == mSignal){ mapSignal[mm] = a; } 
            else if (m == mSlot){ mapSlot[mm] = a; } 
            else if (m == mEnum){ mapEnum[mm] = a; } 
            else if (m == mType){ mapType[mm] = a; } 
            
            //else {
             // m->addAction(a); 
            //}
            actions.append(a);
            browser->addItem(*icon, mm, v); 

        
       // }
        //
//        if (browser->findData(v) == -1) browser->addItem (kbasicIcon(k), s, v); 
      } while (true);

       {
         QString o;
         QMapIterator<QString, QAction *> i(mapSub);
         while (i.hasNext()) {
             i.next();
             if (!o.isEmpty() && o != i.key().left(1)){
               mSub->addSeparator();
             }
             mSub->addAction(i.value()); 
             o = i.key().left(1);
         }
       }

       {
         QString o;
         QMapIterator<QString, QAction *> i(mapFunction);
         while (i.hasNext()) {
             i.next();
             if (!o.isEmpty() && o != i.key().left(1)){
               mFunction->addSeparator();
             }
             mFunction->addAction(i.value()); 
             o = i.key().left(1);
         }
       }

       {
         QString o;
         QMapIterator<QString, QAction *> i(mapDim);
         while (i.hasNext()) {
             i.next();
             if (!o.isEmpty() && o != i.key().left(1)){
               mDim->addSeparator();
             }
             mDim->addAction(i.value()); 
             o = i.key().left(1);
         }
       }

       {
         QString o;
         QMapIterator<QString, QAction *> i(mapConst);
         while (i.hasNext()) {
             i.next();
             if (!o.isEmpty() && o != i.key().left(1)){
               mConst->addSeparator();
             }
             mConst->addAction(i.value()); 
             o = i.key().left(1);
         }
       }

       {
         QString o;
         QMapIterator<QString, QAction *> i(mapEvent);
         while (i.hasNext()) {
             i.next();
             if (!o.isEmpty() && o != i.key().left(1)){
               mEvent->addSeparator();
             }
             mEvent->addAction(i.value()); 
             o = i.key().left(1);
         }
       }

       bool bMainWindow = sFilename.endsWith("MainWindow.QMainWindow");

       {
         QString o;
         QMapIterator<QString, QAction *> i(mapOutlet);
         while (i.hasNext()) {
             i.next();
             if (!o.isEmpty() && o != i.key().left(bMainWindow ? 7 : 1)){
               mOutlet->addSeparator();
             }
             mOutlet->addAction(i.value()); 
             o = i.key().left(bMainWindow ? 7 : 1);
         }
       }

       {
         QString o;
         QMapIterator<QString, QAction *> i(mapSignal);
         while (i.hasNext()) {
             i.next();
             if (!o.isEmpty() && o != i.key().left(bMainWindow ? 10 : 4)){
               mSignal->addSeparator();
             }
             mSignal->addAction(i.value()); 
             o = i.key().left(bMainWindow ? 10 : 4);
         }
       }

       {
         QString o;
         QMapIterator<QString, QAction *> i(mapSlot);
         while (i.hasNext()) {
             i.next();
             if (!o.isEmpty() && o != i.key().left(1)){
               mSlot->addSeparator();
             }
             mSlot->addAction(i.value()); 
             o = i.key().left(1);
         }
       }

       {
         QString o;
         QMapIterator<QString, QAction *> i(mapEnum);
         while (i.hasNext()) {
             i.next();
             if (!o.isEmpty() && o != i.key().left(1)){
               mEnum->addSeparator();
             }
             mEnum->addAction(i.value()); 
             o = i.key().left(1);
         }
       }

       {
         QString o;
         QMapIterator<QString, QAction *> i(mapType);
         while (i.hasNext()) {
             i.next();
             if (!o.isEmpty() && o != i.key().left(1)){
               mType->addSeparator();
             }
             mType->addAction(i.value()); 
             o = i.key().left(1);
         }
       }

      if (s == "\nSub"){ cbSub->setText(QString("Sub %1").arg(nCount)); if (nCount > 0) cbSub->setMenu(mSub); }
      else if (s == "\nFunction"){ cbFunction->setText(QString("Function %1").arg(nCount)); if (nCount > 0) cbFunction->setMenu(mFunction); }
      else if (s == "\nOutlet"){ cbOutlet->setText(QString("Outlet %1").arg(nCount)); if (nCount > 0) cbOutlet->setMenu(mOutlet); }
      else if (s == "\nDim"){ cbDim->setText(QString("Dim %1").arg(nCount)); if (nCount > 0) cbDim->setMenu(mDim); }
      else if (s == "\nConst"){ cbConst->setText(QString("Const %1").arg(nCount)); if (nCount > 0) cbConst->setMenu(mConst); }
      else if (s == "\nEvent"){ cbEvent->setText(QString("Event %1").arg(nCount)); if (nCount > 0) cbEvent->setMenu(mEvent); }
      else if (s == "\nSignal"){ cbSignal->setText(QString("Signal %1").arg(nCount)); if (nCount > 0) cbSignal->setMenu(mSignal); }
      else if (s == "\nSlot"){  cbSlot->setText(QString("Slot %1").arg(nCount)); if (nCount > 0) cbSlot->setMenu(mSlot); }
      else if (s == "\nEnum"){  cbEnum->setText(QString("Enum %1").arg(nCount)); if (nCount > 0) cbEnum->setMenu(mEnum); }
      else if (s == "\nType"){  cbType->setText(QString("Type %1").arg(nCount)); if (nCount > 0) cbType->setMenu(mType); }

     
    }

    /*
  //  qSort(data.begin(), data.end());
    QMapIterator<QString, QVariant> i(data);
     while (i.hasNext()) {
         i.next();
         browser->addItem (i.key(), i.value()); 
     }    */

     browser->model()->sort(0);
    browser->insertItem(0, QString("All %1").arg(data.count()), QVariant(-1)); 
    browser->insertSeparator(1);

     code->bUpdateForChangedText = false;

     //if (code->bUpdateForChangedText)
     {
     //  code->bUpdateForChangedText = false;
       code_cursorPositionChanged(); // current browser update
       code->viewport()->update();
     }
}

void Q7BCodeWindow::PerformUndo()
{
  code->undo();
}

void Q7BCodeWindow::PerformRedo()
{
  code->redo();
}

void Q7BCodeWindow::PerformCut()
{
  code->cut();
}

void Q7BCodeWindow::PerformCopy()
{
  code->copy();
}

void Q7BCodeWindow::PerformPaste()
{
  code->paste();
}

void Q7BCodeWindow::PerformDelete()
{
  QTextCursor c = code->textCursor();

  if (c.hasSelection()){

    c.beginEditBlock();

    c.insertText("");

    c.endEditBlock();

    code->setTextCursor(c);
    code->document()->setModified(true); // looks like we need setModified manually

  } 
}

void Q7BCodeWindow::PerformSelectAll()
{
  code->selectAll();
}

void Q7BCodeWindow::PerformComment()
{
//QMessageBox::information(this, "QtBasic", "PerformComment");

  QTextCursor c = code->textCursor();

  if (c.hasSelection()){

    c.beginEditBlock();

    int a = c.selectionStart();
    int b = c.selectionEnd();

    int cpos = c.position();
    bool bAtStart = false;

    if (cpos == a){
      c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);

      c.clearSelection();
      if (c.blockNumber() == 0){
        bAtStart = true;
        c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);
      } else {
        c.movePosition(QTextCursor::Up, QTextCursor::MoveAnchor);
        c.movePosition(QTextCursor::EndOfLine, QTextCursor::MoveAnchor);
      }
      c.movePosition(QTextCursor::Right, QTextCursor::KeepAnchor, b - c.position());

    } else {
      c.movePosition(QTextCursor::Left, QTextCursor::MoveAnchor, b - a);
      c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);

      c.clearSelection();
      if (c.blockNumber() == 0){
        bAtStart = true;
        c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);
      } else {
        c.movePosition(QTextCursor::Up, QTextCursor::MoveAnchor);
        c.movePosition(QTextCursor::EndOfLine, QTextCursor::MoveAnchor);
      }
      c.movePosition(QTextCursor::Right, QTextCursor::KeepAnchor, b - c.position());

    }
    
    QString s = c.selectedText();

    QString cr = QString(QChar(0x2029));
    
 //   int n = s.count(cr);

    s.replace(cr, cr + "'");

    if (bAtStart){
      s = "'" + s;
    }
    c.insertText(s);

    c.clearSelection();

    // the following line didn't works, seems to be a bug in Qt4.2
   // c.movePosition(QTextCursor::Left, QTextCursor::KeepAnchor, (c.position() - a - n));

    c.endEditBlock();
    code->document()->setModified(true); // looks like we need setModified manually

    code->setTextCursor(c);

  } 
}

void Q7BCodeWindow::PerformUncomment()
{
  QTextCursor c = code->textCursor();

  if (c.hasSelection()){

    c.beginEditBlock();

    int a = c.selectionStart();
    int b = c.selectionEnd();
    
    c.movePosition(QTextCursor::Left, QTextCursor::MoveAnchor, b - a);
    c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);
    c.clearSelection();
    bool bAtStart = false;
    if (c.blockNumber() == 0){
      bAtStart = true;
      c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);
    } else {
      c.movePosition(QTextCursor::Up, QTextCursor::MoveAnchor);
      c.movePosition(QTextCursor::EndOfLine, QTextCursor::MoveAnchor);
    }
    c.movePosition(QTextCursor::Right, QTextCursor::KeepAnchor, b - c.position());

    QString s = c.selectedText();

    QString cr = QString(QChar(0x2029));
    
   // int n = s.count(cr);

    if (s.contains(cr + "'")) s.replace(cr + "'", cr);
    else if (s.contains(cr + " '")) s.replace(cr + " '", cr + " ");
    else if (s.contains(cr + "  '")) s.replace(cr + "  '", cr + "  ");
    else if (s.contains(cr + "   '")) s.replace(cr + "   '", cr + "   ");
    else if (s.contains(cr + "    '")) s.replace(cr + "    '", cr + "    ");
    else if (s.contains(cr + "     '")) s.replace(cr + "     '", cr + "     ");
    else if (s.contains(cr + "      '")) s.replace(cr + "      '", cr + "      ");
    else if (s.contains(cr + "       '")) s.replace(cr + "       '", cr + "       ");
    else if (s.contains(cr + "        '")) s.replace(cr + "        '", cr + "        ");
    else if (s.contains(cr + "         '")) s.replace(cr + "         '", cr + "         ");
    else if (s.contains(cr + "          '")) s.replace(cr + "          '", cr + "          ");
    else if (s.contains(cr + "           '")) s.replace(cr + "           '", cr + "           ");
    else if (s.contains(cr + "            '")) s.replace(cr + "            '", cr + "            ");
    else if (s.contains(cr + "             '")) s.replace(cr + "             '", cr + "             ");
    else if (s.contains(cr + "              '")) s.replace(cr + "              '", cr + "              ");
    else if (s.contains(cr + "               '")) s.replace(cr + "               '", cr + "               ");
    else if (s.contains(cr + "                '")) s.replace(cr + "                '", cr + "                ");
    else if (s.contains(cr + "                 '")) s.replace(cr + "                 '", cr + "                 ");
    else if (s.contains(cr + "                  '")) s.replace(cr + "                  '", cr + "                  ");

    else if (bAtStart){
      if (s.startsWith("' ")) s = s.mid(2);
    }

    c.insertText(s);

    c.clearSelection();

    // the following line didn't work, seems to be a bug in Qt4.2
    //c.movePosition(QTextCursor::Left, QTextCursor::KeepAnchor, (c.position() - a - n));

    c.endEditBlock();

    code->setTextCursor(c);
    code->document()->setModified(true); // looks like we need setModified manually

  } 
}

void Q7BCodeWindow::PerformIndent()
{
  //if (!this->hasFocus()) return;

  QTextCursor c = code->textCursor();

  if (c.hasSelection()){

    int a = c.selectionStart();
    int b = c.selectionEnd();
    int nn = 0;

    int cpos = c.position();

    if (cpos == a){

      c.beginEditBlock();

      c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);
      c.clearSelection();
      c.movePosition(QTextCursor::Up, QTextCursor::MoveAnchor);
      c.movePosition(QTextCursor::EndOfLine, QTextCursor::MoveAnchor);
      nn = b - c.position();
      c.movePosition(QTextCursor::Right, QTextCursor::KeepAnchor, b - c.position());

    } else {
 
      c.beginEditBlock();

      c.movePosition(QTextCursor::Left, QTextCursor::MoveAnchor, b - a);
      c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);
      c.clearSelection();
      c.movePosition(QTextCursor::Up, QTextCursor::MoveAnchor);
      c.movePosition(QTextCursor::EndOfLine, QTextCursor::MoveAnchor);
      nn = b - c.position();
      c.movePosition(QTextCursor::Right, QTextCursor::KeepAnchor, nn);
      
    }
    
    QString s = c.selectedText();

    QString cr = QString(QChar(0x2029));
    
   // int n = s.count(cr);

    s.replace(cr, cr + "  ");

    c.insertText(s);

    c.clearSelection();

    // the following line didn't works, seems to be a bug in Qt4.2
    //c.movePosition(QTextCursor::Left, QTextCursor::KeepAnchor, (c.position() - a - n));

    c.endEditBlock();

    c.movePosition(QTextCursor::Left, QTextCursor::KeepAnchor, nn);

    code->setTextCursor(c);
    code->document()->setModified(true); // looks like we need setModified manually

  } else {

    c.beginEditBlock();

    c.insertText("  ");

    c.endEditBlock();

    code->setTextCursor(c);
    code->document()->setModified(true); // looks like we need setModified manually
  } 
}

void Q7BCodeWindow::PerformUnindent()
{
 // if (!this->hasFocus()) return;

  QTextCursor c = code->textCursor();

  if (c.hasSelection()){

    c.beginEditBlock();

    int a = c.selectionStart();
    int b = c.selectionEnd();

    int nn = 0;
    
    int cpos = c.position();

    if (cpos == a){

      c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);
      c.clearSelection();
      c.movePosition(QTextCursor::Up, QTextCursor::MoveAnchor);
      c.movePosition(QTextCursor::EndOfLine, QTextCursor::MoveAnchor);
      nn = b - c.position();
      c.movePosition(QTextCursor::Right, QTextCursor::KeepAnchor, b - c.position());

    } else {

      c.movePosition(QTextCursor::Left, QTextCursor::MoveAnchor, b - a);
      c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);
      c.clearSelection();
      c.movePosition(QTextCursor::Up, QTextCursor::MoveAnchor);
      c.movePosition(QTextCursor::EndOfLine, QTextCursor::MoveAnchor);
      nn = b - c.position();
      c.movePosition(QTextCursor::Right, QTextCursor::KeepAnchor, b - c.position());

    }

    QString s = c.selectedText();

    QString cr = QString(QChar(0x2029));
    
    int n = s.count(cr);

    s.replace(cr + "  ", cr);

    c.insertText(s);

    c.clearSelection();

    // the following line didn't work, seems to be a bug in Qt4.2
    //c.movePosition(QTextCursor::Left, QTextCursor::KeepAnchor, (c.position() - a - n));

    c.endEditBlock();

    c.movePosition(QTextCursor::Left, QTextCursor::KeepAnchor, nn - n * 2);

    code->setTextCursor(c);
    code->document()->setModified(true); // looks like we need setModified manually

  } else {

    c.beginEditBlock();

    c.deletePreviousChar();
    c.deletePreviousChar();

    c.endEditBlock();

    code->setTextCursor(c);
    code->document()->setModified(true); // looks like we need setModified manually
  } 
}

void Q7BCodeWindow::PerformUpper()
{
  QTextCursor c = code->textCursor();

  if (c.hasSelection()){

    c.beginEditBlock();

    QString s = c.selectedText();

    QString cr = QString(QChar(0x2029));

    c.insertText(s.toUpper());

    c.clearSelection();

    c.endEditBlock();

    code->setTextCursor(c);
    code->document()->setModified(true); // looks like we need setModified manually

  } 
}

void Q7BCodeWindow::PerformLower()
{
  QTextCursor c = code->textCursor();

  if (c.hasSelection()){

    c.beginEditBlock();

    QString s = c.selectedText();

    QString cr = QString(QChar(0x2029));

    c.insertText(s.toLower());

    c.clearSelection();

    c.endEditBlock();

    code->setTextCursor(c);
    code->document()->setModified(true); // looks like we need setModified manually

  } 
}

void Q7BCodeWindow::PerformInsertFile()
{
  QString s = QFileDialog::getOpenFileName(this, tr("Open File"), QString::null, tr("Source Codes (*.class)"));
  if (!s.isEmpty()){

    QFile f(s);
    if (!f.open(QIODevice::ReadOnly)){
      QMessageBox::information(this, "QtBasic", QString("Could not read from %1").arg(s));
      return;
    }

	  QTextStream t(&f);
    
    t.setCodec("UTF-8");
    t.setAutoDetectUnicode(true);
    t.setGenerateByteOrderMark(true);

    s = t.readAll();
    s = s.replace("\r", "");
	  f.close();

    QTextCursor c = code->textCursor();

    c.beginEditBlock();

    c.insertText(s);
    c.endEditBlock();

    code->setTextCursor(c);
    code->document()->setModified(true); // looks like we need setModified manually
  
  }
}

void Q7BCodeWindow::PerformInsertText(const QString & s)
{
  QTextCursor c = code->textCursor();

  c.beginEditBlock();

  c.insertText(s);
  c.endEditBlock();

  code->setTextCursor(c);
  code->document()->setModified(true); // looks like we need setModified manually
}

void Q7BCodeWindow::PerformGotoLine()
{
  bool b;

  int min = 1;
  QTextCursor c = code->textCursor();
  int max = c.blockNumber() + 1;

  QString s = tr("Lines (%1 - %2):").arg(min).arg(max);

  s = QInputDialog::getText(this, tr("Go To Line"), s, QLineEdit::Normal, "", &b);
  if (b && !s.isEmpty()){
    int n = s.toInt();
    if (n >= min && n <= max){
      GotoLineAndSelectLine(n);
    }
  }
}

void Q7BCodeWindow::UndoRedoCut()
{
  emit CopyAvailable(bCopyAvailable);
  emit PasteAvailable(code->canPaste());
  emit RedoAvailable(bRedoAvailable);
  emit UndoAvailable(bUndoAvailable);
}

void Q7BCodeWindow::code_copyAvailable(bool b)
{
  bCopyAvailable = b;
  emit CopyAvailable(b);
}

void Q7BCodeWindow::code_pasteAvailable()
{
  emit PasteAvailable(code->canPaste());
}

void Q7BCodeWindow::code_redoAvailable(bool b)
{
  bRedoAvailable = b;
  emit RedoAvailable(b);
}

void Q7BCodeWindow::code_undoAvailable(bool b)
{
  bUndoAvailable = b;
  emit UndoAvailable(b);
}

/*
funktionen festzustellen ob actions enabled   redo, undo, comment ...
void Q7BCodeWindow::SIGNAL_Action(bool b)
{
}
*/

QString Q7BCodeWindow::getCurrentCompletionTrigger()
{
  QTextCursor c = code->textCursor();
 // if (c.blockNumber() == 0) return "";
  
  int n = c.columnNumber();
  
  c.movePosition(QTextCursor::StartOfLine, QTextCursor::KeepAnchor);

  QString k = c.selectedText();
  
  for (int i = k.length() - 1; i >= 0; i--){
    QChar c = k.at(i);

    if ((!k.at(i).isLetterOrNumber() && k.at(i) != '_' && (i != k.length() - 1 && k.at(i) != '(')) || (i != k.length() - 1 && c == '(') || c == ')' || c == '[' || c == ']' || c == '!' || c == '.' || c == '\"' || c == '\''){
//    if (k.at(i).isMark() || k.at(i).isSpace() || k.at(i).isSymbol() || k.at(i).isPunct()){
      k = k.mid(i + 1);
      break;
    }
  }

  return k;
}

QString Q7BCodeWindow::getBeforeCurrentLineAsString()
{
  QTextCursor c = code->textCursor();
  if (c.blockNumber() == 0) return "";
  c.movePosition(QTextCursor::Up, QTextCursor::MoveAnchor);
  c.movePosition(QTextCursor::EndOfLine, QTextCursor::MoveAnchor);
  c.movePosition(QTextCursor::StartOfLine, QTextCursor::KeepAnchor);

  return c.selectedText();
}

QString Q7BCodeWindow::getCurrentLineAsString(int nLineOffset)
{
  QTextCursor c = code->textCursor();
  if (nLineOffset < 0) c.movePosition(QTextCursor::Up, QTextCursor::MoveAnchor, nLineOffset * -1);
  else if (nLineOffset > 0) c.movePosition(QTextCursor::Down, QTextCursor::MoveAnchor, nLineOffset);
  c.movePosition(QTextCursor::StartOfLine, QTextCursor::MoveAnchor);
  c.movePosition(QTextCursor::EndOfLine, QTextCursor::KeepAnchor);

  return c.selectedText();
}

void Q7BCodeWindow::SetCompletion(QStringList l)
{
  lCompletion1 = l;
}

void Q7BCodeWindow::SetCompletion2(QString s)
{
  sCompletion2 = s;
}

int Q7BCodeWindow::getCurrentPosition()
{
  QTextCursor c = code->textCursor();

  return c.position();
}

int Q7BCodeWindow::getCurrentLine()
{
  QTextCursor c = code->textCursor();

  return c.blockNumber() + 1;
}

int Q7BCodeWindow::getCurrentColumn()
{
  QTextCursor c = code->textCursor();

  return c.columnNumber() + 1;
}

bool Q7BCodeWindow::PerformFind(const QString & sSearch)
{
  QTextCursor c = code->textCursor();
  c = code->document()->find(sSearch, c);
  if (!c.isNull()){
    code->setTextCursor(c);  
    return true;
  } else {
    c = code->textCursor();
    c.movePosition(QTextCursor::Start);
    code->setTextCursor(c);  
    c = code->textCursor();
    c = code->document()->find(sSearch, c);
    if (!c.isNull()){
      code->setTextCursor(c);  
      return true;
    }
  }
  return false;
}

void Q7BCodeWindow::PerformReplace()
{
}

bool Q7BCodeWindow::Save()
{  
  QFile f(sFilename);
  if (!f.open(QIODevice::WriteOnly )){
    return false;
  } else {
    QTextStream t(&f);
    
    t.setCodec("UTF-8");
    t.setAutoDetectUnicode(true);
    t.setGenerateByteOrderMark(true);

    QString s = code->toPlainText();
    t << s;
    f.close();
    
  }

  return true;
}

bool Q7BCodeWindow::Load(const QString & _sFilename)
{  

    QFile f(_sFilename);
    if (!f.open(QIODevice::ReadOnly)){
     //  QMessageBox::information(this, "(!f.open(QIODev", "");
      //QMessageBox::information(this, qApp->applicationName(), QString("Could not read from %1").arg(_sFilename));
      return false;
    }

	    QTextStream t(&f);
      
      t.setCodec("UTF-8");
      t.setAutoDetectUnicode(true);
      t.setGenerateByteOrderMark(true);

      //textCodec->toUnicode

	    QString s = t.readAll();
      s = s.replace("\r", "");
	    f.close();

      //if (!filename.endsWith(".kbasic", Qt::CaseInsensitive) && !filename.endsWith(".kbasic_class", Qt::CaseInsensitive)) setWindowIcon(kbasicIcon(kbasicPath("ide/PROJECT_NEW_MODULE.png")));


  if (!s.isEmpty()){
   // QMessageBox::information(this, "(!s.isEmpty()", "");
  //  QMessageBox::information(this, ")", code->toPlainText());
    code->setPlainText(s);  
  }

  code->document()->setModified(false);
  sFilename = _sFilename;
  //QMessageBox::information(this, "QtBasic", "");
  RefreshBrowser();
  //QMessageBox::information(this, "!!!!!!!!!!!!", "");
//  updateCaption(getFilenameWithoutPath());
  //code->focusInEvent(0);


  return true;
}


void Q7BCodeWindow::setCurrentDebugPosition(int nLine)
{
 // WORKAROUND for repaint
  int nn = nCurrentDebugPosition;
  nCurrentDebugPosition = 0;

  if (nn != 1){
    this->GotoLine(1);
    this->GotoLine(nn);
  } else {
    this->GotoLine(2);
    this->GotoLine(nn);
  }

  nCurrentDebugPosition = nLine;

 // WORKAROUND for repaint

  if (nn != 1){
    this->GotoLine(1);
    this->GotoLine(nn);
  } else {
    this->GotoLine(2);
    this->GotoLine(nn);
  }
  /*

    QTextBlock block = code->document()->findBlockByLineNumber(nLine);

  if (block.isValid()){
    aBreakpoint *ud = (aBreakpoint*)block.userData();
    if (ud && ud->nBreakpointLine > 0){
      block.setUserData(new aBreakpoint(ud->nBreakpointLine, ud->nBreakpointLine));
    } else {
      block.setUserData(new aBreakpoint(0, true));
    }
  }


  */

 // code->repaint(code->rect());
}

void Q7BCodeWindow::setUnsetBreaktpoint(int nLine)
{
  QTextBlock block = code->document()->findBlockByLineNumber(nLine);

  if (block.isValid()){
    aBreakpoint *ud = (aBreakpoint*)block.userData();
    if (ud && ud->nBreakpointLine > 0){
      block.setUserData(new aBreakpoint(0));
    } else {
      block.setUserData(new aBreakpoint(nLine));
    }
  }
  // WORKAROUND for repaint
  int nn = this->getCurrentLine();
  if (nn != 1){
    this->GotoLine(1);
    this->GotoLine(nn);
  } else {
    this->GotoLine(2);
    this->GotoLine(nn);
  }

  //code->repaint(code->rect());
  
       


  /*
  if (breakpoints.contains(nLine)){
    breakpoints.removeAll(nLine);
  } else {
    breakpoints << nLine;
  }*/
}

QStringList Q7BCodeWindow::getAllBreakpoints()
{
  QStringList l;
  for (int i = 0; i < code->document()->lineCount(); i++){
    QTextBlock block = code->document()->findBlockByLineNumber(i);

    if (block.isValid()){
      aBreakpoint *ud = (aBreakpoint*)block.userData();
      if (ud && ud->nBreakpointLine > 0){
        l << QString("%1").arg(ud->nBreakpointLine);
      }
    }

  }
  return l;
  
}



void Q7BCodeWindow::closeEvent( QCloseEvent *e)
{
  /*
  if (code->document()->isModified()){
      
	  show();
    setFocus();

	  switch( QMessageBox::question( this, tr("Closing"), tr("Save changes to %1?").arg( code->documentTitle()),QMessageBox::Yes | QMessageBox::No | QMessageBox::Cancel )){
	    case QMessageBox::Yes:
      //    save();
	        break;
	    case QMessageBox::No:
	        break;
	    default:
	        e->ignore();
          return;
	        break;
	  }

  }*/
  
  //bClosing = true;
  e->accept();

  //if (parentWidget()){
    //QMdiSubWindow *mdis = qobject_cast<QMdiSubWindow *>(parentWidget());
    //EXTERN_my_mainwindow->workspace->removeSubWindow(mdis);
 // }

  QFrame::closeEvent(e);
  
  //if (EXTERN_my_parserwindow) EXTERN_my_parserwindow->refreshProject(this->getFilename());

}

/*
bool Q7BCodeWindow::load( const QString& fn, bool _bClassForm )
{  


  QString s = "";
  filename = fn;

  
  if (!filename.isEmpty()){
    QFile f(filename);
    if (!f.open(QIODevice::ReadOnly)){
      QMessageBox::information(this, MYAPP, QString("Could not read from %1").arg(filename));
      filename = "";
      return false;
    }

    if (_bClassForm){
      
      //_form *f = new _form(0, true, _form::getObjectNameFromFilename(filename));
      //f->load(filename, true);    

      if (filename.endsWith(".kbasic_menubar", Qt::CaseInsensitive)){
        s = _menubar::getMenuBarClassSourceCodeForSaving(filename);
      } else if (filename.endsWith(".kbasic_toolbar", Qt::CaseInsensitive)){
        s = _toolbar::getToolBarClassSourceCodeForSaving(filename);
      } else {
        s = _form::getFormClassSourceCodeForSaving(filename);
      }
      //f->close();      

    } else {
	    QTextStream t(&f);
      
      t.setCodec("UTF-8");
      t.setAutoDetectUnicode(true);
      t.setGenerateByteOrderMark(true);

      //textCodec->toUnicode

	    s = t.readAll();
      s = s.replace("\r", "");
	    f.close();

      if (!filename.endsWith(".kbasic", Qt::CaseInsensitive) && !filename.endsWith(".kbasic_class", Qt::CaseInsensitive)) setWindowIcon(kbasicIcon(kbasicPath("ide/PROJECT_NEW_MODULE.png")));
    }
  }


  if (!s.isEmpty()){
	  code->setText(s);  
  }

  bClassForm = _bClassForm;
  bOLDFORMAT = s.contains("OPTION VERYOLDBASIC", Qt::CaseInsensitive);

  if (bClassForm){
    EXTERN_my_mainwindow->VIEW_DESIGN->setEnabled(true);
    EXTERN_my_mainwindow->VIEW_REPORTPREVIEW->setEnabled(filename.endsWith(".kbasic_report", Qt::CaseInsensitive));

    
    
  }

  code->document()->setModified(false);
  updateCaption(getFilenameWithoutPath());
  code->focusInEvent(0);

  QApplication::restoreOverrideCursor();
  updatingBrowser();
  createMap3();  

  return !bClosing;
}

void Q7BCodeWindow::save(bool _saveAs)
{
  
  if (filename.isEmpty()){
    saveAs();
    return;
  }
  QApplication::setOverrideCursor(QCursor(Qt::WaitCursor));

  int n = -1;
  n = filename.lastIndexOf(".", n);

  if (n == -1){
    filename = filename + ".kbasic";
  }
  

  QString ss = code->toPlainText();

  if (bClassForm){
    if (filename.endsWith(".kbasic_menubar", Qt::CaseInsensitive)){  
      _menubar::saveMenuBarClassSourceCodeOnly(filename, ss);
    } else if (filename.endsWith(".kbasic_toolbar", Qt::CaseInsensitive)){  
      _toolbar::saveToolBarClassSourceCodeOnly(filename, ss);
    } else {  
      _form::saveFormClassSourceCodeOnly(filename, ss);
    }

      } else {

    QFile f(filename);
    if (!f.open(QIODevice::WriteOnly)){
        QApplication::restoreOverrideCursor();
        QMessageBox::information(this, MYAPP, QString("Could not write to %1").arg(filename));
        return;
    }

    QTextStream t(&f);
    
    t.setCodec("UTF-8");
    t.setAutoDetectUnicode(true);
    t.setGenerateByteOrderMark(true);

    QTextCodec *c = t.codec();

    t << ss;
    f.close();
  }

  code->document()->setModified(false);

  updateCaption(getFilenameWithoutPath(), true);   
  QApplication::restoreOverrideCursor();
}

void Q7BCodeWindow::saveAs()
{
	  //show();
   // setFocus();

    QString fn = QFileDialog::getSaveFileName(this, MYAPP);
    if (!fn.isEmpty()){
      QFile f(fn);

      if (f.exists()){
	      switch( QMessageBox::warning( this, tr("Save As"), 
	          tr("File %1 already exists. Do want to overwrite?").arg( fn ),
	          tr("Yes"), tr("No"), tr("Cancel") ) ) {
	        case 0:
            bool b = filename != fn;
            filename = fn;
            save(b);

            EXTERN_my_mainwindow->ci_parse(getFilename(), code->document()->toPlainText());
	          break;
	      }
      } else {
        bool b = filename != fn;
        filename = fn;
        save(b);
      }
      //if (EXTERN_my_projectwindow) EXTERN_my_projectwindow->refresh();


    }
    
}

void Q7BCodeWindow::updateCaption(QString s, bool bSaving)
{
  //bool b = windowTitle() != s;


  if (s.isEmpty()){
    s = tr("unnamed document");
    code->document()->setModified(true);
    //bool b = true;
  }
   
  if (!bSaving && code && code->document()->isModified()){
    s = s + "*";
  }

  if (isFormClassSourceCode() && s.indexOf(tr("unnamed document")) < 0){
     s += tr(" (Source Code)");
  }
  
  //setWindowListname(s);
  //QString kk = getWindowListnameWithoutPath();
  setWindowTitle(s);

}

bool Q7BCodeWindow::isModified()
{
  return code->document()->isModified();
}

void Q7BCodeWindow::focusInEvent(QFocusEvent *e)
{
  code->setFocus();
  //code->focusInEvent(e);
}

bool Q7BCodeWindow::newEvent (QString sControlName, QString sEvent, QString sParameter, QString sCode)
{

  QString ss = "Sub " + sControlName;
  ss += "_";
  ss += sEvent;

  if (hasSignature(ss)){
    code->focusInEvent(0);
    return true;
  } else {
    gotoBeforeEndClass();

    ss += "(";
    ss += sParameter;
    ss += ")";

    QString s;

    if (sEvent.contains("OnClick", Qt::CaseInsensitive)){

    s = 
      "\n' WARNING! Use OnEvent, if you would like to react on all possible triggers\nPrivate "
      + ss + "\n"
      + (sCode.isEmpty() ? "  \n" : sCode)
      + "End Sub\n\n" 
      ;
    } else {

      s = 
        "\n\nPrivate "
        + ss + "\n"
        + (sCode.isEmpty() ? "  \n" : sCode)
        + "End Sub\n\n" 
        ;
    }
    

    QTextCursor c = code->textCursor();

    c.beginEditBlock();

    c.insertText(s);
    c.endEditBlock();

    code->setTextCursor(c);
    code->document()->setModified(true); // looks like we need setModified manually

    ss = sControlName;
    ss += "_";
    ss += sEvent;

    hasSignature(ss);
  }

  code->focusInEvent(0);
  return false;
}


bool Q7BCodeWindow::NewEvent(QString sControlName, QString sEvent, QString sParameter, QString sCode)
{
  QString ss = sControlName;
  ss += "_";
  ss += sEvent;

  if (!hasSignature(ss)){
    return newEvent(sControlName, sEvent, sParameter, sCode);
  } else {
    QTextCursor c = code->textCursor();

    c.clearSelection();
    c.movePosition(QTextCursor::Down, QTextCursor::MoveAnchor, 1);
    c.beginEditBlock();

    c.insertText(sCode);
    c.endEditBlock();

    code->setTextCursor(c);
    code->document()->setModified(true); // looks like we need setModified manually

    hasSignature(ss);
  }

  return false;
}

bool Q7BCodeWindow::hasSignature(QString s, bool bSelect)
{
  QTextCursor c = code->textCursor();
  QTextDocument *d = code->document();

  code->setTextCursor(c);

  c = d->find(s, Qt::CaseInsensitive);
  if (c.hasSelection()){
    if (bSelect) setCurrentLineAndSelectLine(c.blockNumber() + 1);
    return true;
  }

  return false;
}*/

