
/*
'***************************************************************************
'Copyright (C) 2010-2011 KBasic Software: www.kbasic.com. All rights reserved.
'Source codes are created by Bernd Noetscher sales@kbasic.com 
'
'You may use this source codes under the terms of the GNU Public License (Version 3) as published 
'by the Free Software Foundation. 
'
'If you are interested in using the source codes for other licenses or 
'commercial development, you must buy commercial licenses from KBasic Software.
'***************************************************************************
*/
 #include "Q7BRuntime.h"

#include "Global.h"
#include "Q7BCodeView.h"

#include "Q7BCompiler.h"

#include <typeinfo>
#include "Application.h"

#include "Global.h"

extern bool Q7B_bDebug;
Global *q7b_Global_sharedSingleton = 0;
Q7B q7b_Global_sharedSingletonQ7B;
bool q7b_Global_sharedSingletonFinalized = false;
bool q7b_Global_sharedSingletonInit = false;
extern Q7B Q7B_idGLOBAL;
extern Q7B Q7B_idAPPLICATION;
extern Q7B Q7B_idSTATUSBAR;
extern Q7B Q7B_idSOUNDS;
extern Q7B Q7B_idDATABASE;
extern Q7B Q7B_idTABLE;
extern Q7B Q7B_idRECORDS;
extern Q7B Q7B_idQUERY;
extern Q7B Q7B_idPIXMAPS;
extern Q7B Q7B_idCOLORS;
extern Q7B Q7B_idFONTS;
extern Q7B Q7B_idTOOLBAR;
extern Q7B Q7B_idSYSTEMTRAY;
extern Q7B Q7B_idMAINWINDOW;
extern Q7B Q7B_idDEBUG;
extern Q7B Q7B_idFILE;
extern Q7B Q7B_idPREFERENCES;
extern Q7B Q7B_idDIR;
extern Q7B Q7B_idDESKTOP;
extern Q7B Q7B_idOPENFILEDIALOG;
extern Q7B Q7B_idSAVEFILEDIALOG;
extern Q7B Q7B_idCOLORDIALOG;
extern Q7B Q7B_idFONTDIALOG;
extern Q7B Q7B_idPROGRESSDIALOG;
extern Q7B Q7B_idINPUTDIALOG;
extern Q7B Q7B_idMESSAGEBOX;
extern Q7B Q7B_idOS;
#define CommandButton Q7B_CommandButton
#define CommandLinkButton Q7B_CommandLinkButton
#define ImageButton Q7B_ImageButton
#define ToolButton Q7B_ToolButton
#define CheckBox Q7B_CheckBox
#define RadioButton Q7B_RadioButton
#define Label Q7B_Label
#define Frame Q7B_Frame
#define ImageBox Q7B_ImageBox
#define TextBox Q7B_TextBox
#define uiClass Q7B_uiClass
#define Class Q7B_Class
#define Module Q7B_Module
#define Control QWidget
extern void Q7B_CLOSEALLDATABASES();
#include "Application.h"

#include "CodeView.h"

#include "Declare.h"

#include "FindReplaceFile.h"

#include "Global.h"

#include "MainWindow.h"

#include "Parser.h"

#include "Project.h"



void Global::addClass(Q7B s, Q7B o)
{
                      Q7BS("Global.QObject", "addClass", "15", 0);
                      Q7BS("Global.QObject", "addClass", "15", 1);
Q7B_DICTIONARY_SETOBJECT(Global::dClassCompletion, Q7B_QOBJECT(s), Q7B_QOBJECT(o));
                      Q7BS("Global.QObject", "addClass", "18", 2);

}

void Global::addObject(Q7B s, Q7B o)
{
                      Q7BS("Global.QObject", "addObject", "23", 0);
                      Q7BS("Global.QObject", "addObject", "23", 1);
Q7B_DICTIONARY_SETOBJECT(Global::dObjectCompletion, Q7B_QOBJECT(s), Q7B_QOBJECT(o));
                      Q7BS("Global.QObject", "addObject", "24", 2);

}

void Global::addFunction(Q7B s, Q7B ss)
{
                      Q7BS("Global.QObject", "addFunction", "30", 0);
                      Q7BS("Global.QObject", "addFunction", "31", 1);
Q7B_DICTIONARY_SETOBJECT(dCompletion2function, Q7B_QOBJECT(Q7B_LCASE(Q7B_QOBJECT(s))), Q7B_QOBJECT(ss));
                      Q7BS("Global.QObject", "addFunction", "32", 2);

}

void Global::addConst(Q7B s)
{
                      Q7BS("Global.QObject", "addConst", "36", 0);
                      Q7BS("Global.QObject", "addConst", "36", 1);
Q7B_LIST_APPEND(Global::ObjectiveBasicConsts, Q7B_QOBJECT(s));
                      Q7BS("Global.QObject", "addConst", "37", 2);

}

Global::Global(Q7B _q7b_this) : QObject()
{
q7b_this = _q7b_this;
if (q7b_Global_sharedSingletonInit){ q7b_Global_sharedSingletonInit = false; Q7B_idGLOBAL = q7b_Global_sharedSingletonQ7B = q7b_this = Q7B(new Q7B_id(typeid(Global).name(), this)); } else q7b_this = Q7B(new Q7B_id(typeid(Global).name(), this)); 
setObjectName("Global");
dCompletion2function = Q7B__QOBJECT(Q7B_DICTIONARY(Q7B_Dictionary::init()));
CPPKeywords = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_SPLIT(Q7B_QOBJECT(Q7B_READSTRING(Q7B_QOBJECT("cpp_keyword.txt"), Q7B_QOBJECT(""))), Q7B_QOBJECT("\n"), Q7B_QOBJECT(true)))));
Keywords = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_SPLIT(Q7B_QOBJECT(Q7B_READSTRING(Q7B_QOBJECT("keyword.txt"), Q7B_QOBJECT(""))), Q7B_QOBJECT("\n"), Q7B_QOBJECT(true)))));
Consts = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_SPLIT(Q7B_QOBJECT(Q7B_READSTRING(Q7B_QOBJECT("const.txt"), Q7B_QOBJECT(""))), Q7B_QOBJECT("\n"), Q7B_QOBJECT(true)))));
Types = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_SPLIT(Q7B_QOBJECT(Q7B_READSTRING(Q7B_QOBJECT("type.txt"), Q7B_QOBJECT(""))), Q7B_QOBJECT("\n"), Q7B_QOBJECT(true)))));
Functions = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_SPLIT(Q7B_QOBJECT(Q7B_READSTRING(Q7B_QOBJECT("function.txt"), Q7B_QOBJECT(""))), Q7B_QOBJECT("\n"), Q7B_QOBJECT(true)))));
Classes = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_SPLIT(Q7B_QOBJECT(Q7B_READSTRING(Q7B_QOBJECT("class.txt"), Q7B_QOBJECT(""))), Q7B_QOBJECT("\n"), Q7B_QOBJECT(true)))));
Objects = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_SPLIT(Q7B_QOBJECT(Q7B_READSTRING(Q7B_QOBJECT("object.txt"), Q7B_QOBJECT(""))), Q7B_QOBJECT("\n"), Q7B_QOBJECT(true)))));
Signals = Q7B__QOBJECT(Q7B_DICTIONARY(Q7B_Dictionary::init()));
Signals_Tree = Q7B__QOBJECT(Q7B_DICTIONARY(Q7B_Dictionary::init()));
Events = Q7B__QOBJECT(Q7B_DICTIONARY(Q7B_Dictionary::init()));
                      Q7BS("Global.QObject", "Init", "53", 0);
                      Q7BS("Global.QObject", "Init", "54", 1);
Q7B a; a = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_List::init())));
                      Q7BS("Global.QObject", "Init", "55", 1);
Q7B b; b = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_List::init())));
                      Q7BS("Global.QObject", "Init", "56", 1);
Q7B i; i = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT((qint64) 0)));
                      Q7BS("Global.QObject", "Init", "58", 1);
Q7B_ASSIGNMENT(&a, &Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_SPLIT(Q7B_QOBJECT(Q7B_READSTRING(Q7B_QOBJECT("signal.txt"), Q7B_QOBJECT(""))), Q7B_QOBJECT("\n"), Q7B_QOBJECT(true))))));
                      Q7BS("Global.QObject", "Init", "61", 1);
for (i = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(0))); Q7B_CBOOLEAN(Q7B_SMALLEREQUAL(Q7B_QOBJECT(i), Q7B_QOBJECT(Q7B_SUB(Q7B_QOBJECT(Q7B_LIST_LENGTH(a)), Q7B_QOBJECT(1))))); Q7BS("Global.QObject", "Init", "61", 1),i = Q7B__QOBJECT(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(i), Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(1))))))){
                      Q7BS("Global.QObject", "Init", "65", 1);
Q7B s; s = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_LIST_OBJECT(a, Q7B_QOBJECT(i)))));
                      Q7BS("Global.QObject", "Init", "67", 1);
Q7B_ASSIGNMENT(&b, &Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_SPLIT(Q7B_QOBJECT(s), Q7B_QOBJECT(":"), Q7B_QOBJECT(true))))));
                      Q7BS("Global.QObject", "Init", "68", 1);
if (Q7B_CBOOLEAN(Q7B_UNEQUAL(Q7B_QOBJECT(Q7B_LIST_LENGTH(b)), Q7B_QOBJECT(2)))){
                      Q7BS("Global.QObject", "Init", "69", 1);
continue;
}
                      Q7BS("Global.QObject", "Init", "72", 1);
Q7B sKey; sKey = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_LIST_OBJECT(b, Q7B_QOBJECT(0)))));
                      Q7BS("Global.QObject", "Init", "73", 1);
Q7B sValue; sValue = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_TRIM(Q7B_QOBJECT(Q7B_LIST_OBJECT(b, Q7B_QOBJECT(1)))))));
                      Q7BS("Global.QObject", "Init", "77", 1);
if (Q7B_CBOOLEAN(Q7B_DICTIONARY_CONTAINS(Signals, Q7B_QOBJECT(sKey)))){
                      Q7BS("Global.QObject", "Init", "78", 1);
Q7B c; c = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_DICTIONARY_OBJECT(Signals, Q7B_QOBJECT(sKey)))));
                      Q7BS("Global.QObject", "Init", "79", 1);
Q7B_LIST_APPEND(c, Q7B_QOBJECT(sValue));
                      Q7BS("Global.QObject", "Init", "80", 1);
Q7B_DICTIONARY_SETOBJECT(Signals, Q7B_QOBJECT(sKey), Q7B_QOBJECT(c));
} else {
                      Q7BS("Global.QObject", "Init", "82", 1);
Q7B c; c = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_List::init())));
                      Q7BS("Global.QObject", "Init", "83", 1);
Q7B_LIST_APPEND(c, Q7B_QOBJECT(sValue));
                      Q7BS("Global.QObject", "Init", "84", 1);
Q7B_DICTIONARY_SETOBJECT(Signals, Q7B_QOBJECT(sKey), Q7B_QOBJECT(c));
}
}
                      Q7BS("Global.QObject", "Init", "89", 1);
Q7B_ASSIGNMENT(&a, &Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_SPLIT(Q7B_QOBJECT(Q7B_READSTRING(Q7B_QOBJECT("signal_tree.txt"), Q7B_QOBJECT(""))), Q7B_QOBJECT("\n"), Q7B_QOBJECT(true))))));
                      Q7BS("Global.QObject", "Init", "91", 1);
for (i = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(0))); Q7B_CBOOLEAN(Q7B_SMALLEREQUAL(Q7B_QOBJECT(i), Q7B_QOBJECT(Q7B_SUB(Q7B_QOBJECT(Q7B_LIST_LENGTH(a)), Q7B_QOBJECT(1))))); Q7BS("Global.QObject", "Init", "91", 1),i = Q7B__QOBJECT(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(i), Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(1))))))){
                      Q7BS("Global.QObject", "Init", "93", 1);
Q7B s; s = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_LIST_OBJECT(a, Q7B_QOBJECT(i)))));
                      Q7BS("Global.QObject", "Init", "94", 1);
Q7B_ASSIGNMENT(&b, &Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_SPLIT(Q7B_QOBJECT(s), Q7B_QOBJECT(":"), Q7B_QOBJECT(true))))));
                      Q7BS("Global.QObject", "Init", "95", 1);
if (Q7B_CBOOLEAN(Q7B_SMALLER(Q7B_QOBJECT(Q7B_LIST_LENGTH(b)), Q7B_QOBJECT(1)))){
                      Q7BS("Global.QObject", "Init", "96", 1);
continue;
}
                      Q7BS("Global.QObject", "Init", "99", 1);
Q7B sKey; sKey = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_LIST_OBJECT(b, Q7B_QOBJECT(0)))));
                      Q7BS("Global.QObject", "Init", "101", 1);
Q7B ii; ii = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT((qint64) 0)));
                      Q7BS("Global.QObject", "Init", "103", 1);
for (ii = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(1))); Q7B_CBOOLEAN(Q7B_SMALLEREQUAL(Q7B_QOBJECT(ii), Q7B_QOBJECT(Q7B_SUB(Q7B_QOBJECT(Q7B_LIST_LENGTH(b)), Q7B_QOBJECT(1))))); Q7BS("Global.QObject", "Init", "103", 1),ii = Q7B__QOBJECT(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(ii), Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(1))))))){
                      Q7BS("Global.QObject", "Init", "104", 1);
Q7B sValue; sValue = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_TRIM(Q7B_QOBJECT(Q7B_LIST_OBJECT(b, Q7B_QOBJECT(ii)))))));
                      Q7BS("Global.QObject", "Init", "106", 1);
if (Q7B_CBOOLEAN(Q7B_EQUAL(Q7B_QOBJECT(sValue), Q7B_QOBJECT("")))){
                      Q7BS("Global.QObject", "Init", "107", 1);
continue;
}
                      Q7BS("Global.QObject", "Init", "110", 1);
if (Q7B_CBOOLEAN(Q7B_DICTIONARY_CONTAINS(Signals_Tree, Q7B_QOBJECT(sKey)))){
                      Q7BS("Global.QObject", "Init", "111", 1);
Q7B c; c = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_DICTIONARY_OBJECT(Signals_Tree, Q7B_QOBJECT(sKey)))));
                      Q7BS("Global.QObject", "Init", "112", 1);
Q7B_LIST_APPEND(c, Q7B_QOBJECT(sValue));
                      Q7BS("Global.QObject", "Init", "113", 1);
Q7B_DICTIONARY_SETOBJECT(Signals_Tree, Q7B_QOBJECT(sKey), Q7B_QOBJECT(c));
} else {
                      Q7BS("Global.QObject", "Init", "115", 1);
Q7B c; c = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_List::init())));
                      Q7BS("Global.QObject", "Init", "116", 1);
Q7B_LIST_APPEND(c, Q7B_QOBJECT(sValue));
                      Q7BS("Global.QObject", "Init", "117", 1);
Q7B_DICTIONARY_SETOBJECT(Signals_Tree, Q7B_QOBJECT(sKey), Q7B_QOBJECT(c));
}
}
}
                      Q7BS("Global.QObject", "Init", "127", 1);
Q7B_ASSIGNMENT(&a, &Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_SPLIT(Q7B_QOBJECT(Q7B_READSTRING(Q7B_QOBJECT("event.txt"), Q7B_QOBJECT(""))), Q7B_QOBJECT("\n"), Q7B_QOBJECT(true))))));
                      Q7BS("Global.QObject", "Init", "129", 1);
for (i = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(0))); Q7B_CBOOLEAN(Q7B_SMALLEREQUAL(Q7B_QOBJECT(i), Q7B_QOBJECT(Q7B_SUB(Q7B_QOBJECT(Q7B_LIST_LENGTH(a)), Q7B_QOBJECT(1))))); Q7BS("Global.QObject", "Init", "129", 1),i = Q7B__QOBJECT(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(i), Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(1))))))){
                      Q7BS("Global.QObject", "Init", "131", 1);
Q7B s; s = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_LIST_OBJECT(a, Q7B_QOBJECT(i)))));
                      Q7BS("Global.QObject", "Init", "132", 1);
Q7B_ASSIGNMENT(&b, &Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_SPLIT(Q7B_QOBJECT(s), Q7B_QOBJECT(":"), Q7B_QOBJECT(true))))));
                      Q7BS("Global.QObject", "Init", "133", 1);
if (Q7B_CBOOLEAN(Q7B_UNEQUAL(Q7B_QOBJECT(Q7B_LIST_LENGTH(b)), Q7B_QOBJECT(2)))){
                      Q7BS("Global.QObject", "Init", "134", 1);
continue;
}
                      Q7BS("Global.QObject", "Init", "137", 1);
Q7B sKey; sKey = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_LIST_OBJECT(b, Q7B_QOBJECT(0)))));
                      Q7BS("Global.QObject", "Init", "138", 1);
Q7B sValue; sValue = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_TRIM(Q7B_QOBJECT(Q7B_LIST_OBJECT(b, Q7B_QOBJECT(1)))))));
                      Q7BS("Global.QObject", "Init", "140", 1);
if (Q7B_CBOOLEAN(Q7B_DICTIONARY_CONTAINS(Events, Q7B_QOBJECT(sKey)))){
                      Q7BS("Global.QObject", "Init", "141", 1);
Q7B c; c = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_DICTIONARY_OBJECT(Events, Q7B_QOBJECT(sKey)))));
                      Q7BS("Global.QObject", "Init", "142", 1);
Q7B_LIST_APPEND(c, Q7B_QOBJECT(sValue));
                      Q7BS("Global.QObject", "Init", "143", 1);
Q7B_DICTIONARY_SETOBJECT(Events, Q7B_QOBJECT(sKey), Q7B_QOBJECT(c));
} else {
                      Q7BS("Global.QObject", "Init", "145", 1);
Q7B c; c = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_List::init())));
                      Q7BS("Global.QObject", "Init", "146", 1);
Q7B_LIST_APPEND(c, Q7B_QOBJECT(sValue));
                      Q7BS("Global.QObject", "Init", "147", 1);
Q7B_DICTIONARY_SETOBJECT(Events, Q7B_QOBJECT(sKey), Q7B_QOBJECT(c));
}
}
                      Q7BS("Global.QObject", "Init", "151", 1);
Q7B_ASSIGNMENT(&a, &Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Functions))));
                      Q7BS("Global.QObject", "Init", "153", 1);
for (i = Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(0))); Q7B_CBOOLEAN(Q7B_SMALLEREQUAL(Q7B_QOBJECT(i), Q7B_QOBJECT(Q7B_SUB(Q7B_QOBJECT(Q7B_LIST_LENGTH(a)), Q7B_QOBJECT(1))))); Q7BS("Global.QObject", "Init", "153", 1),i = Q7B__QOBJECT(Q7B_QOBJECT(Q7B_ADD(Q7B_QOBJECT(i), Q7B__QOBJECT(Q7B_INTEGER(Q7B_QOBJECT(1))))))){
                      Q7BS("Global.QObject", "Init", "155", 1);
Q7B s; s = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_LIST_OBJECT(a, Q7B_QOBJECT(i)))));
                      Q7BS("Global.QObject", "Init", "156", 1);
if (Q7B_CBOOLEAN(Q7B_ISEMPTY(Q7B_QOBJECT(s)))){
                      Q7BS("Global.QObject", "Init", "156", 1);
break;
}
                      Q7BS("Global.QObject", "Init", "158", 1);
Q7B_ASSIGNMENT(&b, &Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_SPLIT(Q7B_QOBJECT(s), Q7B_QOBJECT("("), Q7B_QOBJECT(true))))));
                      Q7BS("Global.QObject", "Init", "161", 1);
if (Q7B_CBOOLEAN(Q7B_SMALLER(Q7B_QOBJECT(Q7B_LIST_LENGTH(b)), Q7B_QOBJECT(2)))){
                      Q7BS("Global.QObject", "Init", "161", 1);
Q7B_MSGBOX(Q7B_QOBJECT("b.Length"), Q7B_QOBJECT(Q7B_CONCAT(Q7B_QOBJECT(Q7B_CONCAT(Q7B_QOBJECT(s), Q7B_QOBJECT("  "))), Q7B_QOBJECT(i))), Q7B_QOBJECT(false));
}
                      Q7BS("Global.QObject", "Init", "163", 1);
Q7B sKey; sKey = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_LIST_OBJECT(b, Q7B_QOBJECT(0)))));
                      Q7BS("Global.QObject", "Init", "164", 1);
Q7B sValue; sValue = Q7B__QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_TRIM(Q7B_QOBJECT(Q7B_LIST_OBJECT(b, Q7B_QOBJECT(1)))))));
                      Q7BS("Global.QObject", "Init", "166", 1);
this->addFunction(Q7B_QOBJECT(Q7B_STRING(Q7B_QOBJECT(sKey))), Q7B_QOBJECT(Q7B_STRING(Q7B_QOBJECT(Q7B_CONCAT(Q7B_QOBJECT(Q7B_CONCAT(Q7B_QOBJECT(sKey), Q7B_QOBJECT("("))), Q7B_QOBJECT(sValue))))));
}
                      Q7BS("Global.QObject", "Init", "173", 2);

}



int main (int argc, char *argv[])
{
QApplication q7b_qapp(argc, argv);
qApp->addLibraryPath(qApp->applicationDirPath() + "/plugins");
qApp->setApplicationName("QtBasic");
Q7B_bDebug = false;
Q7B_idSYSTEMTRAY = Q7B(new Q7B_id(typeid(QSystemTrayIcon).name(), new QSystemTrayIcon())); 
Global::q7b_sharedSingleton();
Application::q7b_sharedSingleton();
MainWindow::q7b_sharedSingleton()->show();
int n = qApp->exec();

QMapIterator<QString, Q7B> iii(q7b_ui);
while (iii.hasNext()){
  iii.next();
  if (!((QWidget *) iii.value()->ref)->testAttribute(Qt::WA_DeleteOnClose)){
    delete ((QWidget *) iii.value()->ref);
  }
q7b_ui[iii.key()]->ref = 0;
q7b_ui[iii.key()] = Q7B_IDNIL();
}

if (q7b_CodeView_sharedSingleton){ CodeView *q7b_oCodeView = CodeView::q7b_sharedSingleton(); if (q7b_oCodeView){ q7b_CodeView_sharedSingletonFinalized = true; delete q7b_oCodeView; q7b_CodeView_sharedSingleton = 0; q7b_CodeView_sharedSingletonQ7B->ref = 0; }}
if (q7b_Declare_sharedSingleton){ Declare *q7b_oDeclare = Declare::q7b_sharedSingleton(); if (q7b_oDeclare){ q7b_Declare_sharedSingletonFinalized = true; delete q7b_oDeclare; q7b_Declare_sharedSingleton = 0; q7b_Declare_sharedSingletonQ7B->ref = 0; }}
if (q7b_FindReplaceFile_sharedSingleton){ FindReplaceFile *q7b_oFindReplaceFile = FindReplaceFile::q7b_sharedSingleton(); if (q7b_oFindReplaceFile){ q7b_FindReplaceFile_sharedSingletonFinalized = true; delete q7b_oFindReplaceFile; q7b_FindReplaceFile_sharedSingleton = 0; q7b_FindReplaceFile_sharedSingletonQ7B->ref = 0; }}
if (q7b_Parser_sharedSingleton){ Parser *q7b_oParser = Parser::q7b_sharedSingleton(); if (q7b_oParser){ q7b_Parser_sharedSingletonFinalized = true; delete q7b_oParser; q7b_Parser_sharedSingleton = 0; q7b_Parser_sharedSingletonQ7B->ref = 0; }}
if (q7b_Project_sharedSingleton){ Project *q7b_oProject = Project::q7b_sharedSingleton(); if (q7b_oProject){ q7b_Project_sharedSingletonFinalized = true; delete q7b_oProject; q7b_Project_sharedSingleton = 0; q7b_Project_sharedSingletonQ7B->ref = 0; }}

Application *q7b_oApplication = Application::q7b_sharedSingleton(); if (q7b_oApplication){ q7b_Application_sharedSingletonFinalized = true; delete q7b_oApplication; q7b_Application_sharedSingleton = 0; Q7B_idAPPLICATION->ref = 0; q7b_Application_sharedSingletonQ7B->ref = 0; }
MainWindow *q7b_oMainWindow = MainWindow::q7b_sharedSingleton(); if (q7b_oMainWindow){ q7b_MainWindow_sharedSingletonFinalized = true; delete q7b_oMainWindow; q7b_MainWindow_sharedSingleton = 0; Q7B_idMAINWINDOW->ref = 0; q7b_MainWindow_sharedSingletonQ7B->ref = 0; }
Global *q7b_oGlobal = Global::q7b_sharedSingleton(); if (q7b_oGlobal){ q7b_Global_sharedSingletonFinalized = true; delete q7b_oGlobal; q7b_Global_sharedSingleton = 0; Q7B_idGLOBAL->ref = 0; q7b_Global_sharedSingletonQ7B->ref = 0; }
Q7B_CLOSEALLDATABASES();
Q7B_CLOSESCREEN();
if (Q7B_idPREFERENCES != Q7B_IDNIL() && !Q7B_idPREFERENCES.isNull() && Q7B_idPREFERENCES->ref) ((QSettings *) Q7B_idPREFERENCES->ref)->sync();
return n;
}

Q7B Q7B_GLOBAL_LOADUI(QString uiName)
{
  Q7B q7b_this;
  if (uiName == "CodeView"){
    q7b_this = Q7B(new Q7B_id(typeid(QWidget).name(), new CodeView(q7b_this, 0))); return q7b_this;
  }
  if (uiName == "FindReplaceFile"){
    q7b_this = Q7B(new Q7B_id(typeid(QWidget).name(), new FindReplaceFile(q7b_this, 0))); return q7b_this;
  }
  if (uiName == "About"){
    QWidget *w = Q7B_CREATE_FROM_UI_FILE(":/uifiles/About.ui", 0);
    if (w){ w->setAttribute(Qt::WA_DeleteOnClose); q7b_this = Q7B(new Q7B_id(typeid(QWidget).name(), w)); return q7b_this; }
  }
  return Q7B_IDNIL();
}
Q7B Q7B_GLOBAL_OPENWINDOW(QString uiName)
{
  Q7B q7b_this;
  if (uiName == "CodeView"){
    if (q7b_ui.contains("CodeView")){
      ((QWidget *) q7b_ui["CodeView"]->ref)->showNormal(); ((QWidget *) q7b_ui["CodeView"]->ref)->activateWindow(); return q7b_ui["CodeView"];
    } else {
      q7b_ui["CodeView"] = Q7B(new Q7B_id(typeid(QWidget).name(), new CodeView(q7b_ui["CodeView"], 0))); ((QWidget *) q7b_ui["CodeView"]->ref)->showNormal(); ((QWidget *) q7b_ui["CodeView"]->ref)->activateWindow(); return q7b_ui["CodeView"];
    }
  }
  if (uiName == "FindReplaceFile"){
    if (q7b_ui.contains("FindReplaceFile")){
      ((QWidget *) q7b_ui["FindReplaceFile"]->ref)->showNormal(); ((QWidget *) q7b_ui["FindReplaceFile"]->ref)->activateWindow(); return q7b_ui["FindReplaceFile"];
    } else {
      q7b_ui["FindReplaceFile"] = Q7B(new Q7B_id(typeid(QWidget).name(), new FindReplaceFile(q7b_ui["FindReplaceFile"], 0))); ((QWidget *) q7b_ui["FindReplaceFile"]->ref)->showNormal(); ((QWidget *) q7b_ui["FindReplaceFile"]->ref)->activateWindow(); return q7b_ui["FindReplaceFile"];
    }
  }
  if (uiName == "About"){
      QWidget *w = Q7B_CREATE_FROM_UI_FILE(":/uifiles/About.ui", 0);
      if (w){ w->setAttribute(Qt::WA_DeleteOnClose); w->showNormal(); w->activateWindow(); q7b_this = Q7B(new Q7B_id(typeid(QWidget).name(), w)); return q7b_this; }
      return Q7B_IDNIL();
  }
  return Q7B_IDNIL();
}
Q7B Q7B_GLOBAL_OPENDIALOG(QString uiName)
{
  Q7B q7b_this;
  if (uiName == "CodeView"){
    if (q7b_ui.contains("CodeView")){
      return q7b_ui["CodeView"];
    } else {
      q7b_ui["CodeView"] = Q7B(new Q7B_id(typeid(QWidget).name(), new CodeView(q7b_ui["CodeView"], 0))); return q7b_ui["CodeView"];
    }
  }
  if (uiName == "FindReplaceFile"){
    if (q7b_ui.contains("FindReplaceFile")){
      return q7b_ui["FindReplaceFile"];
    } else {
      q7b_ui["FindReplaceFile"] = Q7B(new Q7B_id(typeid(QWidget).name(), new FindReplaceFile(q7b_ui["FindReplaceFile"], 0))); return q7b_ui["FindReplaceFile"];
    }
  }
  if (uiName == "About"){
    QWidget *w = Q7B_CREATE_FROM_UI_FILE(":/uifiles/About.ui", 0);
    if (w){ w->setAttribute(Qt::WA_DeleteOnClose); q7b_this = Q7B(new Q7B_id(typeid(QWidget).name(), w)); return q7b_this; }
    return Q7B_IDNIL();
  }
  return Q7B_IDNIL();
}
Q7B Q7B_GLOBAL_OPENTOOLWINDOW(QString uiName)
{
  Q7B q7b_this;
  if (uiName == "CodeView"){
    if (q7b_ui.contains("CodeView")){
      ((QWidget *) q7b_ui["CodeView"]->ref)->showNormal(); ((QWidget *) q7b_ui["CodeView"]->ref)->activateWindow(); return q7b_ui["CodeView"];
    } else {
      q7b_ui["CodeView"] = Q7B(new Q7B_id(typeid(QWidget).name(), new CodeView(q7b_ui["CodeView"], 0))); ((QWidget *) q7b_ui["CodeView"]->ref)->setWindowFlags(((Qt::WindowFlags) ((QWidget *) q7b_ui["CodeView"]->ref)->windowFlags()) | Qt::Tool); ((QWidget *) q7b_ui["CodeView"]->ref)->showNormal(); ((QWidget *) q7b_ui["CodeView"]->ref)->activateWindow(); return q7b_ui["CodeView"];
    }
  }
  if (uiName == "FindReplaceFile"){
    if (q7b_ui.contains("FindReplaceFile")){
      ((QWidget *) q7b_ui["FindReplaceFile"]->ref)->showNormal(); ((QWidget *) q7b_ui["FindReplaceFile"]->ref)->activateWindow(); return q7b_ui["FindReplaceFile"];
    } else {
      q7b_ui["FindReplaceFile"] = Q7B(new Q7B_id(typeid(QWidget).name(), new FindReplaceFile(q7b_ui["FindReplaceFile"], 0))); ((QWidget *) q7b_ui["FindReplaceFile"]->ref)->setWindowFlags(((Qt::WindowFlags) ((QWidget *) q7b_ui["FindReplaceFile"]->ref)->windowFlags()) | Qt::Tool); ((QWidget *) q7b_ui["FindReplaceFile"]->ref)->showNormal(); ((QWidget *) q7b_ui["FindReplaceFile"]->ref)->activateWindow(); return q7b_ui["FindReplaceFile"];
    }
  }
  if (uiName == "About"){
      QWidget *w = Q7B_CREATE_FROM_UI_FILE(":/uifiles/About.ui", 0);
      if (w){ w->setAttribute(Qt::WA_DeleteOnClose); w->setWindowFlags(((Qt::WindowFlags) w->windowFlags()) | Qt::Tool); w->showNormal(); w->activateWindow(); q7b_this = Q7B(new Q7B_id(typeid(QWidget).name(), w)); return q7b_this; }
      return Q7B_IDNIL();
  }
  return Q7B_IDNIL();
}

bool Q7B_GLOBAL_CLOSEWINDOW(QString uiName)
{
    if (q7b_ui.contains(uiName)){
      if (((QWidget *) q7b_ui[uiName]->ref)->close()){
         ((QWidget *) q7b_ui[uiName]->ref)->deleteLater();
         q7b_ui[uiName] = Q7B_IDNIL();
         q7b_ui.remove(uiName);
      }
    }
  return false;
}
Q7B Global::dClassCompletion = Q7B__QOBJECT(Q7B_DICTIONARY(Q7B_Dictionary::init()));
Q7B Global::dObjectCompletion = Q7B__QOBJECT(Q7B_DICTIONARY(Q7B_Dictionary::init()));
Q7B Global::ObjectiveBasicConsts = Q7B__QOBJECT(Q7B_LIST(Q7B_QOBJECT(Q7B_List::init())));
